#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(adf_cfg_dev_add, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_cfg_dev_remove, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_cfg_add_key_value_param, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_cfg_section_add, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_cfg_get_param_value, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_isr_resource_free, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_isr_resource_alloc, "_gpl", "CRYPTO_QAT");
KSYMTAB_DATA(adf_cfg_services, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_get_service_enabled, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_clean_vf_map, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_devmgr_update_class_index, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_devmgr_add_dev, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_devmgr_rm_dev, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_devmgr_pci_to_accel_dev, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_dev_in_use, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_dev_get, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_dev_put, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_devmgr_in_reset, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_dev_started, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_dev_down, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_dev_up, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_dev_restart, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_reset_sbr, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_reset_flr, "_gpl", "CRYPTO_QAT");
KSYMTAB_DATA(adf_err_handler, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_init_etr_data, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_cleanup_etr_data, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_send_admin_init, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_init_admin_comms, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_exit_admin_comms, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_init_arb, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_exit_arb, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_sysfs_init, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen2_get_num_accels, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen2_get_num_aes, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen2_enable_error_correction, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen2_cfg_iov_thds, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen2_get_admin_info, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen2_get_arb_info, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen2_enable_ints, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen2_init_hw_csr_ops, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen2_get_accel_cap, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen2_set_ssm_wdtimer, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen2_dev_config, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_dev_config, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_cfg_dev_init, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_init_hw_csr_ops, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_get_accel_mask, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_get_num_accels, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_get_num_aes, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_get_misc_bar_id, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_get_etr_bar_id, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_get_sram_bar_id, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_get_sku, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_get_arb_info, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_get_admin_info, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_get_heartbeat_clock, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_enable_error_correction, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_enable_ints, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_init_device, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_set_ssm_wdtimer, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_set_msix_default_rttable, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_pfvf_comms_disabled, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_ring_pair_reset, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_init_thd2arb_map, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_handle_pm_interrupt, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_enable_pm, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen2_init_dc_ops, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_init_dc_ops, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_init_ras_ops, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_timer_start, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_timer_stop, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_dev_measure_clock, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_init_tl_data, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_heartbeat_check_ctrs, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_heartbeat_save_cfg_param, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_heartbeat_dbgfs_add, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_heartbeat_dbgfs_rm, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_dbgfs_init, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_dbgfs_exit, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_disable_sriov, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_sriov_configure, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_disable_pf2vf_interrupts, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_vf_isr_resource_free, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_vf_isr_resource_alloc, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_flush_vf_wq, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_enable_pf2vf_comms, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_vf2pf_notify_init, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_vf2pf_notify_shutdown, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_enable_vf2pf_comms, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen2_init_pf_pfvf_ops, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen2_init_vf_pfvf_ops, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_init_pf_pfvf_ops, "_gpl", "CRYPTO_QAT");

SYMBOL_CRC(adf_cfg_dev_add, 0x990c3a31, "_gpl");
SYMBOL_CRC(adf_cfg_dev_remove, 0xfe28ca07, "_gpl");
SYMBOL_CRC(adf_cfg_add_key_value_param, 0xce166a03, "_gpl");
SYMBOL_CRC(adf_cfg_section_add, 0x9c9e6459, "_gpl");
SYMBOL_CRC(adf_cfg_get_param_value, 0x185d730b, "_gpl");
SYMBOL_CRC(adf_isr_resource_free, 0xcd56a0fa, "_gpl");
SYMBOL_CRC(adf_isr_resource_alloc, 0xcd3fa47f, "_gpl");
SYMBOL_CRC(adf_cfg_services, 0xc9dd5b96, "_gpl");
SYMBOL_CRC(adf_get_service_enabled, 0xd0aec874, "_gpl");
SYMBOL_CRC(adf_clean_vf_map, 0xcc3b167a, "_gpl");
SYMBOL_CRC(adf_devmgr_update_class_index, 0x1428b105, "_gpl");
SYMBOL_CRC(adf_devmgr_add_dev, 0xd4dc3197, "_gpl");
SYMBOL_CRC(adf_devmgr_rm_dev, 0x429e3b28, "_gpl");
SYMBOL_CRC(adf_devmgr_pci_to_accel_dev, 0xd4d1a9eb, "_gpl");
SYMBOL_CRC(adf_dev_in_use, 0x4ccb857f, "_gpl");
SYMBOL_CRC(adf_dev_get, 0x874d58f7, "_gpl");
SYMBOL_CRC(adf_dev_put, 0x121f9151, "_gpl");
SYMBOL_CRC(adf_devmgr_in_reset, 0x6001a59b, "_gpl");
SYMBOL_CRC(adf_dev_started, 0xae2ec219, "_gpl");
SYMBOL_CRC(adf_dev_down, 0xa8bd52cf, "_gpl");
SYMBOL_CRC(adf_dev_up, 0x02b8ce61, "_gpl");
SYMBOL_CRC(adf_dev_restart, 0x4a871125, "_gpl");
SYMBOL_CRC(adf_reset_sbr, 0xb26d1746, "_gpl");
SYMBOL_CRC(adf_reset_flr, 0x9d4de260, "_gpl");
SYMBOL_CRC(adf_err_handler, 0x0c35c110, "_gpl");
SYMBOL_CRC(adf_init_etr_data, 0x9685c61d, "_gpl");
SYMBOL_CRC(adf_cleanup_etr_data, 0x58131d6f, "_gpl");
SYMBOL_CRC(adf_send_admin_init, 0x77bc67db, "_gpl");
SYMBOL_CRC(adf_init_admin_comms, 0xbf786615, "_gpl");
SYMBOL_CRC(adf_exit_admin_comms, 0x6fc38129, "_gpl");
SYMBOL_CRC(adf_init_arb, 0x536373b3, "_gpl");
SYMBOL_CRC(adf_exit_arb, 0x7e4a4693, "_gpl");
SYMBOL_CRC(adf_sysfs_init, 0xedf63a8a, "_gpl");
SYMBOL_CRC(adf_gen2_get_num_accels, 0xa16d1947, "_gpl");
SYMBOL_CRC(adf_gen2_get_num_aes, 0xb3ba289f, "_gpl");
SYMBOL_CRC(adf_gen2_enable_error_correction, 0x6f6ee250, "_gpl");
SYMBOL_CRC(adf_gen2_cfg_iov_thds, 0xa2181545, "_gpl");
SYMBOL_CRC(adf_gen2_get_admin_info, 0x3e707f37, "_gpl");
SYMBOL_CRC(adf_gen2_get_arb_info, 0x2be4e269, "_gpl");
SYMBOL_CRC(adf_gen2_enable_ints, 0x265fedaf, "_gpl");
SYMBOL_CRC(adf_gen2_init_hw_csr_ops, 0xd64519f1, "_gpl");
SYMBOL_CRC(adf_gen2_get_accel_cap, 0x2f1a3d30, "_gpl");
SYMBOL_CRC(adf_gen2_set_ssm_wdtimer, 0x9a539c8b, "_gpl");
SYMBOL_CRC(adf_gen2_dev_config, 0x3d80328f, "_gpl");
SYMBOL_CRC(adf_gen4_dev_config, 0x91d4b10e, "_gpl");
SYMBOL_CRC(adf_gen4_cfg_dev_init, 0x838c5617, "_gpl");
SYMBOL_CRC(adf_gen4_init_hw_csr_ops, 0xc501ac82, "_gpl");
SYMBOL_CRC(adf_gen4_get_accel_mask, 0xf25a2637, "_gpl");
SYMBOL_CRC(adf_gen4_get_num_accels, 0x29007882, "_gpl");
SYMBOL_CRC(adf_gen4_get_num_aes, 0xf71c9ac5, "_gpl");
SYMBOL_CRC(adf_gen4_get_misc_bar_id, 0x5081b89e, "_gpl");
SYMBOL_CRC(adf_gen4_get_etr_bar_id, 0xcce1a89c, "_gpl");
SYMBOL_CRC(adf_gen4_get_sram_bar_id, 0x775f11a2, "_gpl");
SYMBOL_CRC(adf_gen4_get_sku, 0xad26f523, "_gpl");
SYMBOL_CRC(adf_gen4_get_arb_info, 0x4c051dc4, "_gpl");
SYMBOL_CRC(adf_gen4_get_admin_info, 0x2230d349, "_gpl");
SYMBOL_CRC(adf_gen4_get_heartbeat_clock, 0x68c98270, "_gpl");
SYMBOL_CRC(adf_gen4_enable_error_correction, 0x7cfa4260, "_gpl");
SYMBOL_CRC(adf_gen4_enable_ints, 0x5f9f4263, "_gpl");
SYMBOL_CRC(adf_gen4_init_device, 0x8f31a825, "_gpl");
SYMBOL_CRC(adf_gen4_set_ssm_wdtimer, 0x96cfc9be, "_gpl");
SYMBOL_CRC(adf_gen4_set_msix_default_rttable, 0x04285ee1, "_gpl");
SYMBOL_CRC(adf_pfvf_comms_disabled, 0x1c9b97fa, "_gpl");
SYMBOL_CRC(adf_gen4_ring_pair_reset, 0xd6eb7d68, "_gpl");
SYMBOL_CRC(adf_gen4_init_thd2arb_map, 0xa2b0984d, "_gpl");
SYMBOL_CRC(adf_gen4_handle_pm_interrupt, 0x6a3e6278, "_gpl");
SYMBOL_CRC(adf_gen4_enable_pm, 0x7996eece, "_gpl");
SYMBOL_CRC(adf_gen2_init_dc_ops, 0xe45f3512, "_gpl");
SYMBOL_CRC(adf_gen4_init_dc_ops, 0xe327f1f1, "_gpl");
SYMBOL_CRC(adf_gen4_init_ras_ops, 0x8eebe434, "_gpl");
SYMBOL_CRC(adf_gen4_timer_start, 0xb53eda54, "_gpl");
SYMBOL_CRC(adf_gen4_timer_stop, 0x8159cb22, "_gpl");
SYMBOL_CRC(adf_dev_measure_clock, 0xf70ec60d, "_gpl");
SYMBOL_CRC(adf_gen4_init_tl_data, 0x9508b85b, "_gpl");
SYMBOL_CRC(adf_heartbeat_check_ctrs, 0xf55253e7, "_gpl");
SYMBOL_CRC(adf_heartbeat_save_cfg_param, 0x140fa357, "_gpl");
SYMBOL_CRC(adf_heartbeat_dbgfs_add, 0x2db73784, "_gpl");
SYMBOL_CRC(adf_heartbeat_dbgfs_rm, 0x1acf0a54, "_gpl");
SYMBOL_CRC(adf_dbgfs_init, 0xcf7ad7fc, "_gpl");
SYMBOL_CRC(adf_dbgfs_exit, 0xd26f8dcb, "_gpl");
SYMBOL_CRC(adf_disable_sriov, 0x2607e134, "_gpl");
SYMBOL_CRC(adf_sriov_configure, 0xecae987a, "_gpl");
SYMBOL_CRC(adf_disable_pf2vf_interrupts, 0x3c308a98, "_gpl");
SYMBOL_CRC(adf_vf_isr_resource_free, 0x8e0fce34, "_gpl");
SYMBOL_CRC(adf_vf_isr_resource_alloc, 0x2229740c, "_gpl");
SYMBOL_CRC(adf_flush_vf_wq, 0xf0d0903a, "_gpl");
SYMBOL_CRC(adf_enable_pf2vf_comms, 0x2b41f5af, "_gpl");
SYMBOL_CRC(adf_vf2pf_notify_init, 0xeb7edcf5, "_gpl");
SYMBOL_CRC(adf_vf2pf_notify_shutdown, 0x0e42351b, "_gpl");
SYMBOL_CRC(adf_enable_vf2pf_comms, 0x6874d3e4, "_gpl");
SYMBOL_CRC(adf_gen2_init_pf_pfvf_ops, 0x5ac2e34f, "_gpl");
SYMBOL_CRC(adf_gen2_init_vf_pfvf_ops, 0xe2821c85, "_gpl");
SYMBOL_CRC(adf_gen4_init_pf_pfvf_ops, 0x565eb67a, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xb2d149e6, "crypto_register_skciphers" },
	{ 0x11089ac7, "_ctype" },
	{ 0x439ebc90, "pci_restore_state" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x169938c1, "__sysfs_match_string" },
	{ 0xfb578fc5, "memset" },
	{ 0x9ca5d306, "_dev_warn" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x729eff5a, "crypto_register_acomps" },
	{ 0x5a44f8cb, "__crypto_memneq" },
	{ 0x668b19a1, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xb372c097, "seq_read" },
	{ 0xc62611e1, "scatterwalk_map_and_copy" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x7bf7b290, "_dev_notice" },
	{ 0x1a9d64f3, "crypto_cipher_encrypt_one" },
	{ 0xdd64e639, "strscpy" },
	{ 0x7ccc2e3b, "debugfs_create_file" },
	{ 0x385861c2, "dma_free_attrs" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xa89926dc, "crypto_dh_decode_key" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xcac19b90, "crypto_register_kpp" },
	{ 0x198404b5, "device_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x7f9ff45d, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xe3f1adfc, "pci_disable_sriov" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x3e3bad0a, "__tasklet_hi_schedule" },
	{ 0x1cb72a15, "seq_puts" },
	{ 0xaf3e7c3c, "single_release" },
	{ 0xdf9734a7, "sg_nents" },
	{ 0xaa8106bc, "crc8_populate_msb" },
	{ 0x9e51e32d, "device_add_groups" },
	{ 0x86d1c1c4, "seq_open" },
	{ 0xc4c53e6, "crypto_unregister_skciphers" },
	{ 0x3b82625f, "kmalloc_trace" },
	{ 0x81188c30, "match_string" },
	{ 0x5de96cd2, "crypto_register_akcipher" },
	{ 0x67b80948, "single_open" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0x525235d4, "crypto_alloc_shash" },
	{ 0xd2d76397, "debugfs_create_dir" },
	{ 0xaa9f4637, "pci_write_config_word" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x89ae7aa0, "rsa_parse_pub_key" },
	{ 0xcdbd80f4, "pci_free_irq_vectors" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0xacb66997, "pci_enable_sriov" },
	{ 0x53b954a2, "up_read" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x7f62eaa4, "sgl_free" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xc35a9650, "cdev_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xb7419b1, "kmalloc_caches" },
	{ 0x481d8992, "cdev_del" },
	{ 0x6f92ac0d, "crypto_shash_export" },
	{ 0xa1f378e9, "crypto_alloc_skcipher" },
	{ 0xf884abd6, "crypto_skcipher_encrypt" },
	{ 0x2679b78b, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xddf6ad7a, "completion_done" },
	{ 0xaf456a19, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xbb90e83a, "crypto_alloc_base" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x3f989fa7, "devm_kmalloc" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0xe7d4daac, "seq_list_next" },
	{ 0xfdf50f48, "pci_alloc_irq_vectors" },
	{ 0x219b4d31, "crypto_unregister_kpp" },
	{ 0xd28d0fc8, "seq_release" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x1ba59527, "__kmalloc_node" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x96ab9bd4, "dma_unmap_page_attrs" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x72c23e2e, "request_firmware" },
	{ 0x8b978018, "class_destroy" },
	{ 0x96848186, "scnprintf" },
	{ 0xa9816bf2, "pci_num_vf" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x372c3e95, "crypto_register_aeads" },
	{ 0x708bf02c, "pci_sriov_get_totalvfs" },
	{ 0x11534e3a, "seq_hex_dump" },
	{ 0xa006106d, "device_remove_groups" },
	{ 0x3a40fbad, "seq_lseek" },
	{ 0xbb4f4766, "simple_write_to_buffer" },
	{ 0x67d77250, "devm_device_add_group" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xff1e9dd8, "seq_list_start" },
	{ 0xfcbe824c, "pci_irq_vector" },
	{ 0x96b111d0, "crypto_skcipher_setkey" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x96a1a794, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x558b281d, "aes_expandkey" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x38a26b0c, "crypto_cipher_setkey" },
	{ 0xd0a7e94d, "dev_driver_string" },
	{ 0xd4401607, "crypto_unregister_aeads" },
	{ 0xf0205b95, "crypto_destroy_tfm" },
	{ 0xae948ed8, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x9c5d5b94, "crc8" },
	{ 0x76ad7049, "dma_map_page_attrs" },
	{ 0x122c3a7e, "_printk" },
	{ 0x2479193e, "crypto_authenc_extractkeys" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xc1e695f9, "crypto_skcipher_decrypt" },
	{ 0xa916b694, "strnlen" },
	{ 0x5e934fc7, "sgl_alloc" },
	{ 0x7c71684c, "kmalloc_node_trace" },
	{ 0x618911fc, "numa_node" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xb0aa812e, "fips_enabled" },
	{ 0x23cf671a, "_dev_info" },
	{ 0x47cfd825, "kstrtouint_from_user" },
	{ 0x10eda758, "module_put" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x4c88521e, "compat_ptr_ioctl" },
	{ 0x79e8190e, "cdev_add" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0x66f07c16, "crypto_unregister_acomps" },
	{ 0x57bc19d2, "down_write" },
	{ 0x70832133, "devm_kfree" },
	{ 0x91dad032, "_dev_err" },
	{ 0xce807a25, "up_write" },
	{ 0xcb4830c5, "simple_open" },
	{ 0x1c12c32, "cpu_bit_bitmap" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x2ca81834, "crypto_unregister_akcipher" },
	{ 0xde34081d, "device_create" },
	{ 0x2364c85a, "tasklet_init" },
	{ 0x3f71d71d, "class_create" },
	{ 0x830e5d49, "pci_wait_for_pending_transaction" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xd75b20aa, "rsa_parse_priv_key" },
	{ 0x4507b0bb, "dma_alloc_attrs" },
	{ 0xd1f43260, "debugfs_remove" },
	{ 0xa308efc8, "pcie_flr" },
	{ 0x22a6841, "pci_read_config_word" },
	{ 0x5a921311, "strncmp" },
	{ 0x866076d9, "seq_putc" },
	{ 0xb9b80a68, "crypto_shash_digest" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x5586eac7, "crypto_shash_update" },
	{ 0x42201d20, "module_layout" },
};

MODULE_INFO(depends, "crc8,authenc");


MODULE_INFO(srcversion, "AD77A9BEB6BB890C287F856");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
