#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(fpga_image_info_alloc, "_gpl", "");
KSYMTAB_FUNC(fpga_image_info_free, "_gpl", "");
KSYMTAB_FUNC(fpga_mgr_load, "_gpl", "");
KSYMTAB_FUNC(fpga_mgr_get, "_gpl", "");
KSYMTAB_FUNC(of_fpga_mgr_get, "_gpl", "");
KSYMTAB_FUNC(fpga_mgr_put, "_gpl", "");
KSYMTAB_FUNC(fpga_mgr_lock, "_gpl", "");
KSYMTAB_FUNC(fpga_mgr_unlock, "_gpl", "");
KSYMTAB_FUNC(fpga_mgr_register_full, "_gpl", "");
KSYMTAB_FUNC(fpga_mgr_register, "_gpl", "");
KSYMTAB_FUNC(fpga_mgr_unregister, "_gpl", "");
KSYMTAB_FUNC(devm_fpga_mgr_register_full, "_gpl", "");
KSYMTAB_FUNC(devm_fpga_mgr_register, "_gpl", "");

SYMBOL_CRC(fpga_image_info_alloc, 0xffd45961, "_gpl");
SYMBOL_CRC(fpga_image_info_free, 0x1143a550, "_gpl");
SYMBOL_CRC(fpga_mgr_load, 0x3a4bf221, "_gpl");
SYMBOL_CRC(fpga_mgr_get, 0xd1896f90, "_gpl");
SYMBOL_CRC(of_fpga_mgr_get, 0xf37b9ff3, "_gpl");
SYMBOL_CRC(fpga_mgr_put, 0x90f68d04, "_gpl");
SYMBOL_CRC(fpga_mgr_lock, 0xeb2d4435, "_gpl");
SYMBOL_CRC(fpga_mgr_unlock, 0x4a6fc036, "_gpl");
SYMBOL_CRC(fpga_mgr_register_full, 0xd694b769, "_gpl");
SYMBOL_CRC(fpga_mgr_register, 0x7d539e0a, "_gpl");
SYMBOL_CRC(fpga_mgr_unregister, 0x729335c4, "_gpl");
SYMBOL_CRC(devm_fpga_mgr_register_full, 0x25d523e3, "_gpl");
SYMBOL_CRC(devm_fpga_mgr_register, 0xca901003, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe0513723, "get_device" },
	{ 0x3f989fa7, "devm_kmalloc" },
	{ 0xf0e604d3, "put_device" },
	{ 0x70832133, "devm_kfree" },
	{ 0xb713a967, "sg_miter_start" },
	{ 0x7cf2eb0e, "sg_miter_next" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x11382390, "sg_miter_stop" },
	{ 0x91dad032, "_dev_err" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0x54b23e67, "sg_pcopy_to_buffer" },
	{ 0x37a0cba, "kfree" },
	{ 0xffb7c514, "ida_free" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xd0f3b355, "device_match_of_node" },
	{ 0x536616dc, "class_find_device" },
	{ 0xaf456a19, "try_module_get" },
	{ 0x10eda758, "module_put" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x23cf671a, "_dev_info" },
	{ 0x54a86095, "device_unregister" },
	{ 0x122c3a7e, "_printk" },
	{ 0x4f38947f, "class_register" },
	{ 0x2d389e3a, "class_unregister" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0x754d539c, "strlen" },
	{ 0xb7419b1, "kmalloc_caches" },
	{ 0x3b82625f, "kmalloc_trace" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xe21000fb, "dev_set_name" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xc098c6e8, "device_register" },
	{ 0x63df5591, "__devres_alloc_node" },
	{ 0xe6eafefa, "devres_add" },
	{ 0xe93e49c3, "devres_free" },
	{ 0x973521ab, "sg_miter_skip" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xbbd8a491, "vmalloc_to_page" },
	{ 0x215983dc, "sg_alloc_table_from_pages_segment" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x72c23e2e, "request_firmware" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x42201d20, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "481CCC9DE1DE3E6F9507C31");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
