#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x20780eca, "drm_add_edid_modes" },
	{ 0xf6e66fd7, "drm_add_modes_noedid" },
	{ 0xdea698b1, "drm_set_preferred_mode" },
	{ 0xd642f3f6, "video_firmware_drivers_only" },
	{ 0xbc1bd771, "__pci_register_driver" },
	{ 0x357d37c4, "drm_aperture_remove_conflicting_pci_framebuffers" },
	{ 0xe7af96e9, "drm_dev_alloc" },
	{ 0x38ae3f77, "pcim_enable_device" },
	{ 0x9ed03500, "drmm_kmalloc" },
	{ 0x85bd1608, "__request_region" },
	{ 0xb11ac7a7, "__drm_err" },
	{ 0x56a8fd07, "pci_request_region" },
	{ 0xde80cd09, "ioremap" },
	{ 0x122c3a7e, "_printk" },
	{ 0xfb0f58b7, "drmm_vram_helper_init" },
	{ 0xe038ee8e, "drmm_mode_config_init" },
	{ 0x7e3277f8, "___drm_dbg" },
	{ 0xeeda4863, "drm_connector_init" },
	{ 0x9b9de1c1, "drm_edid_header_is_valid" },
	{ 0x5ea31d4d, "drm_do_get_edid" },
	{ 0xd9bc0c11, "drm_connector_attach_edid_property" },
	{ 0x6fed3b0a, "drm_connector_update_edid_property" },
	{ 0x902b1760, "drm_simple_display_pipe_init" },
	{ 0x3065ce6c, "drm_mode_config_reset" },
	{ 0xad6e3d24, "drm_dev_register" },
	{ 0x3d739c9c, "drm_fbdev_generic_setup" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa99b6ab6, "drm_gem_vram_offset" },
	{ 0xa34c08be, "drm_dev_enter" },
	{ 0xe8a034df, "drm_dev_exit" },
	{ 0xe2d61ad6, "drm_vram_mm_debugfs_init" },
	{ 0x7225cfd1, "drm_gem_vram_driver_dumb_create" },
	{ 0x557e59f3, "drm_gem_ttm_dumb_map_offset" },
	{ 0x2b6f07fb, "noop_llseek" },
	{ 0xc5f675fc, "drm_read" },
	{ 0xd1d12832, "drm_poll" },
	{ 0xb6baac98, "drm_ioctl" },
	{ 0xf888ae66, "drm_compat_ioctl" },
	{ 0xd39b1999, "drm_gem_mmap" },
	{ 0x9389de9, "drm_open" },
	{ 0xd1f64f2b, "drm_release" },
	{ 0xc645854e, "drm_vram_helper_mode_valid" },
	{ 0x17c4d17, "drm_atomic_helper_check" },
	{ 0xf49d44ee, "drm_atomic_helper_commit" },
	{ 0x1f6bd68, "drm_atomic_helper_connector_reset" },
	{ 0xe31bb249, "drm_helper_probe_single_connector_modes" },
	{ 0x1c178de1, "drm_connector_cleanup" },
	{ 0x3e4f76f8, "drm_atomic_helper_connector_duplicate_state" },
	{ 0x58db2243, "drm_atomic_helper_connector_destroy_state" },
	{ 0xa38a8bb5, "drm_gem_vram_simple_display_pipe_prepare_fb" },
	{ 0xdcf37628, "drm_gem_vram_simple_display_pipe_cleanup_fb" },
	{ 0x5bff0955, "param_ops_int" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf06ebc2b, "drm_mode_config_helper_resume" },
	{ 0x67593155, "drm_mode_config_helper_suspend" },
	{ 0x55fde1c5, "drm_atomic_helper_shutdown" },
	{ 0xedc03953, "iounmap" },
	{ 0x5d76abac, "pci_release_regions" },
	{ 0x37a0cba, "kfree" },
	{ 0xdbdf6c92, "ioport_resource" },
	{ 0x1035c7c2, "__release_region" },
	{ 0xd518bcee, "drm_dev_unplug" },
	{ 0x3520cbd3, "drm_dev_put" },
	{ 0xaec4d4a, "drm_gem_fb_create" },
	{ 0x61ea923e, "pci_unregister_driver" },
	{ 0x42201d20, "module_layout" },
};

MODULE_INFO(depends, "drm_vram_helper,drm_ttm_helper");

MODULE_ALIAS("pci:v00001234d00001111sv00001AF4sd00001100bc*sc*i*");
MODULE_ALIAS("pci:v00001234d00001111sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00004321d00001111sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "FF723D1DFAD815C41F05258");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
