#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xddd70fd, "input_event" },
	{ 0x7b5df1d0, "input_mt_report_slot_state" },
	{ 0x54212f3d, "touchscreen_report_pos" },
	{ 0x8472aac0, "input_mt_report_pointer_emulation" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x295736a9, "i2c_transfer" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x4a52bd, "simple_attr_open" },
	{ 0xfd4b3bf8, "i2c_del_driver" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x8c00089, "regulator_enable" },
	{ 0xf9a482f9, "msleep" },
	{ 0x20ccb60, "i2c_client_get_device_id" },
	{ 0x3f989fa7, "devm_kmalloc" },
	{ 0x7384f702, "__regmap_init_i2c" },
	{ 0x59f86f3e, "device_get_match_data" },
	{ 0x4ad991b4, "devm_regulator_get" },
	{ 0x1c5ab4e, "__devm_add_action" },
	{ 0x7e2b91d8, "devm_gpiod_get_optional" },
	{ 0xf42223f1, "devm_input_allocate_device" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x96b29254, "strncasecmp" },
	{ 0x349cba85, "strchr" },
	{ 0xa916b694, "strnlen" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x96a1a794, "__dynamic_dev_dbg" },
	{ 0xc2bed36, "dev_err_probe" },
	{ 0xdd64e639, "strscpy" },
	{ 0xa6eeae46, "device_property_read_u32_array" },
	{ 0x87784014, "input_set_abs_params" },
	{ 0x35c4854b, "touchscreen_parse_properties" },
	{ 0x376aa987, "input_mt_init_slots" },
	{ 0x33f0d1a3, "irq_get_irq_data" },
	{ 0x62658796, "devm_request_threaded_irq" },
	{ 0xb3bcd288, "input_register_device" },
	{ 0xd0a7e94d, "dev_driver_string" },
	{ 0xd2d76397, "debugfs_create_dir" },
	{ 0x267818c7, "debugfs_create_u16" },
	{ 0x7ccc2e3b, "debugfs_create_file" },
	{ 0x89c25a19, "desc_to_gpio" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xcb4830c5, "simple_open" },
	{ 0xed06a305, "generic_file_llseek" },
	{ 0x150bbb13, "simple_attr_read" },
	{ 0x2f90fa4f, "simple_attr_write" },
	{ 0x61786365, "simple_attr_release" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xfc8815c2, "i2c_register_driver" },
	{ 0xccfb2af3, "regulator_disable" },
	{ 0x962a15a, "regmap_write" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xaeae3264, "gpiod_set_value_cansleep" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x9ca5d306, "_dev_warn" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x91dad032, "_dev_err" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x8d4cc83, "regmap_read" },
	{ 0xd1f43260, "debugfs_remove" },
	{ 0x37a0cba, "kfree" },
	{ 0xe21e56ca, "regmap_exit" },
	{ 0xcf66792e, "regmap_bulk_read" },
	{ 0x42201d20, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("of:N*T*Cedt,edt-ft5206");
MODULE_ALIAS("of:N*T*Cedt,edt-ft5206C*");
MODULE_ALIAS("of:N*T*Cedt,edt-ft5306");
MODULE_ALIAS("of:N*T*Cedt,edt-ft5306C*");
MODULE_ALIAS("of:N*T*Cedt,edt-ft5406");
MODULE_ALIAS("of:N*T*Cedt,edt-ft5406C*");
MODULE_ALIAS("of:N*T*Cedt,edt-ft5506");
MODULE_ALIAS("of:N*T*Cedt,edt-ft5506C*");
MODULE_ALIAS("of:N*T*Cevervision,ev-ft5726");
MODULE_ALIAS("of:N*T*Cevervision,ev-ft5726C*");
MODULE_ALIAS("of:N*T*Cfocaltech,ft6236");
MODULE_ALIAS("of:N*T*Cfocaltech,ft6236C*");
MODULE_ALIAS("i2c:edt-ft5x06");
MODULE_ALIAS("i2c:edt-ft5506");
MODULE_ALIAS("i2c:ev-ft5726");
MODULE_ALIAS("i2c:ft6236");

MODULE_INFO(srcversion, "FABD107771D9803D943FFA9");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
