#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(tap_del_queues, "_gpl", "");
KSYMTAB_FUNC(tap_handle_frame, "_gpl", "");
KSYMTAB_FUNC(tap_get_minor, "_gpl", "");
KSYMTAB_FUNC(tap_free_minor, "_gpl", "");
KSYMTAB_FUNC(tap_get_socket, "_gpl", "");
KSYMTAB_FUNC(tap_get_ptr_ring, "_gpl", "");
KSYMTAB_FUNC(tap_queue_resize, "_gpl", "");
KSYMTAB_FUNC(tap_create_cdev, "_gpl", "");
KSYMTAB_FUNC(tap_destroy_cdev, "_gpl", "");

SYMBOL_CRC(tap_del_queues, 0xc2359049, "_gpl");
SYMBOL_CRC(tap_handle_frame, 0xda38d92a, "_gpl");
SYMBOL_CRC(tap_get_minor, 0xa4ee53d5, "_gpl");
SYMBOL_CRC(tap_free_minor, 0x398c23c7, "_gpl");
SYMBOL_CRC(tap_get_socket, 0xc0b6742e, "_gpl");
SYMBOL_CRC(tap_get_ptr_ring, 0x4ac9411e, "_gpl");
SYMBOL_CRC(tap_queue_resize, 0x5868a31d, "_gpl");
SYMBOL_CRC(tap_create_cdev, 0x4455fc06, "_gpl");
SYMBOL_CRC(tap_destroy_cdev, 0x555cd4c2, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xa9a910b, "netdev_err" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x481d8992, "cdev_del" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xe2964344, "__wake_up" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0xc35a9650, "cdev_init" },
	{ 0x79e8190e, "cdev_add" },
	{ 0xb7419b1, "kmalloc_caches" },
	{ 0x3b82625f, "kmalloc_trace" },
	{ 0x623a76c6, "pcpu_hot" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x20978fb9, "idr_find" },
	{ 0xdb476088, "sk_alloc" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x9588a3f2, "sock_init_data_uid" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x75ba143a, "sk_free" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xef97f3de, "dev_set_mac_address_user" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xa181ad60, "dev_get_mac_address" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x8f9c199c, "__get_user_2" },
	{ 0x5a4896a8, "__put_user_2" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x2195af5c, "_copy_to_iter" },
	{ 0x5daca0b8, "iov_iter_advance" },
	{ 0xf7c00f04, "skb_copy_datagram_iter" },
	{ 0x311f231d, "consume_skb" },
	{ 0x1000e51, "schedule" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x7b72f0c, "skb_push" },
	{ 0xd0a3f30e, "__skb_gso_segment" },
	{ 0x1e608be5, "__skb_get_hash" },
	{ 0x8da3c239, "skb_checksum_help" },
	{ 0xfe0ccfaa, "kfree_skb_list_reason" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x37a0cba, "kfree" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xebafb39a, "flow_keys_basic_dissector" },
	{ 0xa5bab8a9, "__skb_flow_dissect" },
	{ 0xfbd8c2cb, "skb_partial_csum_set" },
	{ 0x164c0d99, "__pskb_pull_tail" },
	{ 0x8adb3781, "iov_iter_npages" },
	{ 0x2244b87c, "sock_alloc_send_pskb" },
	{ 0xaa8f778f, "skb_put" },
	{ 0xe51ba14a, "zerocopy_sg_from_iter" },
	{ 0x9c2d1dd6, "__dev_queue_xmit" },
	{ 0x344d82d3, "_copy_from_iter" },
	{ 0x2a3837e2, "skb_copy_datagram_from_iter" },
	{ 0x312a93a7, "iov_iter_revert" },
	{ 0x2104cfc9, "skb_copy_bits" },
	{ 0xf75d9566, "build_skb" },
	{ 0x4c88521e, "compat_ptr_ioctl" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x56470118, "__warn_printk" },
	{ 0x64f8effc, "kfree_skb_reason" },
	{ 0x42201d20, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "45F14CE87B8632D24DE08E3");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
