#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rtw89_core_fill_txdesc, "", "");
KSYMTAB_FUNC(rtw89_core_fill_txdesc_v1, "", "");
KSYMTAB_FUNC(rtw89_core_fill_txdesc_v2, "", "");
KSYMTAB_FUNC(rtw89_core_fill_txdesc_fwcmd_v1, "", "");
KSYMTAB_FUNC(rtw89_core_fill_txdesc_fwcmd_v2, "", "");
KSYMTAB_FUNC(rtw89_core_query_rxdesc, "", "");
KSYMTAB_FUNC(rtw89_core_query_rxdesc_v2, "", "");
KSYMTAB_FUNC(rtw89_core_rx, "", "");
KSYMTAB_FUNC(rtw89_core_napi_start, "", "");
KSYMTAB_FUNC(rtw89_core_napi_stop, "", "");
KSYMTAB_FUNC(rtw89_core_napi_init, "", "");
KSYMTAB_FUNC(rtw89_core_napi_deinit, "", "");
KSYMTAB_FUNC(rtw89_core_init, "", "");
KSYMTAB_FUNC(rtw89_core_deinit, "", "");
KSYMTAB_FUNC(rtw89_chip_info_setup, "", "");
KSYMTAB_FUNC(rtw89_core_register, "", "");
KSYMTAB_FUNC(rtw89_core_unregister, "", "");
KSYMTAB_FUNC(rtw89_alloc_ieee80211_hw, "", "");
KSYMTAB_FUNC(rtw89_free_ieee80211_hw, "", "");
KSYMTAB_DATA(rtw89_ops, "", "");
KSYMTAB_FUNC(rtw89_mac_get_err_status, "", "");
KSYMTAB_FUNC(rtw89_mac_set_err_status, "", "");
KSYMTAB_DATA(rtw89_mac_size, "", "");
KSYMTAB_FUNC(rtw89_mac_stop_sch_tx, "", "");
KSYMTAB_FUNC(rtw89_mac_stop_sch_tx_v1, "", "");
KSYMTAB_FUNC(rtw89_mac_resume_sch_tx, "", "");
KSYMTAB_FUNC(rtw89_mac_resume_sch_tx_v1, "", "");
KSYMTAB_FUNC(rtw89_mac_enable_bb_rf, "", "");
KSYMTAB_FUNC(rtw89_mac_disable_bb_rf, "", "");
KSYMTAB_FUNC(rtw89_mac_cfg_ppdu_status, "", "");
KSYMTAB_FUNC(rtw89_mac_coex_init, "", "");
KSYMTAB_FUNC(rtw89_mac_coex_init_v1, "", "");
KSYMTAB_FUNC(rtw89_mac_cfg_gnt, "", "");
KSYMTAB_FUNC(rtw89_mac_cfg_gnt_v1, "", "");
KSYMTAB_FUNC(rtw89_mac_cfg_ctrl_path, "", "");
KSYMTAB_FUNC(rtw89_mac_cfg_ctrl_path_v1, "", "");
KSYMTAB_DATA(rtw89_mac_gen_ax, "", "");
KSYMTAB_FUNC(rtw89_phy_get_txsc, "", "");
KSYMTAB_FUNC(rtw89_phy_read_rf, "", "");
KSYMTAB_FUNC(rtw89_phy_read_rf_v1, "", "");
KSYMTAB_FUNC(rtw89_phy_write_rf, "", "");
KSYMTAB_FUNC(rtw89_phy_write_rf_v1, "", "");
KSYMTAB_FUNC(rtw89_phy_config_rf_reg_v1, "", "");
KSYMTAB_FUNC(rtw89_phy_write32_idx, "", "");
KSYMTAB_FUNC(rtw89_phy_read32_idx, "", "");
KSYMTAB_FUNC(rtw89_phy_write_reg3_tbl, "", "");
KSYMTAB_FUNC(rtw89_phy_load_txpwr_byrate, "", "");
KSYMTAB_FUNC(rtw89_phy_read_txpwr_limit, "", "");
KSYMTAB_FUNC(rtw89_rfk_parser, "", "");
KSYMTAB_FUNC(rtw89_phy_tssi_ctrl_set_bandedge_cfg, "", "");
KSYMTAB_FUNC(rtw89_encode_chan_idx, "", "");
KSYMTAB_FUNC(rtw89_decode_chan_idx, "", "");
KSYMTAB_DATA(rtw89_phy_gen_ax, "", "");
KSYMTAB_FUNC(rtw89_fw_h2c_dctl_sec_cam_v1, "", "");
KSYMTAB_FUNC(rtw89_fw_h2c_rf_ntfy_mcc, "", "");
KSYMTAB_FUNC(rtw89_read_efuse_ver, "", "");
KSYMTAB_FUNC(rtw89_btc_set_policy, "", "");
KSYMTAB_FUNC(rtw89_btc_set_policy_v1, "", "");
KSYMTAB_FUNC(rtw89_btc_ntfy_wl_rfk, "", "");
KSYMTAB_FUNC(rtw89_ser_notify, "", "");

SYMBOL_CRC(rtw89_core_fill_txdesc, 0x2afbce45, "");
SYMBOL_CRC(rtw89_core_fill_txdesc_v1, 0xa1c4d5d9, "");
SYMBOL_CRC(rtw89_core_fill_txdesc_v2, 0x4c147e4b, "");
SYMBOL_CRC(rtw89_core_fill_txdesc_fwcmd_v1, 0x5d87da9d, "");
SYMBOL_CRC(rtw89_core_fill_txdesc_fwcmd_v2, 0xb057710f, "");
SYMBOL_CRC(rtw89_core_query_rxdesc, 0x4494390e, "");
SYMBOL_CRC(rtw89_core_query_rxdesc_v2, 0x1083b05c, "");
SYMBOL_CRC(rtw89_core_rx, 0x33dbdc76, "");
SYMBOL_CRC(rtw89_core_napi_start, 0x2b7d5164, "");
SYMBOL_CRC(rtw89_core_napi_stop, 0x513f772e, "");
SYMBOL_CRC(rtw89_core_napi_init, 0x9f806ec6, "");
SYMBOL_CRC(rtw89_core_napi_deinit, 0x9a8aba37, "");
SYMBOL_CRC(rtw89_core_init, 0xbe53567f, "");
SYMBOL_CRC(rtw89_core_deinit, 0x80c966c0, "");
SYMBOL_CRC(rtw89_chip_info_setup, 0xa3acffc2, "");
SYMBOL_CRC(rtw89_core_register, 0x735a8536, "");
SYMBOL_CRC(rtw89_core_unregister, 0x1b756c55, "");
SYMBOL_CRC(rtw89_alloc_ieee80211_hw, 0xe2ea353a, "");
SYMBOL_CRC(rtw89_free_ieee80211_hw, 0x73b1ce38, "");
SYMBOL_CRC(rtw89_ops, 0xa75e98cb, "");
SYMBOL_CRC(rtw89_mac_get_err_status, 0x184572b2, "");
SYMBOL_CRC(rtw89_mac_set_err_status, 0xd35cd363, "");
SYMBOL_CRC(rtw89_mac_size, 0x3e3298fc, "");
SYMBOL_CRC(rtw89_mac_stop_sch_tx, 0xfc4d6bc5, "");
SYMBOL_CRC(rtw89_mac_stop_sch_tx_v1, 0x138a44d6, "");
SYMBOL_CRC(rtw89_mac_resume_sch_tx, 0x41188b24, "");
SYMBOL_CRC(rtw89_mac_resume_sch_tx_v1, 0x35bf890a, "");
SYMBOL_CRC(rtw89_mac_enable_bb_rf, 0xe1044aa8, "");
SYMBOL_CRC(rtw89_mac_disable_bb_rf, 0x7ca9fad3, "");
SYMBOL_CRC(rtw89_mac_cfg_ppdu_status, 0x4c944825, "");
SYMBOL_CRC(rtw89_mac_coex_init, 0xc5691a3b, "");
SYMBOL_CRC(rtw89_mac_coex_init_v1, 0x1a24ff26, "");
SYMBOL_CRC(rtw89_mac_cfg_gnt, 0x89fdc196, "");
SYMBOL_CRC(rtw89_mac_cfg_gnt_v1, 0x0f74b586, "");
SYMBOL_CRC(rtw89_mac_cfg_ctrl_path, 0x0a35f606, "");
SYMBOL_CRC(rtw89_mac_cfg_ctrl_path_v1, 0xd71a2e85, "");
SYMBOL_CRC(rtw89_mac_gen_ax, 0xd13ac5f1, "");
SYMBOL_CRC(rtw89_phy_get_txsc, 0xfa2f1227, "");
SYMBOL_CRC(rtw89_phy_read_rf, 0xf4510630, "");
SYMBOL_CRC(rtw89_phy_read_rf_v1, 0x7a576e7c, "");
SYMBOL_CRC(rtw89_phy_write_rf, 0x4e47141d, "");
SYMBOL_CRC(rtw89_phy_write_rf_v1, 0x2a2c6bbe, "");
SYMBOL_CRC(rtw89_phy_config_rf_reg_v1, 0x7256e75d, "");
SYMBOL_CRC(rtw89_phy_write32_idx, 0xc27cdc94, "");
SYMBOL_CRC(rtw89_phy_read32_idx, 0xb23432a5, "");
SYMBOL_CRC(rtw89_phy_write_reg3_tbl, 0x0074c83f, "");
SYMBOL_CRC(rtw89_phy_load_txpwr_byrate, 0x1839f021, "");
SYMBOL_CRC(rtw89_phy_read_txpwr_limit, 0x07c1c8dc, "");
SYMBOL_CRC(rtw89_rfk_parser, 0xb98d4f69, "");
SYMBOL_CRC(rtw89_phy_tssi_ctrl_set_bandedge_cfg, 0xc32e68ae, "");
SYMBOL_CRC(rtw89_encode_chan_idx, 0x122f354f, "");
SYMBOL_CRC(rtw89_decode_chan_idx, 0x61550ded, "");
SYMBOL_CRC(rtw89_phy_gen_ax, 0x1763a3f2, "");
SYMBOL_CRC(rtw89_fw_h2c_dctl_sec_cam_v1, 0xdd72baf8, "");
SYMBOL_CRC(rtw89_fw_h2c_rf_ntfy_mcc, 0xecf5dcef, "");
SYMBOL_CRC(rtw89_read_efuse_ver, 0x41717f00, "");
SYMBOL_CRC(rtw89_btc_set_policy, 0xdfa146c5, "");
SYMBOL_CRC(rtw89_btc_set_policy_v1, 0xfa44b3e2, "");
SYMBOL_CRC(rtw89_btc_ntfy_wl_rfk, 0x3ec9f374, "");
SYMBOL_CRC(rtw89_ser_notify, 0x78a8104c, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8c1e54d0, "ieee80211_wake_queues" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xccf6d928, "ieee80211_iter_keys_rcu" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xcd18098b, "ieee80211_free_txskb" },
	{ 0x8fc562b1, "dev_coredumpv" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x25f412d6, "ieee80211_alloc_hw_nm" },
	{ 0xf14d67f6, "ieee80211_tx_dequeue" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0xfb578fc5, "memset" },
	{ 0x9ca5d306, "_dev_warn" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbde1ba66, "__netdev_alloc_skb" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x8a536487, "ieee80211_ready_on_channel" },
	{ 0x92824b4b, "ieee80211_stop_queues" },
	{ 0xccc4daea, "skb_unlink" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x999e8297, "vfree" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0xe5cb5f07, "ieee80211_scan_completed" },
	{ 0x7ee0e3eb, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x71e58fdb, "param_ops_bool" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x442cecf, "ieee80211_unregister_hw" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x7f9ff45d, "seq_printf" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0x4a37c479, "ieee80211_beacon_get_tim" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x25546723, "skb_copy" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x46ae4ebf, "cfg80211_chandef_create" },
	{ 0xec413858, "ieee80211_cqm_rssi_notify" },
	{ 0x1cb72a15, "seq_puts" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x3b82625f, "kmalloc_trace" },
	{ 0xfb875f80, "ieee80211_queue_work" },
	{ 0xd98e7d86, "napi_schedule_prep" },
	{ 0x754d539c, "strlen" },
	{ 0xcf221bba, "napi_disable" },
	{ 0x90f9264e, "dev_kfree_skb_any_reason" },
	{ 0xd2e1b26d, "init_dummy_netdev" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xb7419b1, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x7cf4d2a, "ieee80211_rx_napi" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x92875305, "ieee80211_stop_tx_ba_session" },
	{ 0x72249e62, "device_set_wakeup_enable" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x4eb1db40, "ieee80211_connection_loss" },
	{ 0x1a43330d, "ieee80211_report_wowlan_wakeup" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xa821dc98, "is_acpi_device_node" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xe7da37d4, "__ieee80211_schedule_txq" },
	{ 0xaf75b5eb, "ieee80211_txq_get_depth" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xc8298a59, "cfg80211_bss_iter" },
	{ 0xaa8f778f, "skb_put" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x311f231d, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0xfd51f7f3, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x5bd022db, "ieee80211_free_hw" },
	{ 0xda760087, "ieee80211_probereq_get" },
	{ 0x38b178a3, "ieee80211_txq_schedule_start" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x72c23e2e, "request_firmware" },
	{ 0xb81bdbba, "ieee80211_iterate_stations_atomic" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xb53518a0, "ieee80211_start_tx_ba_session" },
	{ 0x69acdf38, "memcpy" },
	{ 0x7d04217, "regulatory_hint" },
	{ 0x37a0cba, "kfree" },
	{ 0x1eb9516e, "round_jiffies_relative" },
	{ 0x4273dbe1, "ieee80211_nullfunc_get" },
	{ 0x623a76c6, "pcpu_hot" },
	{ 0x582fa3e7, "ieee80211_pspoll_get" },
	{ 0x916445fc, "ieee80211_register_hw" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x9b711c69, "ieee80211_restart_hw" },
	{ 0x94af0e0a, "__netif_napi_del" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xdc03ee8e, "pskb_expand_head" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x3c744e95, "cfg80211_calculate_bitrate" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x4758768b, "ieee80211_find_sta" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x161cafee, "__napi_schedule" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x23cf671a, "_dev_info" },
	{ 0x7a749ccf, "skb_queue_tail" },
	{ 0xcb364d5d, "ieee80211_stop_tx_ba_cb_irqsafe" },
	{ 0x9d6cba30, "cfg80211_find_elem_match" },
	{ 0xf3fee197, "wiphy_to_ieee80211_hw" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x15095924, "ieee80211_queue_delayed_work" },
	{ 0xae5a04bb, "acpi_evaluate_dsm" },
	{ 0x91dad032, "_dev_err" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x5b31bba5, "ieee80211_next_txq" },
	{ 0x64f8effc, "kfree_skb_reason" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xac9df26a, "ieee80211_remain_on_channel_expired" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x7b72f0c, "skb_push" },
	{ 0x6a8d2b55, "napi_enable" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x42201d20, "module_layout" },
};

MODULE_INFO(depends, "mac80211,cfg80211");


MODULE_INFO(srcversion, "5C7B56F9745543B253073DA");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
