#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(nvmet_wq, "_gpl", "");
KSYMTAB_FUNC(nvmet_register_transport, "_gpl", "");
KSYMTAB_FUNC(nvmet_unregister_transport, "_gpl", "");
KSYMTAB_FUNC(nvmet_req_complete, "_gpl", "");
KSYMTAB_FUNC(nvmet_sq_destroy, "_gpl", "");
KSYMTAB_FUNC(nvmet_sq_init, "_gpl", "");
KSYMTAB_FUNC(nvmet_req_init, "_gpl", "");
KSYMTAB_FUNC(nvmet_req_uninit, "_gpl", "");
KSYMTAB_FUNC(nvmet_check_transfer_len, "_gpl", "");
KSYMTAB_FUNC(nvmet_req_alloc_sgls, "_gpl", "");
KSYMTAB_FUNC(nvmet_req_free_sgls, "_gpl", "");
KSYMTAB_FUNC(nvmet_ctrl_fatal_error, "_gpl", "");

SYMBOL_CRC(nvmet_wq, 0x3e0ef07a, "_gpl");
SYMBOL_CRC(nvmet_register_transport, 0x5b786ff2, "_gpl");
SYMBOL_CRC(nvmet_unregister_transport, 0xcc12a663, "_gpl");
SYMBOL_CRC(nvmet_req_complete, 0xd0c3824a, "_gpl");
SYMBOL_CRC(nvmet_sq_destroy, 0x3c4e3561, "_gpl");
SYMBOL_CRC(nvmet_sq_init, 0xf8f70144, "_gpl");
SYMBOL_CRC(nvmet_req_init, 0x2767b685, "_gpl");
SYMBOL_CRC(nvmet_req_uninit, 0xca4e7a4a, "_gpl");
SYMBOL_CRC(nvmet_check_transfer_len, 0x5ead78b0, "_gpl");
SYMBOL_CRC(nvmet_req_alloc_sgls, 0x539a8023, "_gpl");
SYMBOL_CRC(nvmet_req_free_sgls, 0x932107d5, "_gpl");
SYMBOL_CRC(nvmet_ctrl_fatal_error, 0xa81d1eb6, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7fca5d31, "perf_trace_run_bpf_submit" },
	{ 0x9aad7514, "fput" },
	{ 0x57bc19d2, "down_write" },
	{ 0xce807a25, "up_write" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xedf2f254, "configfs_register_subsystem" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0x2c541e7b, "radix_tree_next_chunk" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xb3f548ad, "kmemdup_nul" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0xbccce1b4, "config_group_init_type_name" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xfbb8a761, "strscpy_pad" },
	{ 0xdf5c48fd, "bio_integrity_add_page" },
	{ 0x5a921311, "strncmp" },
	{ 0x11382390, "sg_miter_stop" },
	{ 0x12cd47c9, "trace_event_reg" },
	{ 0x9166fada, "strncpy" },
	{ 0x5d6a380b, "bio_chain" },
	{ 0xffb7c514, "ida_free" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x25547d3c, "pci_p2pdma_enable_store" },
	{ 0x9f6ea4d2, "pci_p2pmem_alloc_sgl" },
	{ 0xfd35a83e, "bio_add_page" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xa40fe278, "bio_integrity_alloc" },
	{ 0xb713a967, "sg_miter_start" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x11089ac7, "_ctype" },
	{ 0xde1034c5, "bpf_trace_run1" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xd8ab1acb, "bio_init" },
	{ 0x1482254, "iov_iter_bvec" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xb67fec0e, "uuid_parse" },
	{ 0xbc070689, "pci_p2pdma_enable_show" },
	{ 0x668b19a1, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x7dcf4135, "__xa_insert" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x745a981, "xa_erase" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xdd64e639, "strscpy" },
	{ 0x1ac5d3cb, "strcspn" },
	{ 0x78809527, "trace_event_buffer_reserve" },
	{ 0x12c708f3, "vfs_fsync" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xd45cc6ca, "bin2hex" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xd9491c14, "xa_destroy" },
	{ 0x8fa25c24, "xa_find" },
	{ 0xfe1c9ea5, "sg_pcopy_from_buffer" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x80162432, "pci_dev_get" },
	{ 0x9034a696, "mempool_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xab6d5b3b, "hex_to_bin" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x3c6e9baf, "blkdev_issue_flush" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0x3b82625f, "kmalloc_trace" },
	{ 0x754d539c, "strlen" },
	{ 0x93c4938c, "key_lookup" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xf6b94106, "pci_p2pmem_find_many" },
	{ 0x9c16167c, "bdev_release" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xefa677d0, "bio_alloc_bioset" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x53b954a2, "up_read" },
	{ 0xce7f556a, "__blkdev_issue_zeroout" },
	{ 0x7f62eaa4, "sgl_free" },
	{ 0x83c21611, "submit_bio_wait" },
	{ 0x52116748, "blkdev_report_zones" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xb7419b1, "kmalloc_caches" },
	{ 0x54b23e67, "sg_pcopy_to_buffer" },
	{ 0x92393c80, "__blkdev_issue_discard" },
	{ 0xcab214ec, "fs_bio_set" },
	{ 0x738ad725, "blk_next_bio" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x4aadfab3, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xd5df1ef8, "filp_open" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xaf456a19, "try_module_get" },
	{ 0xb64296c7, "blk_start_plug" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0x8eb7d6c3, "config_group_init" },
	{ 0x6fbc6a00, "radix_tree_insert" },
	{ 0xb21879ef, "bio_add_zone_append_page" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xfe13a601, "trace_seq_printf" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x81a7f541, "percpu_ref_init" },
	{ 0x4161e5c9, "trace_raw_output_prep" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x9613b157, "pci_dev_put" },
	{ 0x1ba59527, "__kmalloc_node" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xf0d326b2, "__trace_trigger_soft_disabled" },
	{ 0x70ad75fb, "radix_tree_lookup" },
	{ 0xdfeeb08a, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x59e0d4a7, "t10_pi_type1_crc" },
	{ 0x374712ad, "bdev_open_by_path" },
	{ 0x3a2b1f5c, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x623a76c6, "pcpu_hot" },
	{ 0x330d35cd, "bpf_trace_run2" },
	{ 0x697ed5f0, "memcpy_and_pad" },
	{ 0x3405adf2, "pci_p2pmem_free_sgl" },
	{ 0xde0b6d2b, "kmem_cache_create" },
	{ 0xe0513723, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xa897e3e7, "mempool_free" },
	{ 0x3b4f593f, "nvme_keyring_id" },
	{ 0x1ed4d2eb, "percpu_ref_kill_and_confirm" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5c134ecd, "configfs_unregister_subsystem" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xf538bb07, "trace_event_buffer_commit" },
	{ 0xb49601a1, "sg_zero_buffer" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5566284a, "trace_seq_putc" },
	{ 0x4af6ddf0, "kstrtou16" },
	{ 0x122c3a7e, "_printk" },
	{ 0x1953c958, "mempool_create" },
	{ 0x17f17e7c, "vfs_fallocate" },
	{ 0x61a9040e, "blkdev_zone_mgmt" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xf0e604d3, "put_device" },
	{ 0xce4a3ec7, "bdev_nr_zones" },
	{ 0xa916b694, "strnlen" },
	{ 0x5e934fc7, "sgl_alloc" },
	{ 0xc3762aec, "mempool_alloc" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xeb7b1d4a, "blk_finish_plug" },
	{ 0x61a5546a, "submit_bio" },
	{ 0x10eda758, "module_put" },
	{ 0x9b1c2b94, "pci_p2pdma_distance_many" },
	{ 0x142875ac, "t10_pi_type3_crc" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0x6764addb, "key_put" },
	{ 0x37bf7be3, "percpu_ref_exit" },
	{ 0x883eb903, "bio_put" },
	{ 0x4e6e4b41, "radix_tree_delete" },
	{ 0xbcd55640, "bio_endio" },
	{ 0x7cf2eb0e, "sg_miter_next" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x69e683de, "uuid_gen" },
	{ 0x42201d20, "module_layout" },
};

MODULE_INFO(depends, "configfs,t10-pi,nvme-keyring");


MODULE_INFO(srcversion, "86EFF467D5992F85145254C");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
