#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(spmi_device_add, "_gpl", "");
KSYMTAB_FUNC(spmi_device_remove, "_gpl", "");
KSYMTAB_FUNC(spmi_register_read, "_gpl", "");
KSYMTAB_FUNC(spmi_ext_register_read, "_gpl", "");
KSYMTAB_FUNC(spmi_ext_register_readl, "_gpl", "");
KSYMTAB_FUNC(spmi_register_write, "_gpl", "");
KSYMTAB_FUNC(spmi_register_zero_write, "_gpl", "");
KSYMTAB_FUNC(spmi_ext_register_write, "_gpl", "");
KSYMTAB_FUNC(spmi_ext_register_writel, "_gpl", "");
KSYMTAB_FUNC(spmi_command_reset, "_gpl", "");
KSYMTAB_FUNC(spmi_command_sleep, "_gpl", "");
KSYMTAB_FUNC(spmi_command_wakeup, "_gpl", "");
KSYMTAB_FUNC(spmi_command_shutdown, "_gpl", "");
KSYMTAB_FUNC(spmi_find_device_by_of_node, "_gpl", "");
KSYMTAB_FUNC(spmi_device_alloc, "_gpl", "");
KSYMTAB_FUNC(spmi_controller_alloc, "_gpl", "");
KSYMTAB_FUNC(spmi_controller_add, "_gpl", "");
KSYMTAB_FUNC(spmi_controller_remove, "_gpl", "");
KSYMTAB_FUNC(__spmi_driver_register, "_gpl", "");

SYMBOL_CRC(spmi_device_add, 0x42ab6f81, "_gpl");
SYMBOL_CRC(spmi_device_remove, 0x9fcd843e, "_gpl");
SYMBOL_CRC(spmi_register_read, 0xb820c284, "_gpl");
SYMBOL_CRC(spmi_ext_register_read, 0x77ea55dc, "_gpl");
SYMBOL_CRC(spmi_ext_register_readl, 0xa0945310, "_gpl");
SYMBOL_CRC(spmi_register_write, 0xeb971cbe, "_gpl");
SYMBOL_CRC(spmi_register_zero_write, 0xf74d75d7, "_gpl");
SYMBOL_CRC(spmi_ext_register_write, 0xcafa9644, "_gpl");
SYMBOL_CRC(spmi_ext_register_writel, 0xd806e615, "_gpl");
SYMBOL_CRC(spmi_command_reset, 0x05487c9c, "_gpl");
SYMBOL_CRC(spmi_command_sleep, 0xbf87b3df, "_gpl");
SYMBOL_CRC(spmi_command_wakeup, 0xf0f87857, "_gpl");
SYMBOL_CRC(spmi_command_shutdown, 0x2a0677c1, "_gpl");
SYMBOL_CRC(spmi_find_device_by_of_node, 0x23226c92, "_gpl");
SYMBOL_CRC(spmi_device_alloc, 0xb765aa61, "_gpl");
SYMBOL_CRC(spmi_controller_alloc, 0x18bd0235, "_gpl");
SYMBOL_CRC(spmi_controller_add, 0xd6ab1143, "_gpl");
SYMBOL_CRC(spmi_controller_remove, 0x2af2f33c, "_gpl");
SYMBOL_CRC(__spmi_driver_register, 0x2e387734, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x7fca5d31, "perf_trace_run_bpf_submit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x78809527, "trace_event_buffer_reserve" },
	{ 0xf538bb07, "trace_event_buffer_commit" },
	{ 0xf0d326b2, "__trace_trigger_soft_disabled" },
	{ 0x4161e5c9, "trace_raw_output_prep" },
	{ 0xdfeeb08a, "trace_event_printf" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xe69e7d7f, "bpf_trace_run5" },
	{ 0x18bbaeb8, "bpf_trace_run4" },
	{ 0x2c1f35d4, "bpf_trace_run3" },
	{ 0x7b147a43, "bpf_trace_run6" },
	{ 0xe21000fb, "dev_set_name" },
	{ 0xe477d6e1, "device_add" },
	{ 0x96a1a794, "__dynamic_dev_dbg" },
	{ 0x91dad032, "_dev_err" },
	{ 0x54a86095, "device_unregister" },
	{ 0xffb7c514, "ida_free" },
	{ 0x37a0cba, "kfree" },
	{ 0x42da99be, "__pm_runtime_set_status" },
	{ 0x60f81b89, "pm_runtime_enable" },
	{ 0xc2343e78, "__pm_runtime_disable" },
	{ 0x5a921311, "strncmp" },
	{ 0xd0f3b355, "device_match_of_node" },
	{ 0x5c01842e, "bus_find_device" },
	{ 0x1a07182c, "driver_register" },
	{ 0x711f9a08, "bus_unregister" },
	{ 0xd91d4548, "bus_register" },
	{ 0x65c8172d, "device_for_each_child" },
	{ 0x8dd807a3, "device_del" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xcad41ef4, "device_initialize" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xf0e604d3, "put_device" },
	{ 0xb7419b1, "kmalloc_caches" },
	{ 0x3b82625f, "kmalloc_trace" },
	{ 0x623a76c6, "pcpu_hot" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xc0100a6f, "__pm_runtime_resume" },
	{ 0x12cd47c9, "trace_event_reg" },
	{ 0x3a2b1f5c, "trace_event_raw_init" },
	{ 0x42201d20, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "83D5EC452377021D194F2A1");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
