#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(__tb_ring_enqueue, "_gpl", "");
KSYMTAB_FUNC(tb_ring_poll, "_gpl", "");
KSYMTAB_FUNC(tb_ring_poll_complete, "_gpl", "");
KSYMTAB_FUNC(tb_ring_alloc_tx, "_gpl", "");
KSYMTAB_FUNC(tb_ring_alloc_rx, "_gpl", "");
KSYMTAB_FUNC(tb_ring_start, "_gpl", "");
KSYMTAB_FUNC(tb_ring_stop, "_gpl", "");
KSYMTAB_FUNC(tb_ring_free, "_gpl", "");
KSYMTAB_FUNC(tb_property_create_dir, "_gpl", "");
KSYMTAB_FUNC(tb_property_free_dir, "_gpl", "");
KSYMTAB_FUNC(tb_property_add_immediate, "_gpl", "");
KSYMTAB_FUNC(tb_property_add_data, "_gpl", "");
KSYMTAB_FUNC(tb_property_add_text, "_gpl", "");
KSYMTAB_FUNC(tb_property_add_dir, "_gpl", "");
KSYMTAB_FUNC(tb_property_remove, "_gpl", "");
KSYMTAB_FUNC(tb_property_find, "_gpl", "");
KSYMTAB_FUNC(tb_property_get_next, "_gpl", "");
KSYMTAB_FUNC(tb_xdomain_response, "_gpl", "");
KSYMTAB_FUNC(tb_xdomain_request, "_gpl", "");
KSYMTAB_FUNC(tb_register_protocol_handler, "_gpl", "");
KSYMTAB_FUNC(tb_unregister_protocol_handler, "_gpl", "");
KSYMTAB_FUNC(tb_register_service_driver, "_gpl", "");
KSYMTAB_FUNC(tb_unregister_service_driver, "_gpl", "");
KSYMTAB_DATA(tb_service_type, "_gpl", "");
KSYMTAB_DATA(tb_xdomain_type, "_gpl", "");
KSYMTAB_FUNC(tb_xdomain_lane_bonding_enable, "_gpl", "");
KSYMTAB_FUNC(tb_xdomain_lane_bonding_disable, "_gpl", "");
KSYMTAB_FUNC(tb_xdomain_alloc_in_hopid, "_gpl", "");
KSYMTAB_FUNC(tb_xdomain_alloc_out_hopid, "_gpl", "");
KSYMTAB_FUNC(tb_xdomain_release_in_hopid, "_gpl", "");
KSYMTAB_FUNC(tb_xdomain_release_out_hopid, "_gpl", "");
KSYMTAB_FUNC(tb_xdomain_enable_paths, "_gpl", "");
KSYMTAB_FUNC(tb_xdomain_disable_paths, "_gpl", "");
KSYMTAB_FUNC(tb_xdomain_find_by_uuid, "_gpl", "");
KSYMTAB_FUNC(tb_xdomain_find_by_route, "_gpl", "");
KSYMTAB_FUNC(tb_register_property_dir, "_gpl", "");
KSYMTAB_FUNC(tb_unregister_property_dir, "_gpl", "");

SYMBOL_CRC(__tb_ring_enqueue, 0x57ec7f66, "_gpl");
SYMBOL_CRC(tb_ring_poll, 0xb1a40fd5, "_gpl");
SYMBOL_CRC(tb_ring_poll_complete, 0x23630a6a, "_gpl");
SYMBOL_CRC(tb_ring_alloc_tx, 0x8bd54de3, "_gpl");
SYMBOL_CRC(tb_ring_alloc_rx, 0x34c79eea, "_gpl");
SYMBOL_CRC(tb_ring_start, 0x31962e29, "_gpl");
SYMBOL_CRC(tb_ring_stop, 0x244c086e, "_gpl");
SYMBOL_CRC(tb_ring_free, 0x7fe34752, "_gpl");
SYMBOL_CRC(tb_property_create_dir, 0x01d23ee1, "_gpl");
SYMBOL_CRC(tb_property_free_dir, 0x393b4f2f, "_gpl");
SYMBOL_CRC(tb_property_add_immediate, 0x658e3d97, "_gpl");
SYMBOL_CRC(tb_property_add_data, 0xa3d2b403, "_gpl");
SYMBOL_CRC(tb_property_add_text, 0xb7c7cdce, "_gpl");
SYMBOL_CRC(tb_property_add_dir, 0x8b62f95e, "_gpl");
SYMBOL_CRC(tb_property_remove, 0x785eb82c, "_gpl");
SYMBOL_CRC(tb_property_find, 0x4e5064a7, "_gpl");
SYMBOL_CRC(tb_property_get_next, 0x73ad2acb, "_gpl");
SYMBOL_CRC(tb_xdomain_response, 0x125841aa, "_gpl");
SYMBOL_CRC(tb_xdomain_request, 0x63a9147c, "_gpl");
SYMBOL_CRC(tb_register_protocol_handler, 0x4e64bdfd, "_gpl");
SYMBOL_CRC(tb_unregister_protocol_handler, 0xf76028c7, "_gpl");
SYMBOL_CRC(tb_register_service_driver, 0x7045dd3f, "_gpl");
SYMBOL_CRC(tb_unregister_service_driver, 0x656895ad, "_gpl");
SYMBOL_CRC(tb_service_type, 0x91e480e4, "_gpl");
SYMBOL_CRC(tb_xdomain_type, 0x7fbb6ad1, "_gpl");
SYMBOL_CRC(tb_xdomain_lane_bonding_enable, 0xe5b615c1, "_gpl");
SYMBOL_CRC(tb_xdomain_lane_bonding_disable, 0xb1d6ef9c, "_gpl");
SYMBOL_CRC(tb_xdomain_alloc_in_hopid, 0xe9f0fc69, "_gpl");
SYMBOL_CRC(tb_xdomain_alloc_out_hopid, 0x69d3f673, "_gpl");
SYMBOL_CRC(tb_xdomain_release_in_hopid, 0xdcc7ed70, "_gpl");
SYMBOL_CRC(tb_xdomain_release_out_hopid, 0x0d8d69a2, "_gpl");
SYMBOL_CRC(tb_xdomain_enable_paths, 0x34f44ccc, "_gpl");
SYMBOL_CRC(tb_xdomain_disable_paths, 0x3dc1fe7a, "_gpl");
SYMBOL_CRC(tb_xdomain_find_by_uuid, 0xd0c87c0b, "_gpl");
SYMBOL_CRC(tb_xdomain_find_by_route, 0x3c8be6d3, "_gpl");
SYMBOL_CRC(tb_register_property_dir, 0xf1cfd1ff, "_gpl");
SYMBOL_CRC(tb_unregister_property_dir, 0x603249ed, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x385861c2, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0xcec5c809, "pm_runtime_allow" },
	{ 0xc0100a6f, "__pm_runtime_resume" },
	{ 0x85df9b6c, "strsep" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xf442355, "acpi_fetch_acpi_dev" },
	{ 0x71e58fdb, "param_ops_bool" },
	{ 0xd7269c64, "osc_sb_native_usb4_control" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x7f9ff45d, "seq_printf" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x36a24aba, "kobject_uevent" },
	{ 0x6cf77557, "device_iommu_capable" },
	{ 0x1cb72a15, "seq_puts" },
	{ 0xaf3e7c3c, "single_release" },
	{ 0x8ac9a278, "dma_set_mask" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xcc9395e4, "pci_walk_bus" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xc2bed36, "dev_err_probe" },
	{ 0xdd18a993, "acpi_check_dsm" },
	{ 0xfba2edc9, "nvmem_register" },
	{ 0x9716f303, "pcim_iomap_table" },
	{ 0x3b82625f, "kmalloc_trace" },
	{ 0xd0eeff18, "__pm_runtime_suspend" },
	{ 0x947f7c0f, "component_add" },
	{ 0x8d04e8cf, "fwnode_handle_put" },
	{ 0x754d539c, "strlen" },
	{ 0x86aee4f7, "__pm_runtime_use_autosuspend" },
	{ 0x67b80948, "single_open" },
	{ 0x38ae3f77, "pcim_enable_device" },
	{ 0xc2343e78, "__pm_runtime_disable" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x525235d4, "crypto_alloc_shash" },
	{ 0xd2d76397, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x66d19df1, "device_link_add" },
	{ 0x1a07182c, "driver_register" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0xf09b5d9a, "get_zeroed_page" },
	{ 0x447bd7f7, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x6f6f902e, "__dev_fwnode" },
	{ 0xa843acd6, "pci_bus_type" },
	{ 0x1770449c, "pci_write_config_dword" },
	{ 0xb7419b1, "kmalloc_caches" },
	{ 0xd91d4548, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x2a3759d9, "pci_find_ext_capability" },
	{ 0xa821dc98, "is_acpi_device_node" },
	{ 0x13bbfb01, "device_set_wakeup_capable" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0x62658796, "devm_request_threaded_irq" },
	{ 0x59769fb, "param_ops_uint" },
	{ 0x210033d7, "dma_pool_create" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x3f989fa7, "devm_kmalloc" },
	{ 0x4a453f53, "iowrite32" },
	{ 0xec2b8a42, "acpi_walk_namespace" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x77bc13a0, "strim" },
	{ 0xe21000fb, "dev_set_name" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xfdf50f48, "pci_alloc_irq_vectors" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x54a86095, "device_unregister" },
	{ 0x600c0852, "pm_runtime_set_autosuspend_delay" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xa9bacb76, "nvmem_unregister" },
	{ 0xbc1bd771, "__pci_register_driver" },
	{ 0xcad41ef4, "device_initialize" },
	{ 0x69acdf38, "memcpy" },
	{ 0x31b86821, "component_del" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x623a76c6, "pcpu_hot" },
	{ 0x3a40fbad, "seq_lseek" },
	{ 0x556cca46, "x86_apple_machine" },
	{ 0x8d3d4648, "acpi_find_child_by_adr" },
	{ 0x65c8172d, "device_for_each_child" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xfcbe824c, "pci_irq_vector" },
	{ 0xe0513723, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x96a1a794, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x61ea923e, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x50cf7585, "hex2bin" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0xd0a7e94d, "dev_driver_string" },
	{ 0xf0205b95, "crypto_destroy_tfm" },
	{ 0xae948ed8, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x42da99be, "__pm_runtime_set_status" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x46eb5458, "pm_wakeup_dev_event" },
	{ 0x331fae70, "register_acpi_bus_type" },
	{ 0x1000e51, "schedule" },
	{ 0x4be94fbf, "acpi_find_child_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xf0e604d3, "put_device" },
	{ 0xf980bce3, "devm_free_irq" },
	{ 0x60f81b89, "pm_runtime_enable" },
	{ 0x18759530, "device_for_each_child_reverse" },
	{ 0xa916b694, "strnlen" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x723e164a, "bus_for_each_dev" },
	{ 0x23cf671a, "_dev_info" },
	{ 0xf5193220, "sysfs_create_link" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0x4a45ed41, "pcim_iomap_regions" },
	{ 0xa2e73348, "kobject_uevent_env" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xae5a04bb, "acpi_evaluate_dsm" },
	{ 0x711f9a08, "bus_unregister" },
	{ 0x91dad032, "_dev_err" },
	{ 0x7db9aafd, "device_wakeup_enable" },
	{ 0x71482f82, "crypto_shash_setkey" },
	{ 0x5c01842e, "bus_find_device" },
	{ 0xe477d6e1, "device_add" },
	{ 0x57244e1b, "sysfs_remove_link" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0xf9a24926, "device_property_read_u8_array" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3c0b078e, "pci_device_is_present" },
	{ 0x4507b0bb, "dma_alloc_attrs" },
	{ 0xd1f43260, "debugfs_remove" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x6dcf857f, "uuid_null" },
	{ 0xb9b80a68, "crypto_shash_digest" },
	{ 0xffb7c514, "ida_free" },
	{ 0x502ae681, "driver_unregister" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xf97b7c05, "device_find_child" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xc098c6e8, "device_register" },
	{ 0x8dd807a3, "device_del" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x9ca5d306, "_dev_warn" },
	{ 0x24a6de83, "unregister_acpi_bus_type" },
	{ 0x6524b2c8, "acpi_get_first_physical_node" },
	{ 0x6bb3a6d1, "pci_set_master" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xba1008c8, "__crc32c_le" },
	{ 0xb67fec0e, "uuid_parse" },
	{ 0x117aeca0, "pm_runtime_no_callbacks" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x42635d55, "pm_suspend_global_flags" },
	{ 0x3479cfc2, "dma_set_coherent_mask" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xb372c097, "seq_read" },
	{ 0x7129a6f4, "osc_sb_native_usb4_support_confirmed" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xeae955fa, "fwnode_find_reference" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0xccc52ab0, "pm_runtime_forbid" },
	{ 0x7ccc2e3b, "debugfs_create_file" },
	{ 0x42201d20, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v00008086d00001513sv00002222sd00001111bc08sc80i00*");
MODULE_ALIAS("pci:v00008086d00001547sv00002222sd00001111bc08sc80i00*");
MODULE_ALIAS("pci:v00008086d0000156Asv*sd*bc08sc80i00*");
MODULE_ALIAS("pci:v00008086d0000156Csv*sd*bc08sc80i00*");
MODULE_ALIAS("pci:v00008086d00001575sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001577sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015DDsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015BFsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015DCsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015D9sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015D2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015DEsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015E8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015EBsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00008A17sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00008A0Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00009A1Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00009A1Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00009A1Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00009A21sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000463Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000466Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000A73Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000A76Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00007EB2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00007EC2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00007EC3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000A833sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000A834sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00005781sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00005784sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v*d*sv*sd*bc0Csc03i40*");

MODULE_INFO(srcversion, "A93B790E1A6343C7062CE58");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
