#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(usb_serial_claim_interface, "_gpl", "");
KSYMTAB_FUNC(usb_serial_port_softint, "_gpl", "");
KSYMTAB_FUNC(usb_serial_suspend, "", "");
KSYMTAB_FUNC(usb_serial_resume, "", "");
KSYMTAB_FUNC(usb_serial_register_drivers, "_gpl", "");
KSYMTAB_FUNC(usb_serial_deregister_drivers, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_open, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_close, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_write_start, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_write, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_chars_in_buffer, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_wait_until_sent, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_submit_read_urbs, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_process_read_urb, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_read_bulk_callback, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_write_bulk_callback, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_throttle, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_unthrottle, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_tiocmiwait, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_get_icount, "_gpl", "");
KSYMTAB_FUNC(usb_serial_handle_dcd_change, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_resume, "_gpl", "");

SYMBOL_CRC(usb_serial_claim_interface, 0x819dd9bd, "_gpl");
SYMBOL_CRC(usb_serial_port_softint, 0x2ef58307, "_gpl");
SYMBOL_CRC(usb_serial_suspend, 0x7d1c782e, "");
SYMBOL_CRC(usb_serial_resume, 0xbdaeffa0, "");
SYMBOL_CRC(usb_serial_register_drivers, 0xb7549093, "_gpl");
SYMBOL_CRC(usb_serial_deregister_drivers, 0x4a0195f4, "_gpl");
SYMBOL_CRC(usb_serial_generic_open, 0xe4652c98, "_gpl");
SYMBOL_CRC(usb_serial_generic_close, 0x83ca6780, "_gpl");
SYMBOL_CRC(usb_serial_generic_write_start, 0xed08e0c5, "_gpl");
SYMBOL_CRC(usb_serial_generic_write, 0xc3a9111f, "_gpl");
SYMBOL_CRC(usb_serial_generic_chars_in_buffer, 0x6e892e11, "_gpl");
SYMBOL_CRC(usb_serial_generic_wait_until_sent, 0x8e4a6767, "_gpl");
SYMBOL_CRC(usb_serial_generic_submit_read_urbs, 0xbf2850b0, "_gpl");
SYMBOL_CRC(usb_serial_generic_process_read_urb, 0xa17d73fc, "_gpl");
SYMBOL_CRC(usb_serial_generic_read_bulk_callback, 0x16e74012, "_gpl");
SYMBOL_CRC(usb_serial_generic_write_bulk_callback, 0x8ca18913, "_gpl");
SYMBOL_CRC(usb_serial_generic_throttle, 0xa0f85fd4, "_gpl");
SYMBOL_CRC(usb_serial_generic_unthrottle, 0xd4943754, "_gpl");
SYMBOL_CRC(usb_serial_generic_tiocmiwait, 0x68fd1216, "_gpl");
SYMBOL_CRC(usb_serial_generic_get_icount, 0x113ad9ca, "_gpl");
SYMBOL_CRC(usb_serial_handle_dcd_change, 0xeb392fb1, "_gpl");
SYMBOL_CRC(usb_serial_generic_resume, 0xf8dbd469, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x96a1a794, "__dynamic_dev_dbg" },
	{ 0x4b978f8b, "usb_get_intf" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5080a848, "usb_driver_release_interface" },
	{ 0x122c3a7e, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0xbcd757e1, "usb_put_dev" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xf0e604d3, "put_device" },
	{ 0xf7164e3c, "usb_get_dev" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x67b27ec1, "tty_std_termios" },
	{ 0x5dfa444e, "usb_submit_urb" },
	{ 0x23cf671a, "_dev_info" },
	{ 0xd6c28820, "tty_unregister_device" },
	{ 0xc6cbbc89, "capable" },
	{ 0x10eda758, "module_put" },
	{ 0x42e9a28c, "tty_port_tty_wakeup" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x81a59119, "usb_match_id" },
	{ 0x153047ef, "usb_store_new_id" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x711f9a08, "bus_unregister" },
	{ 0x91dad032, "_dev_err" },
	{ 0xe477d6e1, "device_add" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x62b812bf, "tty_ldisc_ref" },
	{ 0xb8f34e9b, "tty_vhangup" },
	{ 0x1144dc7c, "__tty_insert_flip_string_flags" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x7f218107, "tty_port_destroy" },
	{ 0xb84ab89c, "tty_port_init" },
	{ 0x2bae31c4, "usb_driver_claim_interface" },
	{ 0x866076d9, "seq_putc" },
	{ 0xf28b572a, "usb_poison_urb" },
	{ 0xbe943180, "usb_unpoison_urb" },
	{ 0x502ae681, "driver_unregister" },
	{ 0x414c3b3, "tty_port_register_device" },
	{ 0xc3485f09, "tty_ldisc_deref" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x5dc9dfa4, "usb_deregister" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x8dd807a3, "device_del" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0xffdffe49, "tty_port_close" },
	{ 0x9ca5d306, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x9d437b12, "usb_autopm_get_interface" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xabc65599, "tty_register_driver" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x2dec38f, "usb_kill_urb" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xec7bcc05, "tty_port_hangup" },
	{ 0x56470118, "__warn_printk" },
	{ 0x7f9ff45d, "seq_printf" },
	{ 0x3ce07e50, "tty_port_open" },
	{ 0x1cb72a15, "seq_puts" },
	{ 0x3b82625f, "kmalloc_trace" },
	{ 0x139f2189, "__kfifo_alloc" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x13d0adf7, "__kfifo_out" },
	{ 0x1a07182c, "driver_register" },
	{ 0x41e321ef, "tty_driver_kref_put" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xb7419b1, "kmalloc_caches" },
	{ 0xd91d4548, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x9af00712, "tty_port_tty_get" },
	{ 0x999eec90, "usb_put_intf" },
	{ 0x3b3f512f, "usb_alloc_urb" },
	{ 0xa3f13ff3, "usb_autopm_put_interface" },
	{ 0xaf456a19, "try_module_get" },
	{ 0xbd2c71d6, "usb_free_urb" },
	{ 0x20978fb9, "idr_find" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xe21000fb, "dev_set_name" },
	{ 0x37ef94c5, "param_ops_ushort" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xf23fcb99, "__kfifo_in" },
	{ 0xade65f2f, "tty_flip_buffer_push" },
	{ 0x3508ae8, "driver_attach" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x5e9ef28e, "tty_kref_put" },
	{ 0xaa748fa6, "usb_register_driver" },
	{ 0xd0f117e, "usb_match_one_id" },
	{ 0xcad41ef4, "device_initialize" },
	{ 0x37a0cba, "kfree" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0x623a76c6, "pcpu_hot" },
	{ 0xbd394d8, "tty_termios_baud_rate" },
	{ 0x19a304ba, "usb_disabled" },
	{ 0xb242a9a9, "__tty_alloc_driver" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xf1d86486, "tty_standard_install" },
	{ 0xe2964344, "__wake_up" },
	{ 0xc17e9946, "usb_show_dynids" },
	{ 0xe1c256c6, "tty_hangup" },
	{ 0xd82020dc, "tty_unregister_driver" },
	{ 0xdb760f52, "__kfifo_free" },
	{ 0xe816048f, "tty_termios_copy_hw" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x42201d20, "module_layout" },
};

MODULE_INFO(depends, "usbcore");


MODULE_INFO(srcversion, "1ABE4A5B9DBA2E3E81E3D55");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
