#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa916b694, "strnlen" },
	{ 0x43aad6ef, "fscrypt_file_open" },
	{ 0xe76f40ce, "generic_perform_write" },
	{ 0xc3762aec, "mempool_alloc" },
	{ 0x7e13236a, "simple_nosetlease" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xcf811f28, "__free_pages" },
	{ 0xdd9009fd, "kmem_cache_alloc" },
	{ 0x9f984513, "strrchr" },
	{ 0xa7a60cf3, "folio_mark_dirty" },
	{ 0x16e297c3, "bit_wait" },
	{ 0xed61f6b3, "security_release_secctx" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x1378aba3, "ceph_pg_pool_name_by_id" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xb442b7d1, "ceph_osdc_wait_request" },
	{ 0xd62d9969, "inode_init_once" },
	{ 0xf4ccff50, "folio_wait_private_2" },
	{ 0xb91049b3, "file_write_and_wait_range" },
	{ 0xaf679149, "ceph_osdc_new_request" },
	{ 0x4c88521e, "compat_ptr_ioctl" },
	{ 0x938ad1b3, "fscrypt_dummy_policies_equal" },
	{ 0x82af8c84, "copy_splice_read" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xbd2f79ae, "ceph_oloc_copy" },
	{ 0xa1cfe4f4, "__fscache_relinquish_volume" },
	{ 0x3858fc9f, "ilookup5" },
	{ 0x658c9452, "seq_escape_mem" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0x9108d8f8, "osd_req_op_copy_from_init" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x7226aec8, "posix_acl_create" },
	{ 0x7c70ad7f, "release_pages" },
	{ 0x57bc19d2, "down_write" },
	{ 0x27920cd6, "fscrypt_ioctl_get_nonce" },
	{ 0xce807a25, "up_write" },
	{ 0xb7c0f443, "sort" },
	{ 0x7d6518f, "generic_file_read_iter" },
	{ 0xa81d3089, "unlock_page" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x8ccec578, "set_cached_acl" },
	{ 0x61786365, "simple_attr_release" },
	{ 0x96411686, "ceph_auth_handle_svc_reply_more" },
	{ 0x5c500447, "netfs_write_begin" },
	{ 0x2087719e, "ceph_oid_copy" },
	{ 0x5240ee7, "percpu_counter_batch" },
	{ 0xed2604f7, "truncate_pagecache" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x8100735e, "init_uts_ns" },
	{ 0xb3f548ad, "kmemdup_nul" },
	{ 0x92b7b4ce, "ceph_pg_pool_flags" },
	{ 0x90e68041, "wait_on_page_writeback" },
	{ 0xeee4b172, "mnt_idmap_put" },
	{ 0xb4e615, "posix_acl_equiv_mode" },
	{ 0x8dd67a1c, "__fscrypt_prepare_rename" },
	{ 0xfb5a3135, "fscrypt_encrypt_block_inplace" },
	{ 0x9fefa3cb, "ceph_calc_file_object_mapping" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x3dedca9d, "file_update_time" },
	{ 0x1ca7e7bd, "fscrypt_ioctl_set_policy" },
	{ 0x1ff5a65e, "set_nlink" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xd4eb7735, "ceph_decode_entity_addr" },
	{ 0x77b372c9, "kmem_cache_free" },
	{ 0xd1f43260, "debugfs_remove" },
	{ 0x17c17611, "ceph_pg_to_acting_primary" },
	{ 0x5a921311, "strncmp" },
	{ 0xf5bddc81, "ceph_auth_add_authorizer_challenge" },
	{ 0xaf1595cc, "d_move" },
	{ 0xdc7225e7, "netfs_release_folio" },
	{ 0x866076d9, "seq_putc" },
	{ 0xdc700b16, "from_kgid" },
	{ 0xedf06385, "ceph_con_send" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0x9e4760f5, "fscrypt_ioctl_remove_key" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x702e4157, "__fscrypt_encrypt_symlink" },
	{ 0xa17bbb2d, "ceph_osdc_abort_requests" },
	{ 0x4502d8df, "ceph_zero_page_vector_range" },
	{ 0x5fb37c4b, "param_set_bool" },
	{ 0xf717678a, "iov_iter_kvec" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0x5c114bda, "file_remove_privs" },
	{ 0x3e0cbade, "__fscrypt_prepare_link" },
	{ 0xe6da5233, "ceph_osdc_start_request" },
	{ 0xa6dbd703, "from_vfsgid" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x7bfb57f3, "ceph_compare_options" },
	{ 0x49326db0, "d_obtain_alias" },
	{ 0x564ce14e, "file_modified" },
	{ 0x35562335, "posix_acl_chmod" },
	{ 0xaf340e27, "copy_page_to_iter" },
	{ 0x944375db, "_totalram_pages" },
	{ 0x2aad0453, "ceph_parse_mon_ips" },
	{ 0xbccd9a7d, "ceph_client_addr" },
	{ 0xfef216eb, "_raw_spin_trylock" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x29680a02, "ceph_msg_dump" },
	{ 0x9fbba67f, "ceph_buffer_new" },
	{ 0x79d99b2e, "fscrypt_put_encryption_info" },
	{ 0x20463df4, "wait_for_completion_killable" },
	{ 0xc63f89ef, "fscrypt_fname_encrypted_size" },
	{ 0x5b18fc16, "finish_no_open" },
	{ 0x8bdfdd6d, "d_obtain_root" },
	{ 0x98ed3082, "netfs_dirty_folio" },
	{ 0x190e2e9d, "fscrypt_d_revalidate" },
	{ 0x280e2fb9, "osd_req_op_extent_init" },
	{ 0xf478dd2f, "ceph_put_page_vector" },
	{ 0xa58594f4, "from_kuid" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0x53c40dd8, "ceph_osdc_alloc_request" },
	{ 0x4996bd29, "fscache_n_updates" },
	{ 0x1b176e58, "osd_req_op_init" },
	{ 0x4affd6c2, "ceph_parse_fsid" },
	{ 0xfb578fc5, "memset" },
	{ 0x33d1bb59, "ceph_osdc_update_epoch_barrier" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xbe3879aa, "ceph_get_snap_context" },
	{ 0x5887d28f, "security_inode_invalidate_secctx" },
	{ 0xcaf8669f, "osd_req_op_extent_osd_iter" },
	{ 0x1482254, "iov_iter_bvec" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xcf4fdd4d, "_atomic_dec_and_lock" },
	{ 0xe34a59f2, "ceph_object_locator_to_pg" },
	{ 0xf7a39093, "make_kgid" },
	{ 0xece784c2, "rb_first" },
	{ 0x38a925f3, "__ceph_auth_get_authorizer" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x85e89e0b, "d_delete" },
	{ 0x40c673c6, "fscrypt_prepare_lookup_partial" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x150bbb13, "simple_attr_read" },
	{ 0x1bf33db8, "end_page_writeback" },
	{ 0xe485c0ae, "fscrypt_fname_encrypt" },
	{ 0xe40c37ea, "down_write_trylock" },
	{ 0x2a983d26, "ceph_pagelist_release" },
	{ 0x668b19a1, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x94064d97, "osd_req_op_extent_osd_data_pages" },
	{ 0xbb79ab7d, "__fscache_write_to_cache" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x5a1eaa8c, "iov_iter_get_pages_alloc2" },
	{ 0x223e1ec5, "ceph_osdc_sync" },
	{ 0xa7fe0d5b, "set_page_dirty" },
	{ 0xb21ef871, "copy_page_from_iter" },
	{ 0x7dcf4135, "__xa_insert" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x745a981, "xa_erase" },
	{ 0x3c595f08, "ceph_destroy_client" },
	{ 0xb372c097, "seq_read" },
	{ 0x634ee47c, "fscrypt_free_bounce_page" },
	{ 0x7925eec3, "redirty_page_for_writepage" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xdd64e639, "strscpy" },
	{ 0x38a6799, "noop_direct_IO" },
	{ 0xdf3b5cba, "__fscrypt_prepare_readdir" },
	{ 0x7ccc2e3b, "debugfs_create_file" },
	{ 0xff9c4d01, "igrab" },
	{ 0x7e50c507, "netfs_read_folio" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xacff44cb, "__ceph_open_session" },
	{ 0xfa899286, "set_page_writeback" },
	{ 0xe3af2dbe, "d_add" },
	{ 0xe6fa06a2, "rename_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xe138fb8c, "percpu_counter_add_batch" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x3096be16, "names_cachep" },
	{ 0x71e58fdb, "param_ops_bool" },
	{ 0x53126ecc, "__percpu_counter_sum" },
	{ 0x202af3c6, "init_user_ns" },
	{ 0xd9491c14, "xa_destroy" },
	{ 0x726bc3c7, "wait_for_completion_killable_timeout" },
	{ 0x8fa25c24, "xa_find" },
	{ 0x41342f1c, "d_find_alias" },
	{ 0x7340f0cf, "fscrypt_ioctl_add_key" },
	{ 0xa3a3bb89, "invalidate_inode_pages2" },
	{ 0xc310b981, "strnstr" },
	{ 0xb77e429, "fscrypt_fname_disk_to_usr" },
	{ 0x50edc828, "inode_set_ctime_current" },
	{ 0xfd5aee9, "bdi_dev_name" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x3919cd7, "__folio_put" },
	{ 0x9034a696, "mempool_destroy" },
	{ 0x36fc9d49, "ceph_alloc_page_vector" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xe39b2ea5, "sha256" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x981f24f3, "fscrypt_ioctl_get_policy" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x784f07c0, "set_anon_super_fc" },
	{ 0x56470118, "__warn_printk" },
	{ 0x7f9ff45d, "seq_printf" },
	{ 0x9fa1b7d, "ceph_monc_do_statfs" },
	{ 0xd8b676ef, "dput" },
	{ 0xcc7e0430, "ceph_monc_validate_auth" },
	{ 0xd0531a03, "iov_iter_zero" },
	{ 0xd9b85ef6, "lockref_get" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xa6b75c32, "generic_delete_inode" },
	{ 0x6434eaaa, "deactivate_locked_super" },
	{ 0xda80e83a, "__percpu_down_read" },
	{ 0x8664ec65, "ceph_auth_handle_svc_reply_done" },
	{ 0x417a9131, "ceph_oloc_destroy" },
	{ 0x174113bc, "set_page_dirty_lock" },
	{ 0xadca3ad8, "tag_pages_for_writeback" },
	{ 0xb4f4c1f8, "__fscache_invalidate" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x166ade65, "posix_acl_update_mode" },
	{ 0x3b55ac4b, "ceph_auth_handle_bad_authorizer" },
	{ 0xf84a8d2f, "ceph_monc_renew_subs" },
	{ 0x905c6f23, "truncate_inode_pages_range" },
	{ 0x18888d00, "downgrade_write" },
	{ 0xee120c03, "ceph_release_string" },
	{ 0x51d72b41, "__folio_lock" },
	{ 0x7119c6ce, "pagecache_get_page" },
	{ 0xbbc907f, "ceph_msg_put" },
	{ 0xff38a77, "osd_req_op_extent_osd_data_bvecs" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x1cb72a15, "seq_puts" },
	{ 0x57baf885, "ceph_str_hash" },
	{ 0x6faa76ce, "__fscache_use_cookie" },
	{ 0xed698226, "rcuwait_wake_up" },
	{ 0xaf3e7c3c, "single_release" },
	{ 0xc8fbcff4, "fscrypt_prepare_symlink" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x2ec6bba0, "errseq_set" },
	{ 0x14225f9, "iov_iter_xarray" },
	{ 0x4731b3ca, "__fs_parse" },
	{ 0x88a7dc33, "filemap_splice_read" },
	{ 0x8b2da6a4, "posix_acl_to_xattr" },
	{ 0x6a7a38a0, "ceph_pr_addr" },
	{ 0xb72c162e, "ceph_buffer_release" },
	{ 0xf2f4105a, "dget_parent" },
	{ 0x6511f20e, "kill_anon_super" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0x3b82625f, "kmalloc_trace" },
	{ 0xdd3ad3fd, "iget5_locked" },
	{ 0x47709e42, "free_anon_bdev" },
	{ 0x9bf85f90, "security_dentry_init_security" },
	{ 0xb341af11, "filemap_write_and_wait_range" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x754d539c, "strlen" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0x354b5181, "osd_req_op_raw_data_in_pages" },
	{ 0xe78befc4, "fscrypt_prepare_new_inode" },
	{ 0x61204665, "netfs_subreq_terminated" },
	{ 0xc18b1438, "ceph_con_init" },
	{ 0x4beea96a, "generic_write_checks" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xde21901f, "fscrypt_encrypt_pagecache_blocks" },
	{ 0x41764d00, "fscrypt_get_symlink" },
	{ 0x67b80948, "single_open" },
	{ 0x349cba85, "strchr" },
	{ 0xb355a9b0, "kmem_cache_alloc_lru" },
	{ 0x8451afdc, "filemap_fault" },
	{ 0x78da06db, "d_invalidate" },
	{ 0xd2d76397, "debugfs_create_dir" },
	{ 0x6c6ac999, "__mark_inode_dirty" },
	{ 0xed06a305, "generic_file_llseek" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xd4d736db, "ceph_destroy_options" },
	{ 0xff87cd18, "lockref_get_not_dead" },
	{ 0x53b954a2, "up_read" },
	{ 0x9dc63ffc, "ceph_osdc_clear_abort_err" },
	{ 0x8adb3781, "iov_iter_npages" },
	{ 0x7265418f, "drop_nlink" },
	{ 0x42a4e3c5, "fscrypt_free_inode" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x774bcd17, "fscrypt_has_permitted_context" },
	{ 0xb7419b1, "kmalloc_caches" },
	{ 0xb5a94c07, "fscrypt_symlink_getattr" },
	{ 0xdf6ef4a1, "ceph_oid_printf" },
	{ 0x4aadfab3, "kmem_cache_destroy" },
	{ 0x2a734cab, "__fscache_acquire_cookie" },
	{ 0xf06abd10, "ceph_con_close" },
	{ 0xafb8a407, "ceph_msgr_flush" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x6a5fa363, "sigprocmask" },
	{ 0xc21f6d89, "forget_cached_acl" },
	{ 0x63adb12e, "osd_req_op_xattr_init" },
	{ 0xbc314156, "nop_mnt_idmap" },
	{ 0x3af47d7, "fscrypt_context_for_new_inode" },
	{ 0x8fbc670c, "ceph_con_keepalive" },
	{ 0xed76c37f, "super_setup_bdi_name" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x484f6edf, "ktime_get_coarse_real_ts64" },
	{ 0x3a1fd2f7, "folio_invalidate" },
	{ 0xf612796, "ceph_auth_get_authorizer" },
	{ 0xa07bcd73, "__page_file_index" },
	{ 0x9bc6b539, "ceph_find_or_create_string" },
	{ 0xe914e41e, "strcpy" },
	{ 0x9058f846, "filemap_fdatawrite" },
	{ 0x45e8b450, "mnt_idmap_get" },
	{ 0xb93056cd, "generic_fillattr" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0xd161249f, "vfs_fsync_range" },
	{ 0xa7148e7e, "setattr_prepare" },
	{ 0xe4de52d7, "ceph_print_client_options" },
	{ 0x2f90fa4f, "simple_attr_write" },
	{ 0xa069878c, "file_check_and_advance_wb_err" },
	{ 0x2c50a4e5, "ceph_msg_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xc79bf567, "filemap_get_folios_tag" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0xdfc091f9, "ceph_entity_type_name" },
	{ 0xc028002a, "d_instantiate" },
	{ 0x2195af5c, "_copy_to_iter" },
	{ 0x4a52bd, "simple_attr_open" },
	{ 0x9ca95932, "ceph_create_snap_context" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x53dbc36b, "clear_inode" },
	{ 0x379cccc4, "ceph_create_client" },
	{ 0xd520c0ce, "__fscache_acquire_volume" },
	{ 0x435db8c7, "vfs_inode_has_locks" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x704683c2, "osd_req_op_extent_osd_data" },
	{ 0x916aefbe, "__percpu_counter_init_many" },
	{ 0x2a33e377, "discard_new_inode" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xcdc39c9e, "security_ismaclabel" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x6b4e5c49, "fs_param_is_string" },
	{ 0x843a7458, "__folio_batch_release" },
	{ 0xdb514bbf, "folio_unlock" },
	{ 0x346fe6b0, "__fscache_resize_cookie" },
	{ 0x26ebecdf, "fscrypt_ioctl_remove_key_all_users" },
	{ 0xc2c40881, "fscrypt_parse_test_dummy_encryption" },
	{ 0x207e013, "inode_insert5" },
	{ 0x803c9ef2, "ceph_monc_want_map" },
	{ 0xa0b90325, "new_inode" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa7e704c, "netfs_unpin_writeback" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x4e4f74, "ceph_con_open" },
	{ 0x994fb42d, "forget_all_cached_acls" },
	{ 0xdbf314bc, "init_special_inode" },
	{ 0xe0946c12, "unregister_filesystem" },
	{ 0x45377b28, "__fscrypt_prepare_setattr" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x67841bfb, "param_get_bool" },
	{ 0xe76e7226, "ceph_pagelist_alloc" },
	{ 0x4d849dbe, "debugfs_create_symlink" },
	{ 0xca9360b5, "rb_next" },
	{ 0xc4f3de9c, "ceph_osdc_put_request" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x9c76c146, "generic_error_remove_folio" },
	{ 0xaf6685cd, "inode_set_flags" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xad703657, "ceph_auth_destroy_authorizer" },
	{ 0x5daca0b8, "iov_iter_advance" },
	{ 0x50fe99e2, "fscrypt_ioctl_get_key_status" },
	{ 0xe0bcc95, "d_make_root" },
	{ 0x2c7eb5fb, "d_same_name" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xa0dd2b0, "fscrypt_decrypt_block_inplace" },
	{ 0x792b1dfb, "read_cache_folio" },
	{ 0xa0494d27, "invalidate_mapping_pages" },
	{ 0xeddca164, "sync_filesystem" },
	{ 0x9bc49205, "__fscache_unuse_cookie" },
	{ 0x86fca7e4, "ceph_put_snap_context" },
	{ 0x66414c63, "ceph_parse_param" },
	{ 0x415b1387, "ceph_client_gid" },
	{ 0xd07f543, "get_anon_bdev" },
	{ 0xdb2e4f7d, "percpu_counter_destroy_many" },
	{ 0x89d8556f, "sget_fc" },
	{ 0x42e084eb, "d_splice_alias" },
	{ 0xdd4466a1, "iov_iter_get_pages2" },
	{ 0xdf605138, "current_time" },
	{ 0x84a1842a, "osd_req_op_extent_update" },
	{ 0x69acdf38, "memcpy" },
	{ 0x8b26351b, "from_vfsuid" },
	{ 0x7ff26ae8, "ihold" },
	{ 0x723e8993, "d_find_any_alias" },
	{ 0xb96feae3, "inode_dio_wait" },
	{ 0xdfc36b09, "generic_permission" },
	{ 0xa75ab649, "truncate_pagecache_range" },
	{ 0x37a0cba, "kfree" },
	{ 0x7b3869f2, "invalidate_inode_pages2_range" },
	{ 0x1eb9516e, "round_jiffies_relative" },
	{ 0xa9e7be85, "posix_lock_file" },
	{ 0xa79d9cba, "finish_open" },
	{ 0x528de13, "iput" },
	{ 0x623a76c6, "pcpu_hot" },
	{ 0x3a40fbad, "seq_lseek" },
	{ 0x27cfd875, "fs_param_is_enum" },
	{ 0x64b0fe38, "fs_param_is_s32" },
	{ 0x35fa36a0, "wrap_directory_iterator" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0xb518210e, "logfc" },
	{ 0x9c6d395e, "__put_devmap_managed_page_refs" },
	{ 0x66455511, "ceph_monc_blocklist_add" },
	{ 0xd35a6d31, "mempool_kmalloc" },
	{ 0x60dde58e, "fscrypt_show_test_dummy_encryption" },
	{ 0x4699be4e, "iter_file_splice_write" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0x3a62f099, "d_lookup" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x148653, "vsnprintf" },
	{ 0xea818e6, "__fscache_relinquish_cookie" },
	{ 0x8db0fde0, "ceph_msg_new" },
	{ 0x7eaf9ecb, "register_filesystem" },
	{ 0xde0b6d2b, "kmem_cache_create" },
	{ 0xf660131c, "ceph_auth_invalidate_authorizer" },
	{ 0xef1fec48, "folio_clear_dirty_for_io" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x6b19231f, "fscrypt_ioctl_get_policy_ex" },
	{ 0x7950e0b8, "ceph_monc_got_map" },
	{ 0xdeda321d, "osd_req_op_extent_dup_last" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xa897e3e7, "mempool_free" },
	{ 0xc3ff38c2, "down_read_trylock" },
	{ 0xb67ba941, "ceph_osdc_alloc_messages" },
	{ 0xe7f8de2b, "clear_page_dirty_for_io" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xce5927e, "ceph_msg_data_add_pagelist" },
	{ 0x2a197ab3, "netfs_readahead" },
	{ 0xd6eaaea1, "full_name_hash" },
	{ 0x957b6036, "simple_get_link" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb54676fa, "ceph_msg_type_name" },
	{ 0xd803b9ac, "shrink_dcache_parent" },
	{ 0x8963dccc, "__put_cred" },
	{ 0xe4be211c, "d_prune_aliases" },
	{ 0x9e06c12e, "ceph_reset_client_addr" },
	{ 0x30409179, "splice_file_range" },
	{ 0xb678366f, "int_sqrt" },
	{ 0x6a037cf1, "mempool_kfree" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x987d3968, "ceph_alloc_options" },
	{ 0xbd3b9681, "locks_lock_inode_wait" },
	{ 0xa263892b, "fscrypt_fname_free_buffer" },
	{ 0x41dba1e4, "fs_param_is_u32" },
	{ 0xa56f0644, "inode_newsize_ok" },
	{ 0x1e528d8e, "netfs_invalidate_folio" },
	{ 0x52cc197a, "d_drop" },
	{ 0xb5e73116, "flush_delayed_work" },
	{ 0x43e3602e, "ceph_msg_new2" },
	{ 0x8031ee48, "unlock_new_inode" },
	{ 0x122c3a7e, "_printk" },
	{ 0x1953c958, "mempool_create" },
	{ 0xa6216e8, "ceph_release_page_vector" },
	{ 0xf0578680, "posix_acl_from_xattr" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0x80e5f86f, "fscrypt_fname_alloc_buffer" },
	{ 0xe291f272, "filemap_alloc_folio" },
	{ 0x3151a160, "ceph_check_fsid" },
	{ 0x50603ce3, "ceph_decode_entity_addrvec" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0xefce3c3b, "ceph_pagelist_reserve" },
	{ 0x573c6a2e, "__ceph_alloc_sparse_ext_map" },
	{ 0xefce991c, "ceph_pagelist_append" },
	{ 0x3869fee1, "ceph_auth_verify_authorizer_reply" },
	{ 0x1017a910, "make_kuid" },
	{ 0xe91e48bc, "truncate_inode_pages_final" },
	{ 0x2fd7f7d5, "d_alloc" },
	{ 0x88dbe4d8, "__filemap_set_wb_err" },
	{ 0x42201d20, "module_layout" },
};

MODULE_INFO(depends, "libceph,netfs");


MODULE_INFO(srcversion, "3BA69F393F133B3859C1B99");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
