#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(register_nfs_version, "_gpl", "");
KSYMTAB_FUNC(unregister_nfs_version, "_gpl", "");
KSYMTAB_FUNC(nfs_alloc_client, "_gpl", "");
KSYMTAB_FUNC(nfs_free_client, "_gpl", "");
KSYMTAB_FUNC(nfs_put_client, "_gpl", "");
KSYMTAB_FUNC(nfs_client_init_is_complete, "_gpl", "");
KSYMTAB_FUNC(nfs_client_init_status, "_gpl", "");
KSYMTAB_FUNC(nfs_wait_client_init_complete, "_gpl", "");
KSYMTAB_FUNC(nfs_get_client, "_gpl", "");
KSYMTAB_FUNC(nfs_mark_client_ready, "_gpl", "");
KSYMTAB_FUNC(nfs_init_timeout_values, "_gpl", "");
KSYMTAB_FUNC(nfs_create_rpc_client, "_gpl", "");
KSYMTAB_FUNC(nfs_init_server_rpcclient, "_gpl", "");
KSYMTAB_FUNC(nfs_init_client, "_gpl", "");
KSYMTAB_FUNC(nfs_probe_server, "_gpl", "");
KSYMTAB_FUNC(nfs_server_copy_userdata, "_gpl", "");
KSYMTAB_FUNC(nfs_server_insert_lists, "_gpl", "");
KSYMTAB_FUNC(nfs_server_remove_lists, "_gpl", "");
KSYMTAB_FUNC(nfs_alloc_server, "_gpl", "");
KSYMTAB_FUNC(nfs_free_server, "_gpl", "");
KSYMTAB_FUNC(nfs_create_server, "_gpl", "");
KSYMTAB_FUNC(nfs_clone_server, "_gpl", "");
KSYMTAB_FUNC(nfs_force_lookup_revalidate, "_gpl", "");
KSYMTAB_FUNC(nfs_set_verifier, "_gpl", "");
KSYMTAB_FUNC(nfs_clear_verifier_delegated, "_gpl", "");
KSYMTAB_DATA(nfs_dentry_operations, "_gpl", "");
KSYMTAB_FUNC(nfs_lookup, "_gpl", "");
KSYMTAB_FUNC(nfs_d_prune_case_insensitive_aliases, "_gpl", "");
KSYMTAB_DATA(nfs4_dentry_operations, "_gpl", "");
KSYMTAB_FUNC(nfs_atomic_open, "_gpl", "");
KSYMTAB_FUNC(nfs_add_or_obtain, "_gpl", "");
KSYMTAB_FUNC(nfs_instantiate, "_gpl", "");
KSYMTAB_FUNC(nfs_create, "_gpl", "");
KSYMTAB_FUNC(nfs_mknod, "_gpl", "");
KSYMTAB_FUNC(nfs_mkdir, "_gpl", "");
KSYMTAB_FUNC(nfs_rmdir, "_gpl", "");
KSYMTAB_FUNC(nfs_unlink, "_gpl", "");
KSYMTAB_FUNC(nfs_symlink, "_gpl", "");
KSYMTAB_FUNC(nfs_link, "_gpl", "");
KSYMTAB_FUNC(nfs_rename, "_gpl", "");
KSYMTAB_FUNC(nfs_access_zap_cache, "_gpl", "");
KSYMTAB_FUNC(nfs_access_get_cached, "_gpl", "");
KSYMTAB_FUNC(nfs_access_add_cache, "_gpl", "");
KSYMTAB_FUNC(nfs_access_set_mask, "_gpl", "");
KSYMTAB_FUNC(nfs_may_open, "_gpl", "");
KSYMTAB_FUNC(nfs_permission, "_gpl", "");
KSYMTAB_FUNC(nfs_check_flags, "_gpl", "");
KSYMTAB_FUNC(nfs_file_release, "_gpl", "");
KSYMTAB_FUNC(nfs_file_llseek, "_gpl", "");
KSYMTAB_FUNC(nfs_file_read, "_gpl", "");
KSYMTAB_FUNC(nfs_file_splice_read, "_gpl", "");
KSYMTAB_FUNC(nfs_file_mmap, "_gpl", "");
KSYMTAB_FUNC(nfs_file_fsync, "_gpl", "");
KSYMTAB_FUNC(nfs_file_write, "_gpl", "");
KSYMTAB_FUNC(nfs_lock, "_gpl", "");
KSYMTAB_FUNC(nfs_flock, "_gpl", "");
KSYMTAB_DATA(nfs_file_operations, "_gpl", "");
KSYMTAB_FUNC(nfs_wait_bit_killable, "_gpl", "");
KSYMTAB_FUNC(nfs_drop_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_clear_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_sync_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_check_cache_invalid, "_gpl", "");
KSYMTAB_FUNC(nfs_set_cache_invalid, "_gpl", "");
KSYMTAB_FUNC(nfs_zap_acl_cache, "_gpl", "");
KSYMTAB_FUNC(nfs_invalidate_atime, "_gpl", "");
KSYMTAB_FUNC(nfs4_label_alloc, "_gpl", "");
KSYMTAB_FUNC(nfs_setsecurity, "_gpl", "");
KSYMTAB_FUNC(nfs_fhget, "_gpl", "");
KSYMTAB_FUNC(nfs_setattr, "_gpl", "");
KSYMTAB_FUNC(nfs_setattr_update_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_getattr, "_gpl", "");
KSYMTAB_FUNC(nfs_get_lock_context, "_gpl", "");
KSYMTAB_FUNC(nfs_put_lock_context, "_gpl", "");
KSYMTAB_FUNC(nfs_close_context, "_gpl", "");
KSYMTAB_FUNC(alloc_nfs_open_context, "_gpl", "");
KSYMTAB_FUNC(get_nfs_open_context, "_gpl", "");
KSYMTAB_FUNC(put_nfs_open_context, "_gpl", "");
KSYMTAB_FUNC(nfs_inode_attach_open_context, "_gpl", "");
KSYMTAB_FUNC(nfs_file_set_open_context, "_gpl", "");
KSYMTAB_FUNC(nfs_revalidate_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_inc_attr_generation_counter, "_gpl", "");
KSYMTAB_FUNC(nfs_fattr_init, "_gpl", "");
KSYMTAB_FUNC(nfs_alloc_fattr, "_gpl", "");
KSYMTAB_FUNC(nfs_alloc_fattr_with_label, "_gpl", "");
KSYMTAB_FUNC(nfs_alloc_fhandle, "_gpl", "");
KSYMTAB_FUNC(_nfs_display_fhandle_hash, "_gpl", "");
KSYMTAB_FUNC(_nfs_display_fhandle, "_gpl", "");
KSYMTAB_FUNC(nfs_refresh_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_post_op_update_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_post_op_update_inode_force_wcc, "_gpl", "");
KSYMTAB_FUNC(nfs_alloc_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_free_inode, "_gpl", "");
KSYMTAB_DATA(nfsiod_workqueue, "_gpl", "");
KSYMTAB_DATA(nfs_net_id, "_gpl", "");
KSYMTAB_DATA(nfs_sops, "_gpl", "");
KSYMTAB_FUNC(nfs_sb_active, "_gpl", "");
KSYMTAB_FUNC(nfs_sb_deactive, "_gpl", "");
KSYMTAB_FUNC(nfs_client_for_each_server, "_gpl", "");
KSYMTAB_FUNC(nfs_statfs, "_gpl", "");
KSYMTAB_FUNC(nfs_show_options, "_gpl", "");
KSYMTAB_FUNC(nfs_show_devname, "_gpl", "");
KSYMTAB_FUNC(nfs_show_path, "_gpl", "");
KSYMTAB_FUNC(nfs_show_stats, "_gpl", "");
KSYMTAB_FUNC(nfs_umount_begin, "_gpl", "");
KSYMTAB_FUNC(nfs_auth_info_match, "_gpl", "");
KSYMTAB_FUNC(nfs_try_get_tree, "_gpl", "");
KSYMTAB_FUNC(nfs_reconfigure, "_gpl", "");
KSYMTAB_FUNC(nfs_kill_super, "_gpl", "");
KSYMTAB_DATA(nfs_callback_nr_threads, "_gpl", "");
KSYMTAB_DATA(nfs_callback_set_tcpport, "_gpl", "");
KSYMTAB_DATA(nfs_idmap_cache_timeout, "_gpl", "");
KSYMTAB_DATA(nfs4_disable_idmapping, "_gpl", "");
KSYMTAB_DATA(max_session_slots, "_gpl", "");
KSYMTAB_DATA(max_session_cb_slots, "_gpl", "");
KSYMTAB_DATA(send_implementation_id, "_gpl", "");
KSYMTAB_DATA(nfs4_client_id_uniquifier, "_gpl", "");
KSYMTAB_DATA(recover_lost_locks, "_gpl", "");
KSYMTAB_DATA(nfs_delay_retrans, "_gpl", "");
KSYMTAB_FUNC(nfs_dreq_bytes_left, "_gpl", "");
KSYMTAB_FUNC(nfs_pgio_current_mirror, "_gpl", "");
KSYMTAB_FUNC(nfs_pgheader_init, "_gpl", "");
KSYMTAB_FUNC(nfs_async_iocounter_wait, "_gpl", "");
KSYMTAB_FUNC(nfs_release_request, "_gpl", "");
KSYMTAB_FUNC(nfs_wait_on_request, "_gpl", "");
KSYMTAB_FUNC(nfs_generic_pg_test, "_gpl", "");
KSYMTAB_FUNC(nfs_pgio_header_alloc, "_gpl", "");
KSYMTAB_FUNC(nfs_pgio_header_free, "_gpl", "");
KSYMTAB_FUNC(nfs_initiate_pgio, "_gpl", "");
KSYMTAB_FUNC(nfs_generic_pgio, "_gpl", "");
KSYMTAB_FUNC(nfs_pageio_resend, "_gpl", "");
KSYMTAB_FUNC(nfs_pageio_init_read, "_gpl", "");
KSYMTAB_FUNC(nfs_pageio_reset_read_mds, "_gpl", "");
KSYMTAB_FUNC(nfs_read_alloc_scratch, "_gpl", "");
KSYMTAB_FUNC(nfs_commitdata_alloc, "_gpl", "");
KSYMTAB_FUNC(nfs_commit_free, "_gpl", "");
KSYMTAB_FUNC(nfs_request_add_commit_list_locked, "_gpl", "");
KSYMTAB_FUNC(nfs_request_add_commit_list, "_gpl", "");
KSYMTAB_FUNC(nfs_request_remove_commit_list, "_gpl", "");
KSYMTAB_FUNC(nfs_init_cinfo, "_gpl", "");
KSYMTAB_FUNC(nfs_scan_commit_list, "_gpl", "");
KSYMTAB_FUNC(nfs_pageio_init_write, "_gpl", "");
KSYMTAB_FUNC(nfs_pageio_reset_write_mds, "_gpl", "");
KSYMTAB_FUNC(nfs_writeback_update_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_commitdata_release, "_gpl", "");
KSYMTAB_FUNC(nfs_initiate_commit, "_gpl", "");
KSYMTAB_FUNC(nfs_init_commit, "_gpl", "");
KSYMTAB_FUNC(nfs_retry_commit, "_gpl", "");
KSYMTAB_FUNC(nfs_commit_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_write_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_filemap_write_and_wait_range, "_gpl", "");
KSYMTAB_FUNC(nfs_wb_all, "_gpl", "");
KSYMTAB_FUNC(nfs_path, "_gpl", "");
KSYMTAB_FUNC(nfs_do_submount, "_gpl", "");
KSYMTAB_FUNC(nfs_submount, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs_fsync_enter, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs_fsync_enter, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs_fsync_enter, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_nfs_fsync_enter, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs_fsync_exit, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs_fsync_exit, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs_fsync_exit, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_nfs_fsync_exit, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs_xdr_status, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs_xdr_status, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs_xdr_status, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_nfs_xdr_status, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs_xdr_bad_filehandle, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs_xdr_bad_filehandle, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs_xdr_bad_filehandle, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_nfs_xdr_bad_filehandle, "_gpl", "");
KSYMTAB_FUNC(nfs_sysfs_link_rpc_client, "_gpl", "");
KSYMTAB_FUNC(nfs_sysfs_add_server, "_gpl", "");
KSYMTAB_DATA(nfs_fs_type, "_gpl", "");
KSYMTAB_DATA(nfs4_fs_type, "_gpl", "");
KSYMTAB_FUNC(nfs_fscache_open_file, "_gpl", "");

SYMBOL_CRC(register_nfs_version, 0x6a63d0e7, "_gpl");
SYMBOL_CRC(unregister_nfs_version, 0x77c21b43, "_gpl");
SYMBOL_CRC(nfs_alloc_client, 0xac6288a3, "_gpl");
SYMBOL_CRC(nfs_free_client, 0x677e31e9, "_gpl");
SYMBOL_CRC(nfs_put_client, 0x22ca491d, "_gpl");
SYMBOL_CRC(nfs_client_init_is_complete, 0x1b41c3d3, "_gpl");
SYMBOL_CRC(nfs_client_init_status, 0xb326fc92, "_gpl");
SYMBOL_CRC(nfs_wait_client_init_complete, 0x7c019bd8, "_gpl");
SYMBOL_CRC(nfs_get_client, 0xa86fb1a7, "_gpl");
SYMBOL_CRC(nfs_mark_client_ready, 0x838a313d, "_gpl");
SYMBOL_CRC(nfs_init_timeout_values, 0x98b0ece8, "_gpl");
SYMBOL_CRC(nfs_create_rpc_client, 0xda3b807e, "_gpl");
SYMBOL_CRC(nfs_init_server_rpcclient, 0xdbef376d, "_gpl");
SYMBOL_CRC(nfs_init_client, 0x20576b60, "_gpl");
SYMBOL_CRC(nfs_probe_server, 0xf842de96, "_gpl");
SYMBOL_CRC(nfs_server_copy_userdata, 0x264bda8d, "_gpl");
SYMBOL_CRC(nfs_server_insert_lists, 0x73b3839f, "_gpl");
SYMBOL_CRC(nfs_server_remove_lists, 0x6e100cbb, "_gpl");
SYMBOL_CRC(nfs_alloc_server, 0x55f56e1f, "_gpl");
SYMBOL_CRC(nfs_free_server, 0xad3e3cc2, "_gpl");
SYMBOL_CRC(nfs_create_server, 0x0ff2afef, "_gpl");
SYMBOL_CRC(nfs_clone_server, 0xee6b7523, "_gpl");
SYMBOL_CRC(nfs_force_lookup_revalidate, 0x23eda7d1, "_gpl");
SYMBOL_CRC(nfs_set_verifier, 0x9076b14c, "_gpl");
SYMBOL_CRC(nfs_clear_verifier_delegated, 0x3913253a, "_gpl");
SYMBOL_CRC(nfs_dentry_operations, 0xfb94456a, "_gpl");
SYMBOL_CRC(nfs_lookup, 0x54f0ac38, "_gpl");
SYMBOL_CRC(nfs_d_prune_case_insensitive_aliases, 0xbec82cff, "_gpl");
SYMBOL_CRC(nfs4_dentry_operations, 0x1aad68e7, "_gpl");
SYMBOL_CRC(nfs_atomic_open, 0x4859a189, "_gpl");
SYMBOL_CRC(nfs_add_or_obtain, 0xc7602d2c, "_gpl");
SYMBOL_CRC(nfs_instantiate, 0x5a81857d, "_gpl");
SYMBOL_CRC(nfs_create, 0x4ed0bc26, "_gpl");
SYMBOL_CRC(nfs_mknod, 0x76e5e160, "_gpl");
SYMBOL_CRC(nfs_mkdir, 0x76570e5b, "_gpl");
SYMBOL_CRC(nfs_rmdir, 0x2f20ad58, "_gpl");
SYMBOL_CRC(nfs_unlink, 0x85ba5150, "_gpl");
SYMBOL_CRC(nfs_symlink, 0x99903dd8, "_gpl");
SYMBOL_CRC(nfs_link, 0x875e79b1, "_gpl");
SYMBOL_CRC(nfs_rename, 0xfc10f607, "_gpl");
SYMBOL_CRC(nfs_access_zap_cache, 0x2b691180, "_gpl");
SYMBOL_CRC(nfs_access_get_cached, 0xe1615005, "_gpl");
SYMBOL_CRC(nfs_access_add_cache, 0x1e553204, "_gpl");
SYMBOL_CRC(nfs_access_set_mask, 0x08e162a8, "_gpl");
SYMBOL_CRC(nfs_may_open, 0x1fe3df64, "_gpl");
SYMBOL_CRC(nfs_permission, 0x55520376, "_gpl");
SYMBOL_CRC(nfs_check_flags, 0x3f2690f2, "_gpl");
SYMBOL_CRC(nfs_file_release, 0xd2d3e70b, "_gpl");
SYMBOL_CRC(nfs_file_llseek, 0x88d90908, "_gpl");
SYMBOL_CRC(nfs_file_read, 0x75e72215, "_gpl");
SYMBOL_CRC(nfs_file_splice_read, 0xeb4733e6, "_gpl");
SYMBOL_CRC(nfs_file_mmap, 0xb9e57de9, "_gpl");
SYMBOL_CRC(nfs_file_fsync, 0x8bbd3b79, "_gpl");
SYMBOL_CRC(nfs_file_write, 0xeb9c4f0b, "_gpl");
SYMBOL_CRC(nfs_lock, 0xc75b3135, "_gpl");
SYMBOL_CRC(nfs_flock, 0xd525e47e, "_gpl");
SYMBOL_CRC(nfs_file_operations, 0xa2303f3d, "_gpl");
SYMBOL_CRC(nfs_wait_bit_killable, 0x40739385, "_gpl");
SYMBOL_CRC(nfs_drop_inode, 0x9344f5c0, "_gpl");
SYMBOL_CRC(nfs_clear_inode, 0x3e0e8e99, "_gpl");
SYMBOL_CRC(nfs_sync_inode, 0x3b9a5982, "_gpl");
SYMBOL_CRC(nfs_check_cache_invalid, 0x3063cdd4, "_gpl");
SYMBOL_CRC(nfs_set_cache_invalid, 0x7bd20dce, "_gpl");
SYMBOL_CRC(nfs_zap_acl_cache, 0x217d226f, "_gpl");
SYMBOL_CRC(nfs_invalidate_atime, 0xc1127650, "_gpl");
SYMBOL_CRC(nfs4_label_alloc, 0x53291f55, "_gpl");
SYMBOL_CRC(nfs_setsecurity, 0x513cf516, "_gpl");
SYMBOL_CRC(nfs_fhget, 0xcb5f4fa0, "_gpl");
SYMBOL_CRC(nfs_setattr, 0xc7238f4c, "_gpl");
SYMBOL_CRC(nfs_setattr_update_inode, 0xb58806db, "_gpl");
SYMBOL_CRC(nfs_getattr, 0x9e2a4995, "_gpl");
SYMBOL_CRC(nfs_get_lock_context, 0x10923369, "_gpl");
SYMBOL_CRC(nfs_put_lock_context, 0x1e1b500a, "_gpl");
SYMBOL_CRC(nfs_close_context, 0xbf8c51c6, "_gpl");
SYMBOL_CRC(alloc_nfs_open_context, 0x5dfc959c, "_gpl");
SYMBOL_CRC(get_nfs_open_context, 0xfeeaa5c7, "_gpl");
SYMBOL_CRC(put_nfs_open_context, 0x537a11b7, "_gpl");
SYMBOL_CRC(nfs_inode_attach_open_context, 0x865aebc5, "_gpl");
SYMBOL_CRC(nfs_file_set_open_context, 0x81f264cf, "_gpl");
SYMBOL_CRC(nfs_revalidate_inode, 0xac9ca254, "_gpl");
SYMBOL_CRC(nfs_inc_attr_generation_counter, 0x584b8482, "_gpl");
SYMBOL_CRC(nfs_fattr_init, 0xa05ca625, "_gpl");
SYMBOL_CRC(nfs_alloc_fattr, 0x832e8f0b, "_gpl");
SYMBOL_CRC(nfs_alloc_fattr_with_label, 0xdcd6758f, "_gpl");
SYMBOL_CRC(nfs_alloc_fhandle, 0x26884ff7, "_gpl");
SYMBOL_CRC(_nfs_display_fhandle_hash, 0x22d795a8, "_gpl");
SYMBOL_CRC(_nfs_display_fhandle, 0xfc619abd, "_gpl");
SYMBOL_CRC(nfs_refresh_inode, 0x8ca88e51, "_gpl");
SYMBOL_CRC(nfs_post_op_update_inode, 0x7c400cf3, "_gpl");
SYMBOL_CRC(nfs_post_op_update_inode_force_wcc, 0x3e28d0b2, "_gpl");
SYMBOL_CRC(nfs_alloc_inode, 0xc459b0ab, "_gpl");
SYMBOL_CRC(nfs_free_inode, 0xf3af30b8, "_gpl");
SYMBOL_CRC(nfsiod_workqueue, 0x90a5530f, "_gpl");
SYMBOL_CRC(nfs_net_id, 0xc3a2be67, "_gpl");
SYMBOL_CRC(nfs_sops, 0x48ddac74, "_gpl");
SYMBOL_CRC(nfs_sb_active, 0xbdbbd637, "_gpl");
SYMBOL_CRC(nfs_sb_deactive, 0x0e3077c2, "_gpl");
SYMBOL_CRC(nfs_client_for_each_server, 0xdccb2677, "_gpl");
SYMBOL_CRC(nfs_statfs, 0x93c1f2c1, "_gpl");
SYMBOL_CRC(nfs_show_options, 0x7745a3fe, "_gpl");
SYMBOL_CRC(nfs_show_devname, 0x2bb66a90, "_gpl");
SYMBOL_CRC(nfs_show_path, 0x0876e433, "_gpl");
SYMBOL_CRC(nfs_show_stats, 0x7082737a, "_gpl");
SYMBOL_CRC(nfs_umount_begin, 0xfcbc8f02, "_gpl");
SYMBOL_CRC(nfs_auth_info_match, 0x10962bc2, "_gpl");
SYMBOL_CRC(nfs_try_get_tree, 0xbe2f2426, "_gpl");
SYMBOL_CRC(nfs_reconfigure, 0x9471aacd, "_gpl");
SYMBOL_CRC(nfs_kill_super, 0xe2874c48, "_gpl");
SYMBOL_CRC(nfs_callback_nr_threads, 0x0294c6a2, "_gpl");
SYMBOL_CRC(nfs_callback_set_tcpport, 0x51892d61, "_gpl");
SYMBOL_CRC(nfs_idmap_cache_timeout, 0x39e05ac3, "_gpl");
SYMBOL_CRC(nfs4_disable_idmapping, 0xdae9b5d7, "_gpl");
SYMBOL_CRC(max_session_slots, 0x91d1fe52, "_gpl");
SYMBOL_CRC(max_session_cb_slots, 0xaafd4acc, "_gpl");
SYMBOL_CRC(send_implementation_id, 0xa8e9e1ae, "_gpl");
SYMBOL_CRC(nfs4_client_id_uniquifier, 0x42f2c81f, "_gpl");
SYMBOL_CRC(recover_lost_locks, 0x4cb9e001, "_gpl");
SYMBOL_CRC(nfs_delay_retrans, 0xefa414fb, "_gpl");
SYMBOL_CRC(nfs_dreq_bytes_left, 0xbdf2e1f5, "_gpl");
SYMBOL_CRC(nfs_pgio_current_mirror, 0x1bbefa2e, "_gpl");
SYMBOL_CRC(nfs_pgheader_init, 0x22e06ca8, "_gpl");
SYMBOL_CRC(nfs_async_iocounter_wait, 0xe49297d9, "_gpl");
SYMBOL_CRC(nfs_release_request, 0x209ae2eb, "_gpl");
SYMBOL_CRC(nfs_wait_on_request, 0x758a6f6d, "_gpl");
SYMBOL_CRC(nfs_generic_pg_test, 0x9b4e67a5, "_gpl");
SYMBOL_CRC(nfs_pgio_header_alloc, 0x15e72c42, "_gpl");
SYMBOL_CRC(nfs_pgio_header_free, 0x83c6d00b, "_gpl");
SYMBOL_CRC(nfs_initiate_pgio, 0xb80892ca, "_gpl");
SYMBOL_CRC(nfs_generic_pgio, 0xdce4f0c5, "_gpl");
SYMBOL_CRC(nfs_pageio_resend, 0x900aad3a, "_gpl");
SYMBOL_CRC(nfs_pageio_init_read, 0x473f45b5, "_gpl");
SYMBOL_CRC(nfs_pageio_reset_read_mds, 0x9bc74637, "_gpl");
SYMBOL_CRC(nfs_read_alloc_scratch, 0xa2a35542, "_gpl");
SYMBOL_CRC(nfs_commitdata_alloc, 0xeb3e27e1, "_gpl");
SYMBOL_CRC(nfs_commit_free, 0x66ba6788, "_gpl");
SYMBOL_CRC(nfs_request_add_commit_list_locked, 0x83c5b45a, "_gpl");
SYMBOL_CRC(nfs_request_add_commit_list, 0x77d19de5, "_gpl");
SYMBOL_CRC(nfs_request_remove_commit_list, 0x0f9b5eaa, "_gpl");
SYMBOL_CRC(nfs_init_cinfo, 0xa5367035, "_gpl");
SYMBOL_CRC(nfs_scan_commit_list, 0xd235a162, "_gpl");
SYMBOL_CRC(nfs_pageio_init_write, 0x8b8214b0, "_gpl");
SYMBOL_CRC(nfs_pageio_reset_write_mds, 0x3aca4275, "_gpl");
SYMBOL_CRC(nfs_writeback_update_inode, 0xa7634bc4, "_gpl");
SYMBOL_CRC(nfs_commitdata_release, 0xafbb1fae, "_gpl");
SYMBOL_CRC(nfs_initiate_commit, 0xec1167db, "_gpl");
SYMBOL_CRC(nfs_init_commit, 0xff62c82d, "_gpl");
SYMBOL_CRC(nfs_retry_commit, 0xa9c559f7, "_gpl");
SYMBOL_CRC(nfs_commit_inode, 0xa84d92fb, "_gpl");
SYMBOL_CRC(nfs_write_inode, 0x7e19e7a6, "_gpl");
SYMBOL_CRC(nfs_filemap_write_and_wait_range, 0xbfabd69b, "_gpl");
SYMBOL_CRC(nfs_wb_all, 0x71819dbb, "_gpl");
SYMBOL_CRC(nfs_path, 0xc628c065, "_gpl");
SYMBOL_CRC(nfs_do_submount, 0x38192537, "_gpl");
SYMBOL_CRC(nfs_submount, 0xa0abf0a9, "_gpl");
SYMBOL_CRC(__tracepoint_nfs_fsync_enter, 0x96e5f1f4, "_gpl");
SYMBOL_CRC(__traceiter_nfs_fsync_enter, 0x55ebd231, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs_fsync_enter, 0x40893eca, "_gpl");
SYMBOL_CRC(__SCT__tp_func_nfs_fsync_enter, 0xfd3c0de6, "_gpl");
SYMBOL_CRC(__tracepoint_nfs_fsync_exit, 0x540321e4, "_gpl");
SYMBOL_CRC(__traceiter_nfs_fsync_exit, 0x8bbf0dec, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs_fsync_exit, 0xee6ff744, "_gpl");
SYMBOL_CRC(__SCT__tp_func_nfs_fsync_exit, 0x9d919c44, "_gpl");
SYMBOL_CRC(__tracepoint_nfs_xdr_status, 0x495d2516, "_gpl");
SYMBOL_CRC(__traceiter_nfs_xdr_status, 0xefc695c4, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs_xdr_status, 0xf331f3b6, "_gpl");
SYMBOL_CRC(__SCT__tp_func_nfs_xdr_status, 0xfeb42418, "_gpl");
SYMBOL_CRC(__tracepoint_nfs_xdr_bad_filehandle, 0xe02f1de0, "_gpl");
SYMBOL_CRC(__traceiter_nfs_xdr_bad_filehandle, 0x23c0d376, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs_xdr_bad_filehandle, 0xa7301387, "_gpl");
SYMBOL_CRC(__SCT__tp_func_nfs_xdr_bad_filehandle, 0x37239e6d, "_gpl");
SYMBOL_CRC(nfs_sysfs_link_rpc_client, 0x95c2c61a, "_gpl");
SYMBOL_CRC(nfs_sysfs_add_server, 0x6c7ced84, "_gpl");
SYMBOL_CRC(nfs_fs_type, 0x8c9d6a9f, "_gpl");
SYMBOL_CRC(nfs4_fs_type, 0x61939d46, "_gpl");
SYMBOL_CRC(nfs_fscache_open_file, 0x1cb5ee0f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x424e3d11, "migrate_folio" },
	{ 0xbd3b9681, "locks_lock_inode_wait" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0x28784e72, "add_swap_extent" },
	{ 0x41dba1e4, "fs_param_is_u32" },
	{ 0xa56f0644, "inode_newsize_ok" },
	{ 0x52cc197a, "d_drop" },
	{ 0xd66b0424, "deactivate_super" },
	{ 0x8031ee48, "unlock_new_inode" },
	{ 0x122c3a7e, "_printk" },
	{ 0x1953c958, "mempool_create" },
	{ 0x1000e51, "schedule" },
	{ 0xaa64bd18, "security_sb_mnt_opts_compat" },
	{ 0xe1727803, "param_get_uint" },
	{ 0x5283599f, "vfs_parse_fs_string" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xc54e1706, "unregister_sysctl_table" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0x1017a910, "make_kuid" },
	{ 0xe91e48bc, "truncate_inode_pages_final" },
	{ 0x2fd7f7d5, "d_alloc" },
	{ 0x80020005, "fs_kobj" },
	{ 0x36bbeeca, "net_ns_type_operations" },
	{ 0x88dbe4d8, "__filemap_set_wb_err" },
	{ 0x117a5532, "generic_file_mmap" },
	{ 0xa916b694, "strnlen" },
	{ 0xe76f40ce, "generic_perform_write" },
	{ 0x7db22dd3, "shrinker_register" },
	{ 0xaeb0fdce, "__filemap_get_folio" },
	{ 0xc3762aec, "mempool_alloc" },
	{ 0x7e13236a, "simple_nosetlease" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xdd9009fd, "kmem_cache_alloc" },
	{ 0x5d49aabc, "init_wait_var_entry" },
	{ 0x16e297c3, "bit_wait" },
	{ 0x10eda758, "module_put" },
	{ 0x5e332b52, "__var_waitqueue" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x19570e4c, "rpc_setbufsize" },
	{ 0x72b1e023, "fs_context_for_submount" },
	{ 0xd62d9969, "inode_init_once" },
	{ 0xf4ccff50, "folio_wait_private_2" },
	{ 0xb91049b3, "file_write_and_wait_range" },
	{ 0x769f6e64, "errseq_check" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xa1cfe4f4, "__fscache_relinquish_volume" },
	{ 0x58e3306d, "bit_wait_io" },
	{ 0x658c9452, "seq_escape_mem" },
	{ 0x3858fc9f, "ilookup5" },
	{ 0x9ed65a4a, "generic_parse_monolithic" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x28451fcd, "inode_nohighmem" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x7fca5d31, "perf_trace_run_bpf_submit" },
	{ 0x95379970, "security_d_instantiate" },
	{ 0x57bc19d2, "down_write" },
	{ 0xd781e532, "init_net" },
	{ 0x41482d8b, "strndup_user" },
	{ 0xce807a25, "up_write" },
	{ 0x7d6518f, "generic_file_read_iter" },
	{ 0x84abf2ff, "rpc_clone_client_set_auth" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0xa07a37f0, "memchr" },
	{ 0xed2604f7, "truncate_pagecache" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xbf71b3f9, "put_fs_context" },
	{ 0x709d0733, "rpc_peeraddr2str" },
	{ 0xb3f548ad, "kmemdup_nul" },
	{ 0xf1cabeea, "kobj_sysfs_ops" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0xe69e7d7f, "bpf_trace_run5" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0xde29cdc7, "write_cache_pages" },
	{ 0x1ff5a65e, "set_nlink" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x77b372c9, "kmem_cache_free" },
	{ 0x2b660acf, "rpc_max_payload" },
	{ 0xec23e7f5, "folio_alloc" },
	{ 0x82d79b51, "sysctl_vfs_cache_pressure" },
	{ 0xaf1595cc, "d_move" },
	{ 0x866076d9, "seq_putc" },
	{ 0x698f45d9, "rpc_proc_unregister" },
	{ 0x12cd47c9, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x102976c6, "vfs_create_mount" },
	{ 0x64db9a5, "mark_mounts_for_expiry" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x81709b8e, "folio_wait_writeback" },
	{ 0xffb7c514, "ida_free" },
	{ 0x68c42bd3, "nlmclnt_rpc_clnt" },
	{ 0x7474e143, "rpc_clnt_swap_activate" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x3f9a2b0b, "rpcauth_get_gssinfo" },
	{ 0x54f6e3c9, "kobject_init_and_add" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xf21e9025, "write_inode_now" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x49326db0, "d_obtain_alias" },
	{ 0x944375db, "_totalram_pages" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x20463df4, "wait_for_completion_killable" },
	{ 0xf17cf679, "rpc_create" },
	{ 0x5b18fc16, "finish_no_open" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0x5b2c806d, "__folio_start_writeback" },
	{ 0x8bdfdd6d, "d_obtain_root" },
	{ 0xde1034c5, "bpf_trace_run1" },
	{ 0x4ad93a92, "param_ops_short" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x482d2cd, "folio_end_writeback" },
	{ 0xaf7f7aff, "rpc_call_sync" },
	{ 0x497aba4d, "proc_mkdir" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x23d450cd, "rpc_put_task_async" },
	{ 0xb4edc080, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x2fdeafdd, "xdr_init_decode_pages" },
	{ 0x21f93669, "register_sysctl_sz" },
	{ 0xfb578fc5, "memset" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x86d52ba5, "lookup_constant" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x769fb257, "rpc_exit" },
	{ 0xf7a39093, "make_kgid" },
	{ 0xece784c2, "rb_first" },
	{ 0x85e89e0b, "d_delete" },
	{ 0x32d25a3e, "param_ops_string" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xb3687850, "out_of_line_wait_on_bit_lock" },
	{ 0x4026af31, "nfs_ssc_unregister" },
	{ 0xd3201411, "rpc_killall_tasks" },
	{ 0x668b19a1, "down_read" },
	{ 0xd56b8b14, "xdr_reserve_space" },
	{ 0x7fe32873, "rb_replace_node" },
	{ 0x4841bdee, "strnchr" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x5a1eaa8c, "iov_iter_get_pages_alloc2" },
	{ 0xa7fe0d5b, "set_page_dirty" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x2c1f35d4, "bpf_trace_run3" },
	{ 0x5cb5bb71, "__put_net" },
	{ 0x94c62eb0, "trace_print_flags_seq" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x7e50c507, "netfs_read_folio" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xf05685c2, "generic_read_dir" },
	{ 0xd1a7f409, "kobject_del" },
	{ 0x78809527, "trace_event_buffer_reserve" },
	{ 0xe3af2dbe, "d_add" },
	{ 0xe6fa06a2, "rename_lock" },
	{ 0x85df9b6c, "strsep" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9ccd966e, "filemap_fdatawait_range" },
	{ 0xe138fb8c, "percpu_counter_add_batch" },
	{ 0x71e58fdb, "param_ops_bool" },
	{ 0x5f4a905c, "groups_free" },
	{ 0xf85a1b08, "security_inode_notifysecctx" },
	{ 0x1cab295a, "nfs_ssc_register" },
	{ 0x202af3c6, "init_user_ns" },
	{ 0x8fa25c24, "xa_find" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0xa3a3bb89, "invalidate_inode_pages2" },
	{ 0x4d716f5e, "alloc_pages" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x9034a696, "mempool_destroy" },
	{ 0x3919cd7, "__folio_put" },
	{ 0xccfa42d7, "kobject_set_name" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x7f9ff45d, "seq_printf" },
	{ 0xd8b676ef, "dput" },
	{ 0xd9b85ef6, "lockref_get" },
	{ 0x101529e2, "rpc_init_wait_queue" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x6434eaaa, "deactivate_locked_super" },
	{ 0x6608abb2, "put_rpccred" },
	{ 0xda80e83a, "__percpu_down_read" },
	{ 0x9571fe5a, "__d_lookup_unhash_wake" },
	{ 0x4a4c52e6, "rpc_clnt_swap_deactivate" },
	{ 0x36a24aba, "kobject_uevent" },
	{ 0xb4f4c1f8, "__fscache_invalidate" },
	{ 0x37496a8d, "folio_mapping" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x18888d00, "downgrade_write" },
	{ 0x87e17ed6, "cred_fscmp" },
	{ 0x51d72b41, "__folio_lock" },
	{ 0x980cb25c, "filemap_dirty_folio" },
	{ 0x7119c6ce, "pagecache_get_page" },
	{ 0x84412019, "is_bad_inode" },
	{ 0xf94536c2, "proc_dointvec" },
	{ 0x1cb72a15, "seq_puts" },
	{ 0x6faa76ce, "__fscache_use_cookie" },
	{ 0xed698226, "rcuwait_wake_up" },
	{ 0x487fa1bb, "_proc_mkdir" },
	{ 0xba86c973, "node_data" },
	{ 0x2ec6bba0, "errseq_set" },
	{ 0x7ef3c4a9, "rpc_clnt_xprt_switch_has_addr" },
	{ 0x4731b3ca, "__fs_parse" },
	{ 0xc5aa4404, "sysfs_create_link_nowarn" },
	{ 0x88a7dc33, "filemap_splice_read" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xf2f4105a, "dget_parent" },
	{ 0x1e39e4a7, "nlmclnt_init" },
	{ 0x6511f20e, "kill_anon_super" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0x3b82625f, "kmalloc_trace" },
	{ 0xdd3ad3fd, "iget5_locked" },
	{ 0xb341af11, "filemap_write_and_wait_range" },
	{ 0xe162cbdd, "kset_register" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x88bc7482, "nlmclnt_done" },
	{ 0x754d539c, "strlen" },
	{ 0xce76e902, "proc_symlink" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0x5bff0955, "param_ops_int" },
	{ 0x61204665, "netfs_subreq_terminated" },
	{ 0x5e06bc5c, "refcount_dec_and_lock" },
	{ 0x312a93a7, "iov_iter_revert" },
	{ 0x4beea96a, "generic_write_checks" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xde72057f, "mntget" },
	{ 0x45ee3009, "setattr_should_drop_sgid" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x349cba85, "strchr" },
	{ 0xb355a9b0, "kmem_cache_alloc_lru" },
	{ 0x8451afdc, "filemap_fault" },
	{ 0x78da06db, "d_invalidate" },
	{ 0x6c6ac999, "__mark_inode_dirty" },
	{ 0xed06a305, "generic_file_llseek" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x3ea9f148, "folio_wait_private_2_killable" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xaf5bf6ef, "nfs_debug" },
	{ 0x53b954a2, "up_read" },
	{ 0xc567f402, "rpc_wait_for_completion_task" },
	{ 0x1986f73e, "set_anon_super" },
	{ 0x7265418f, "drop_nlink" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xb7419b1, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x4aadfab3, "kmem_cache_destroy" },
	{ 0x2a734cab, "__fscache_acquire_cookie" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x57ec373f, "kobject_put" },
	{ 0xea913069, "vfs_get_tree" },
	{ 0xbc314156, "nop_mnt_idmap" },
	{ 0xa5941084, "rpc_put_task" },
	{ 0xed76c37f, "super_setup_bdi_name" },
	{ 0xa9e40d4c, "posix_test_lock" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xa07bcd73, "__page_file_index" },
	{ 0xe914e41e, "strcpy" },
	{ 0xb93056cd, "generic_fillattr" },
	{ 0xd161249f, "vfs_fsync_range" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x925b6db9, "shrinker_alloc" },
	{ 0x77ef3ce5, "clear_nlink" },
	{ 0xa069878c, "file_check_and_advance_wb_err" },
	{ 0xaf456a19, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x5e75bdba, "d_alloc_parallel" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x3c185c61, "page_put_link" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x53dbc36b, "clear_inode" },
	{ 0x5052552d, "inode_to_bdi" },
	{ 0x18bbaeb8, "bpf_trace_run4" },
	{ 0xd520c0ce, "__fscache_acquire_volume" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0x1dd364c9, "param_ops_ulong" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xe2bbfa56, "proc_dointvec_jiffies" },
	{ 0x34f501d6, "rpc_proc_register" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xf1224043, "sysfs_create_file_ns" },
	{ 0x27d65587, "rpc_shutdown_client" },
	{ 0x6b4e5c49, "fs_param_is_string" },
	{ 0xdb514bbf, "folio_unlock" },
	{ 0x71c5f2b5, "mnt_set_expiry" },
	{ 0x37ef94c5, "param_ops_ushort" },
	{ 0xb02a432c, "lookup_one_len" },
	{ 0xe7d4daac, "seq_list_next" },
	{ 0x31654b88, "rpc_clnt_show_stats" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xb8c7a85d, "filemap_map_pages" },
	{ 0x1e62cf6b, "xdr_inline_decode" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x4161e5c9, "trace_raw_output_prep" },
	{ 0x59ab37e6, "kobject_rename" },
	{ 0xdbf6d05d, "security_sb_set_mnt_opts" },
	{ 0xdbf314bc, "init_special_inode" },
	{ 0xe0946c12, "unregister_filesystem" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xf346231f, "seq_list_start_head" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x9c76c146, "generic_error_remove_folio" },
	{ 0xf0d326b2, "__trace_trigger_soft_disabled" },
	{ 0x6b3c1486, "filemap_fdatawrite_range" },
	{ 0x9aaa4587, "folio_wait_bit_killable" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xbc773afc, "rpc_wake_up" },
	{ 0xdd691402, "xprt_find_transport_ident" },
	{ 0xe0bcc95, "d_make_root" },
	{ 0xdfeeb08a, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xeddca164, "sync_filesystem" },
	{ 0x9bc49205, "__fscache_unuse_cookie" },
	{ 0x41b21ca9, "folio_redirty_for_writepage" },
	{ 0x89d8556f, "sget_fc" },
	{ 0x42e084eb, "d_splice_alias" },
	{ 0x3a2b1f5c, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x8b910be2, "errseq_sample" },
	{ 0xc9b799c8, "unmap_mapping_range" },
	{ 0x7ff26ae8, "ihold" },
	{ 0xb96feae3, "inode_dio_wait" },
	{ 0xdfc36b09, "generic_permission" },
	{ 0x37a0cba, "kfree" },
	{ 0x7b3869f2, "invalidate_inode_pages2_range" },
	{ 0x8743bb81, "read_cache_page" },
	{ 0xa79d9cba, "finish_open" },
	{ 0x528de13, "iput" },
	{ 0xced6a67d, "kset_unregister" },
	{ 0x623a76c6, "pcpu_hot" },
	{ 0x701c2c80, "security_sb_clone_mnt_opts" },
	{ 0x27cfd875, "fs_param_is_enum" },
	{ 0xb518210e, "logfc" },
	{ 0x9c6d395e, "__put_devmap_managed_page_refs" },
	{ 0x4699be4e, "iter_file_splice_write" },
	{ 0x450c30da, "rpc_pton" },
	{ 0xe328d76a, "mod_node_page_state" },
	{ 0x1ac568c1, "rpc_wake_up_queued_task" },
	{ 0x330d35cd, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0x2ab81c06, "remove_proc_subtree" },
	{ 0x6fec8872, "rpc_restart_call_prepare" },
	{ 0x3a62f099, "d_lookup" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x2e849edd, "__module_get" },
	{ 0xea818e6, "__fscache_relinquish_cookie" },
	{ 0x7eaf9ecb, "register_filesystem" },
	{ 0xde0b6d2b, "kmem_cache_create" },
	{ 0xe5919cb1, "xdr_encode_opaque" },
	{ 0xef1fec48, "folio_clear_dirty_for_io" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x5e651d9f, "trace_print_hex_seq" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xa897e3e7, "mempool_free" },
	{ 0x7e3006b3, "filemap_add_folio" },
	{ 0xb7134cef, "rpc_sleep_on" },
	{ 0x9357381b, "rpc_run_task" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x2a197ab3, "netfs_readahead" },
	{ 0x4f08d72b, "proc_create_net_data" },
	{ 0xd6eaaea1, "full_name_hash" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xe4be211c, "d_prune_aliases" },
	{ 0x8963dccc, "__put_cred" },
	{ 0x5eff9dd3, "register_pernet_subsys" },
	{ 0xda3301d4, "swapcache_mapping" },
	{ 0xd475b3da, "rpc_cancel_tasks" },
	{ 0xfb6fce1, "shrinker_free" },
	{ 0xf538bb07, "trace_event_buffer_commit" },
	{ 0xb678366f, "int_sqrt" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x42201d20, "module_layout" },
};

MODULE_INFO(depends, "sunrpc,netfs,lockd");


MODULE_INFO(srcversion, "8F4832EC11DC393B7B0C759");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
