#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(rxrpc_debug_id, "", "");
KSYMTAB_FUNC(rxrpc_kernel_lookup_peer, "", "");
KSYMTAB_FUNC(rxrpc_kernel_get_peer, "", "");
KSYMTAB_FUNC(rxrpc_kernel_put_peer, "", "");
KSYMTAB_FUNC(rxrpc_kernel_begin_call, "", "");
KSYMTAB_FUNC(rxrpc_kernel_shutdown_call, "", "");
KSYMTAB_FUNC(rxrpc_kernel_put_call, "", "");
KSYMTAB_FUNC(rxrpc_kernel_check_life, "", "");
KSYMTAB_FUNC(rxrpc_kernel_get_epoch, "", "");
KSYMTAB_FUNC(rxrpc_kernel_new_call_notification, "", "");
KSYMTAB_FUNC(rxrpc_kernel_set_max_life, "", "");
KSYMTAB_FUNC(rxrpc_sock_set_min_security_level, "", "");
KSYMTAB_FUNC(rxrpc_kernel_charge_accept, "", "");
KSYMTAB_DATA(key_type_rxrpc, "", "");
KSYMTAB_FUNC(rxrpc_get_server_data_key, "", "");
KSYMTAB_FUNC(rxrpc_get_null_key, "", "");
KSYMTAB_FUNC(rxrpc_kernel_get_call_peer, "", "");
KSYMTAB_FUNC(rxrpc_kernel_get_srtt, "", "");
KSYMTAB_FUNC(rxrpc_kernel_remote_srx, "", "");
KSYMTAB_FUNC(rxrpc_kernel_remote_addr, "", "");
KSYMTAB_FUNC(rxrpc_kernel_recv_data, "", "");
KSYMTAB_FUNC(rxrpc_kernel_send_data, "", "");
KSYMTAB_FUNC(rxrpc_kernel_abort_call, "", "");
KSYMTAB_FUNC(rxrpc_kernel_set_tx_length, "", "");
KSYMTAB_FUNC(rxrpc_sock_set_security_keyring, "", "");

SYMBOL_CRC(rxrpc_debug_id, 0x31bf3ca3, "");
SYMBOL_CRC(rxrpc_kernel_lookup_peer, 0xa555f2ba, "");
SYMBOL_CRC(rxrpc_kernel_get_peer, 0x7c248011, "");
SYMBOL_CRC(rxrpc_kernel_put_peer, 0x955d3fd9, "");
SYMBOL_CRC(rxrpc_kernel_begin_call, 0xaa77a844, "");
SYMBOL_CRC(rxrpc_kernel_shutdown_call, 0x3d9f4906, "");
SYMBOL_CRC(rxrpc_kernel_put_call, 0x4326f363, "");
SYMBOL_CRC(rxrpc_kernel_check_life, 0xc8a52eb0, "");
SYMBOL_CRC(rxrpc_kernel_get_epoch, 0x6987a3f6, "");
SYMBOL_CRC(rxrpc_kernel_new_call_notification, 0x548978ae, "");
SYMBOL_CRC(rxrpc_kernel_set_max_life, 0x08abbbef, "");
SYMBOL_CRC(rxrpc_sock_set_min_security_level, 0x1786be36, "");
SYMBOL_CRC(rxrpc_kernel_charge_accept, 0xcf6483e1, "");
SYMBOL_CRC(key_type_rxrpc, 0xcddf488b, "");
SYMBOL_CRC(rxrpc_get_server_data_key, 0x88398ad0, "");
SYMBOL_CRC(rxrpc_get_null_key, 0xc9329999, "");
SYMBOL_CRC(rxrpc_kernel_get_call_peer, 0xde3d2153, "");
SYMBOL_CRC(rxrpc_kernel_get_srtt, 0xbb9da895, "");
SYMBOL_CRC(rxrpc_kernel_remote_srx, 0x6b180d99, "");
SYMBOL_CRC(rxrpc_kernel_remote_addr, 0x0f37c02d, "");
SYMBOL_CRC(rxrpc_kernel_recv_data, 0x646963aa, "");
SYMBOL_CRC(rxrpc_kernel_send_data, 0xfa5b0dcb, "");
SYMBOL_CRC(rxrpc_kernel_abort_call, 0x6c29225e, "");
SYMBOL_CRC(rxrpc_kernel_set_tx_length, 0x897b90df, "");
SYMBOL_CRC(rxrpc_sock_set_security_keyring, 0xe1302551, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6626afca, "down" },
	{ 0xe69e7d7f, "bpf_trace_run5" },
	{ 0x75ba143a, "sk_free" },
	{ 0x9054d30d, "sock_wake_async" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0x64f8effc, "kfree_skb_reason" },
	{ 0xc31e701e, "kernel_sock_shutdown" },
	{ 0x5c70bcd9, "sock_no_accept" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xe68efe41, "_raw_write_lock" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x77b372c9, "kmem_cache_free" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x12cd47c9, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0xf717678a, "iov_iter_kvec" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xdd4d55b6, "_raw_read_unlock" },
	{ 0x40235c98, "_raw_write_unlock" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x93cd804c, "unregister_pernet_device" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xb1518e15, "cancel_work" },
	{ 0x52df60af, "lock_sock_nested" },
	{ 0xe4219131, "kthread_stop" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0xf7c00f04, "skb_copy_datagram_iter" },
	{ 0x91f44510, "idr_alloc_cyclic" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0x98208565, "udp_sendmsg" },
	{ 0x11089ac7, "_ctype" },
	{ 0xdb476088, "sk_alloc" },
	{ 0xde1034c5, "bpf_trace_run1" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0xdaebd1d7, "__sock_recv_wifi_status" },
	{ 0x220da467, "sock_no_socketpair" },
	{ 0xfb578fc5, "memset" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x2403c41, "key_revoke" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0xd66b50ae, "sock_no_mmap" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xcf4fdd4d, "_atomic_dec_and_lock" },
	{ 0xb3713f6a, "key_validate" },
	{ 0x2bbca10, "crypto_alloc_sync_skcipher" },
	{ 0xa3e890c6, "setup_udp_tunnel_sock" },
	{ 0x694e47cb, "proc_remove" },
	{ 0x609c70e9, "udp_sock_create6" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xfaa0891c, "kthread_create_on_node" },
	{ 0x2c1f35d4, "bpf_trace_run3" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xce0a3be7, "ipv4_mtu" },
	{ 0x78809527, "trace_event_buffer_reserve" },
	{ 0x1b4ab307, "keyring_search" },
	{ 0x98212a95, "ip_sock_set_recverr" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc622556f, "prepare_to_wait_exclusive" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xcd8788c4, "request_key_tag" },
	{ 0x40297d0e, "generic_key_instantiate" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x6d5f5b91, "radix_tree_tagged" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x411dc831, "sock_no_getname" },
	{ 0x56470118, "__warn_printk" },
	{ 0x7f9ff45d, "seq_printf" },
	{ 0x6bd0e573, "down_interruptible" },
	{ 0x25546723, "skb_copy" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x67b9dda9, "skb_clone" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xc2208c39, "dst_release" },
	{ 0x344d82d3, "_copy_from_iter" },
	{ 0xfe8c61f0, "_raw_read_lock" },
	{ 0x5fbcb8ab, "sock_release" },
	{ 0x7adc0fbf, "rb_replace_node_rcu" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xffae8e8b, "nsecs_to_jiffies" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x1cb72a15, "seq_puts" },
	{ 0xc03be916, "sock_no_ioctl" },
	{ 0x487fa1bb, "_proc_mkdir" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xb805d2b3, "unregister_net_sysctl_table" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xa9320d27, "ktime_get_seconds" },
	{ 0x3b82625f, "kmalloc_trace" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x754d539c, "strlen" },
	{ 0x6666d8f0, "bpf_trace_run7" },
	{ 0x2d6ec257, "ip_icmp_error" },
	{ 0x312a93a7, "iov_iter_revert" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x50944630, "seq_list_start_head_rcu" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xec98b5be, "kernel_sendmsg" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x66c8ff78, "skb_to_sgvec" },
	{ 0x79dfdd1f, "register_pernet_device" },
	{ 0x7212c07d, "skb_condense" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xe850afef, "sock_init_data" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xb7419b1, "kmalloc_caches" },
	{ 0x4aadfab3, "kmem_cache_destroy" },
	{ 0xea041e1f, "release_sock" },
	{ 0x3cb6afe5, "skb_queue_head" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xa3841823, "proc_create_net_single_write" },
	{ 0xa1f378e9, "crypto_alloc_skcipher" },
	{ 0x2801a22f, "proc_dointvec_minmax" },
	{ 0xf884abd6, "crypto_skcipher_encrypt" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x30434b41, "key_alloc" },
	{ 0x18bbaeb8, "bpf_trace_run4" },
	{ 0x2104cfc9, "skb_copy_bits" },
	{ 0x20978fb9, "idr_find" },
	{ 0x59769fb, "param_ops_uint" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x311f231d, "consume_skb" },
	{ 0xe7d4daac, "seq_list_next" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x4161e5c9, "trace_raw_output_prep" },
	{ 0xcc8c8f47, "udp_sock_create4" },
	{ 0x7b147a43, "bpf_trace_run6" },
	{ 0xf346231f, "seq_list_start_head" },
	{ 0xdbdcea34, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xf0d326b2, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0xdfeeb08a, "trace_event_printf" },
	{ 0x67b78eb3, "seq_hlist_next_rcu" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xde293f9e, "add_wait_queue_exclusive" },
	{ 0x683f55f9, "set_user_nice" },
	{ 0xcf2a6966, "up" },
	{ 0x64551bca, "udpv6_sendmsg" },
	{ 0x77c313c4, "unregister_key_type" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x3a2b1f5c, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x5eac5106, "key_type_keyring" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x623a76c6, "pcpu_hot" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0x330d35cd, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0x96b111d0, "crypto_skcipher_setkey" },
	{ 0x4364a4c2, "ip_route_output_flow" },
	{ 0xde0b6d2b, "kmem_cache_create" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x4425fb27, "key_instantiate_and_link" },
	{ 0x479aac1, "seq_list_next_rcu" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xc84a0a7e, "seq_hlist_start_rcu" },
	{ 0x3cb33c81, "register_key_type" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x4f08d72b, "proc_create_net_data" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x72e9fc9b, "put_cmsg" },
	{ 0x7c893d63, "wake_up_process" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0xf538bb07, "trace_event_buffer_commit" },
	{ 0x9feed7ce, "timer_reduce" },
	{ 0x61d3bfe4, "register_net_sysctl_sz" },
	{ 0xf0205b95, "crypto_destroy_tfm" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x5bbe6027, "proto_unregister" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0x650d6dd0, "ipv6_icmp_error" },
	{ 0xe867f8d1, "sock_register" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xc1e695f9, "crypto_skcipher_decrypt" },
	{ 0x1017a910, "make_kuid" },
	{ 0xf1d22271, "ip6_route_output_flags" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xdd9009fd, "kmem_cache_alloc" },
	{ 0x204da6bb, "proto_register" },
	{ 0x5d49aabc, "init_wait_var_entry" },
	{ 0x7a749ccf, "skb_queue_tail" },
	{ 0x5e332b52, "__var_waitqueue" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xc2c5802, "work_busy" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xeb4688e0, "__sock_recv_timestamp" },
	{ 0x6764addb, "key_put" },
	{ 0x4e547048, "__kmalloc_node_track_caller" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x7fca5d31, "perf_trace_run_bpf_submit" },
	{ 0xd781e532, "init_net" },
	{ 0x16ad6102, "skb_pull" },
	{ 0x5968dc6d, "proc_doulongvec_ms_jiffies_minmax" },
	{ 0xa07a37f0, "memchr" },
	{ 0x8c4d8f4e, "sock_enable_timestamps" },
	{ 0xd4ce0a87, "ip_sock_set_mtu_discover" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x5e4ecb1c, "ip6_mtu" },
	{ 0x42201d20, "module_layout" },
};

MODULE_INFO(depends, "udp_tunnel,ip6_udp_tunnel");


MODULE_INFO(srcversion, "72606F4BCC41B034FE496E6");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
