#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(hda_pci_intel_probe, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_ops_free, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(sof_skl_ops, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(sof_skl_ops_init, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(skl_chip_info, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(sof_apl_ops, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(sof_apl_ops_init, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(apl_chip_info, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(sof_cnl_ops, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(sof_cnl_ops_init, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(cnl_chip_info, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(jsl_chip_info, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(sof_tgl_ops, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(sof_tgl_ops_init, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(tgl_chip_info, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(tglh_chip_info, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(ehl_chip_info, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(adls_chip_info, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(sof_icl_ops, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(sof_icl_ops_init, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(icl_chip_info, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(sof_mtl_ops, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(sof_mtl_ops_init, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(mtl_chip_info, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(arl_s_chip_info, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(sof_lnl_ops, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(sof_lnl_ops_init, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(lnl_chip_info, "", "SND_SOC_SOF_INTEL_HDA_COMMON");

SYMBOL_CRC(hda_pci_intel_probe, 0x4d64af5f, "");
SYMBOL_CRC(hda_ops_free, 0xa644bd04, "");
SYMBOL_CRC(sof_skl_ops, 0x892875bd, "");
SYMBOL_CRC(sof_skl_ops_init, 0x1cde21a2, "");
SYMBOL_CRC(skl_chip_info, 0x271a1361, "");
SYMBOL_CRC(sof_apl_ops, 0xf32b242c, "");
SYMBOL_CRC(sof_apl_ops_init, 0xd475b6b9, "");
SYMBOL_CRC(apl_chip_info, 0x3c4ee019, "");
SYMBOL_CRC(sof_cnl_ops, 0x7abe1693, "");
SYMBOL_CRC(sof_cnl_ops_init, 0x86980955, "");
SYMBOL_CRC(cnl_chip_info, 0x68521e07, "");
SYMBOL_CRC(jsl_chip_info, 0x352f27e3, "");
SYMBOL_CRC(sof_tgl_ops, 0x6509b923, "");
SYMBOL_CRC(sof_tgl_ops_init, 0x42b128c3, "");
SYMBOL_CRC(tgl_chip_info, 0x172b129a, "");
SYMBOL_CRC(tglh_chip_info, 0xd37d6c96, "");
SYMBOL_CRC(ehl_chip_info, 0xcbe61ab5, "");
SYMBOL_CRC(adls_chip_info, 0xa573217b, "");
SYMBOL_CRC(sof_icl_ops, 0x76f8b9ca, "");
SYMBOL_CRC(sof_icl_ops_init, 0x2cffd91c, "");
SYMBOL_CRC(icl_chip_info, 0x06da343b, "");
SYMBOL_CRC(sof_mtl_ops, 0x9d1ea8d1, "");
SYMBOL_CRC(sof_mtl_ops_init, 0x41cf1ce7, "");
SYMBOL_CRC(mtl_chip_info, 0xc0947905, "");
SYMBOL_CRC(arl_s_chip_info, 0x74ee2ac6, "");
SYMBOL_CRC(sof_lnl_ops, 0x921a6bcf, "");
SYMBOL_CRC(sof_lnl_ops_init, 0xb6c94f6b, "");
SYMBOL_CRC(lnl_chip_info, 0xd3c3588f, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc61756d3, "snd_sgbuf_get_addr" },
	{ 0x96a1a794, "__dynamic_dev_dbg" },
	{ 0x9425e20a, "snd_sgbuf_get_chunk_size" },
	{ 0x833dacf, "pci_ioremap_bar" },
	{ 0x30e88053, "hdac_bus_eml_check_interrupt" },
	{ 0xb18b138b, "sof_pci_probe" },
	{ 0x2158fe31, "snd_soc_hdac_hda_get_ops" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xbeb9eeca, "hda_codec_i915_exit" },
	{ 0xf538bb07, "trace_event_buffer_commit" },
	{ 0x63f414a2, "snd_dma_free_pages" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x9c28c99b, "hda_codec_resume_cmd_io" },
	{ 0xea722a3e, "sof_ipc4_find_debug_slot_offset_by_type" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xca868a05, "snd_hdac_ext_bus_exit" },
	{ 0x49c4faf3, "sof_block_write" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x782e021f, "snd_hdac_ext_stream_clear" },
	{ 0x139f7d6c, "snd_sof_dsp_only_d0i3_compatible_stream_active" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x23cf671a, "_dev_info" },
	{ 0x627aec3f, "sdw_intel_startup" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x1f68013b, "snd_hdac_ext_bus_link_power" },
	{ 0x76cb39f2, "snd_sof_dsp_dbg_dump" },
	{ 0xe9162001, "sdw_intel_process_wakeen_event" },
	{ 0x8d4f6718, "sof_mailbox_write" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xd0894be7, "sof_mailbox_read" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x7fca5d31, "perf_trace_run_bpf_submit" },
	{ 0x5c74d238, "hda_bus_ml_put_all" },
	{ 0x70832133, "devm_kfree" },
	{ 0x91dad032, "_dev_err" },
	{ 0x68b4df91, "snd_sof_dsp_update_bits_forced" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xfc006089, "platform_device_unregister" },
	{ 0xf9c6c220, "snd_hdac_ext_stream_release" },
	{ 0x1e6d26a8, "strstr" },
	{ 0xf5fadd3d, "hdac_bus_eml_sdw_map_stream_ch" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xa24faacc, "sof_client_dev_register" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xba39aa11, "snd_soc_acpi_find_machine" },
	{ 0x12cd47c9, "trace_event_reg" },
	{ 0x11157532, "hda_codec_device_remove" },
	{ 0xbf05e4be, "snd_soc_dpcm_get_substream" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x4e859456, "intel_nhlt_free" },
	{ 0xb84b52cb, "snd_sof_dsp_update_bits_unlocked" },
	{ 0x24773059, "sof_print_oops_and_stack" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x2f2b5a9d, "hda_bus_ml_reset_losidv" },
	{ 0x28154444, "snd_hdac_ext_stream_setup" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xff6104d0, "snd_pcm_rate_bit_to_rate" },
	{ 0xafe50b28, "snd_sof_ipc_get_reply" },
	{ 0x47d24e4d, "snd_sof_dsp_update_bits" },
	{ 0x686c919c, "hdac_bus_eml_enable_interrupt" },
	{ 0x7a63ab97, "hdac_bus_eml_enable_offload" },
	{ 0x439ebc90, "pci_restore_state" },
	{ 0x984374e9, "snd_sof_pci_update_bits" },
	{ 0x15d941b4, "hdac_bus_eml_ssp_get_hlink" },
	{ 0xd5b8bbbc, "hdac_bus_eml_dmic_get_hlink" },
	{ 0x9ca5d306, "_dev_warn" },
	{ 0x7e254451, "snd_hdac_display_power" },
	{ 0x368c6727, "sof_debug_check_flag" },
	{ 0x1616e345, "sdw_intel_lnl_hw_ops" },
	{ 0x6bb3a6d1, "pci_set_master" },
	{ 0xcdbc8a3e, "param_ops_charp" },
	{ 0xe4f5e261, "snd_pcm_hw_constraint_mask64" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xdfb2511b, "snd_hdac_stream_format_bits" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3479cfc2, "dma_set_coherent_mask" },
	{ 0x1ef37629, "devm_kasprintf" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x2a3c73e7, "snd_pcm_hw_constraint_integer" },
	{ 0x2c1f35d4, "bpf_trace_run3" },
	{ 0x1e55a4cd, "hda_codec_rirb_status_clear" },
	{ 0xd012c465, "hda_codec_suspend_cmd_io" },
	{ 0xf02a4a86, "snd_sof_ipc_reply" },
	{ 0x7688482a, "hda_codec_init_cmd_io" },
	{ 0x5c2e2f77, "hda_codec_stop_cmd_io" },
	{ 0xcf11852b, "hda_codec_detect_mask" },
	{ 0x3449a3df, "platform_device_register_full" },
	{ 0x78809527, "trace_event_buffer_reserve" },
	{ 0x85df9b6c, "strsep" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x71e58fdb, "param_ops_bool" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x8dc50b5d, "sof_machine_unregister" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x14a900bf, "sof_ipc_tx_message" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x8ee7f4c5, "sdw_intel_probe" },
	{ 0x58b39fa3, "snd_sof_load_firmware_raw" },
	{ 0xfe982361, "snd_sof_dsp_panic" },
	{ 0x2f23cb5b, "snd_hdac_ext_bus_get_hlink_by_name" },
	{ 0x542a3728, "snd_sof_suspend" },
	{ 0xe173af03, "snd_hdac_ext_bus_link_set_stream_id" },
	{ 0xb7b836b3, "intel_nhlt_ssp_mclk_mask" },
	{ 0x8ac9a278, "dma_set_mask" },
	{ 0xdcb61650, "snd_hdac_stream_format" },
	{ 0xc2bed36, "dev_err_probe" },
	{ 0x3b82625f, "kmalloc_trace" },
	{ 0x2e56b987, "snd_pcm_hw_constraint_step" },
	{ 0x754d539c, "strlen" },
	{ 0x5bff0955, "param_ops_int" },
	{ 0x88b299e1, "intel_nhlt_init" },
	{ 0x6e2a7131, "_dev_printk" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xb91b0b6f, "sof_client_dev_unregister" },
	{ 0x85ee1783, "sdw_intel_cnl_hw_ops" },
	{ 0x66fd6169, "intel_nhlt_ssp_endpoint_mask" },
	{ 0x23092d51, "hda_codec_i915_init" },
	{ 0xcdbd80f4, "pci_free_irq_vectors" },
	{ 0xbc29a262, "hda_codec_check_rirb_status" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x3d09383c, "snd_hdac_ext_stream_reset" },
	{ 0xbb4f9d1f, "sdw_intel_acpi_scan" },
	{ 0xb302f386, "hdac_bus_eml_get_count" },
	{ 0x83f462bb, "snd_hdac_ext_bus_link_clear_stream_id" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xb7419b1, "kmalloc_caches" },
	{ 0x43121435, "sof_io_write" },
	{ 0x27406a6a, "sof_machine_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x8a9b57ed, "snd_sof_pcm_period_elapsed" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0xfc7264da, "hdac_bus_eml_get_mutex" },
	{ 0x1c368e08, "snd_soc_acpi_intel_hda_machines" },
	{ 0x37e942e7, "hda_codec_jack_check" },
	{ 0xaa3e4d8b, "hda_bus_ml_suspend" },
	{ 0x713dca62, "snd_soc_acpi_sdw_link_slaves_found" },
	{ 0xe914e41e, "strcpy" },
	{ 0x2679b78b, "pci_save_state" },
	{ 0x94518652, "sof_block_read" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xa2462589, "snd_sof_debugfs_add_region_item_iomem" },
	{ 0x9e27e137, "hda_codec_i915_display_power" },
	{ 0xa821dc98, "is_acpi_device_node" },
	{ 0x18bbaeb8, "bpf_trace_run4" },
	{ 0xaa52eba1, "sdw_intel_thread" },
	{ 0x344482b9, "snd_dma_alloc_dir_pages" },
	{ 0x3f989fa7, "devm_kmalloc" },
	{ 0xa920baaa, "snd_hdac_bus_send_cmd" },
	{ 0x6a2f7383, "hda_bus_ml_resume" },
	{ 0xfdf50f48, "pci_alloc_irq_vectors" },
	{ 0x91142bc4, "intel_nhlt_get_dmic_geo" },
	{ 0x42f879da, "snd_hdac_bus_get_response" },
	{ 0x3c66a06d, "snd_hdac_ext_stream_start" },
	{ 0x4161e5c9, "trace_raw_output_prep" },
	{ 0xa6e5dfc6, "hdac_bus_eml_sdw_get_hlink" },
	{ 0x15ba6d6e, "hda_codec_set_codec_wakeup" },
	{ 0xf0d326b2, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x68c9fcc5, "hda_bus_ml_init" },
	{ 0x5664d7f2, "hda_codec_probe_bus" },
	{ 0x199a0eef, "snd_hdac_ext_stream_decouple_locked" },
	{ 0xdfeeb08a, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xedc03953, "iounmap" },
	{ 0xa1c53809, "snd_pcm_hw_constraint_minmax" },
	{ 0xd114c138, "sdw_intel_exit" },
	{ 0x33dca68d, "hda_codec_check_for_state_change" },
	{ 0xc6580d99, "hda_codec_jack_wake_enable" },
	{ 0x9641dff0, "sof_xtensa_arch_ops" },
	{ 0x41a05c36, "intel_nhlt_has_endpoint_type" },
	{ 0x3a2b1f5c, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x51c42ddb, "snd_hdac_ext_bus_init" },
	{ 0x6abe7f3, "hda_bus_ml_free" },
	{ 0x623a76c6, "pcpu_hot" },
	{ 0x68a24153, "snd_pcm_format_physical_width" },
	{ 0x26521830, "sof_ipc4_set_pipeline_state" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x330d35cd, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0xf265e0e, "snd_intel_dsp_driver_probe" },
	{ 0xfcbe824c, "pci_irq_vector" },
	{ 0x42201d20, "module_layout" },
};

MODULE_INFO(depends, "snd-pcm,snd-sof-intel-hda-mlink,snd-sof-pci,snd-soc-hdac-hda,snd-sof-intel-hda,snd-sof,snd-hda-ext-core,soundwire-intel,snd-soc-acpi,snd-soc-core,snd-intel-dspcfg,snd-hda-core,snd-intel-sdw-acpi,snd-soc-acpi-intel-match,snd-sof-xtensa-dsp");


MODULE_INFO(srcversion, "D423B47A1DD50D7AE18B24D");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
