#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(counter_priv, "_gpl", "COUNTER");
KSYMTAB_FUNC(counter_alloc, "_gpl", "COUNTER");
KSYMTAB_FUNC(counter_put, "_gpl", "COUNTER");
KSYMTAB_FUNC(counter_add, "_gpl", "COUNTER");
KSYMTAB_FUNC(counter_unregister, "_gpl", "COUNTER");
KSYMTAB_FUNC(devm_counter_alloc, "_gpl", "COUNTER");
KSYMTAB_FUNC(devm_counter_add, "_gpl", "COUNTER");
KSYMTAB_FUNC(counter_push_event, "_gpl", "COUNTER");

SYMBOL_CRC(counter_priv, 0x7bb2279b, "_gpl");
SYMBOL_CRC(counter_alloc, 0xdfb51a62, "_gpl");
SYMBOL_CRC(counter_put, 0x1cea5217, "_gpl");
SYMBOL_CRC(counter_add, 0x0e51bdf7, "_gpl");
SYMBOL_CRC(counter_unregister, 0x05c51857, "_gpl");
SYMBOL_CRC(devm_counter_alloc, 0xd39ddc5c, "_gpl");
SYMBOL_CRC(devm_counter_add, 0xf60c5f23, "_gpl");
SYMBOL_CRC(counter_push_event, 0x7ad5a5c8, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xfe487975, "init_wait_entry" },
	{ 0x711f9a08, "bus_unregister" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xffb7c514, "ida_free" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x4578f528, "__kfifo_to_user" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x6a6e05bf, "kstrtou8" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x169938c1, "__sysfs_match_string" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x2ac3d8, "nonseekable_open" },
	{ 0x1ef37629, "devm_kasprintf" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3b82625f, "kmalloc_trace" },
	{ 0x1c5ab4e, "__devm_add_action" },
	{ 0x139f2189, "__kfifo_alloc" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0xc35a9650, "cdev_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xb7419b1, "kmalloc_caches" },
	{ 0xd91d4548, "bus_register" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x3f989fa7, "devm_kmalloc" },
	{ 0xe21000fb, "dev_set_name" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0xf23fcb99, "__kfifo_in" },
	{ 0x6c82b005, "cdev_device_del" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xcad41ef4, "device_initialize" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0xe0513723, "get_device" },
	{ 0xdb760f52, "__kfifo_free" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x6d5499c4, "cdev_device_add" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xf0e604d3, "put_device" },
	{ 0x42201d20, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "EDF64E0A93415980A29E7FF");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
