#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(pmbus_clear_cache, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_set_update, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_set_page, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_write_byte, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_write_word_data, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_update_fan, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_read_word_data, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_read_byte_data, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_write_byte_data, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_update_byte_data, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_get_fan_rate_device, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_get_fan_rate_cached, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_clear_faults, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_check_byte_register, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_check_word_register, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_get_driver_info, "_gpl", "PMBUS");
KSYMTAB_DATA(pmbus_regulator_ops, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_do_probe, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_get_debugfs_dir, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_lock_interruptible, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_unlock, "_gpl", "PMBUS");

SYMBOL_CRC(pmbus_clear_cache, 0x34b71010, "_gpl");
SYMBOL_CRC(pmbus_set_update, 0x04076e99, "_gpl");
SYMBOL_CRC(pmbus_set_page, 0x02959cc1, "_gpl");
SYMBOL_CRC(pmbus_write_byte, 0x36e6e15d, "_gpl");
SYMBOL_CRC(pmbus_write_word_data, 0x0cdd4ccf, "_gpl");
SYMBOL_CRC(pmbus_update_fan, 0x3f1f861d, "_gpl");
SYMBOL_CRC(pmbus_read_word_data, 0xe8562e5e, "_gpl");
SYMBOL_CRC(pmbus_read_byte_data, 0xe3ab131d, "_gpl");
SYMBOL_CRC(pmbus_write_byte_data, 0x9b12119a, "_gpl");
SYMBOL_CRC(pmbus_update_byte_data, 0x35e8e8f8, "_gpl");
SYMBOL_CRC(pmbus_get_fan_rate_device, 0x9c0d38d6, "_gpl");
SYMBOL_CRC(pmbus_get_fan_rate_cached, 0x4dd1a97d, "_gpl");
SYMBOL_CRC(pmbus_clear_faults, 0x509ee960, "_gpl");
SYMBOL_CRC(pmbus_check_byte_register, 0x003a6c71, "_gpl");
SYMBOL_CRC(pmbus_check_word_register, 0xf158b36e, "_gpl");
SYMBOL_CRC(pmbus_get_driver_info, 0x5c0c8d2e, "_gpl");
SYMBOL_CRC(pmbus_regulator_ops, 0x3fa3d522, "_gpl");
SYMBOL_CRC(pmbus_do_probe, 0xfe5dbf12, "_gpl");
SYMBOL_CRC(pmbus_get_debugfs_dir, 0x1885df35, "_gpl");
SYMBOL_CRC(pmbus_lock_interruptible, 0x9d1af7d9, "_gpl");
SYMBOL_CRC(pmbus_unlock, 0x6ac79b79, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x74373a0, "rdev_get_id" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x6209bd1c, "sysfs_notify" },
	{ 0x36a24aba, "kobject_uevent" },
	{ 0x96a1a794, "__dynamic_dev_dbg" },
	{ 0x58358368, "regulator_notifier_call_chain" },
	{ 0x9166fada, "strncpy" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xa83251ab, "i2c_smbus_xfer" },
	{ 0x91dad032, "_dev_err" },
	{ 0xf9815ea5, "device_create_file" },
	{ 0x1c5ab4e, "__devm_add_action" },
	{ 0x4101020c, "devm_kstrdup" },
	{ 0x7410aba2, "strreplace" },
	{ 0x69acdf38, "memcpy" },
	{ 0x43e20146, "devm_hwmon_device_register_with_groups" },
	{ 0x5b2ce306, "devm_regulator_register" },
	{ 0xc2bed36, "dev_err_probe" },
	{ 0x62658796, "devm_request_threaded_irq" },
	{ 0x96848186, "scnprintf" },
	{ 0x7ccc2e3b, "debugfs_create_file" },
	{ 0x9ca5d306, "_dev_warn" },
	{ 0x2b6f07fb, "noop_llseek" },
	{ 0xcb4830c5, "simple_open" },
	{ 0xf8945bd9, "debugfs_attr_read" },
	{ 0x6b5fc29c, "debugfs_attr_write" },
	{ 0x61786365, "simple_attr_release" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd7c908ff, "i2c_smbus_write_byte_data" },
	{ 0x1fb259e3, "i2c_smbus_read_byte_data" },
	{ 0xefdace88, "i2c_smbus_write_byte" },
	{ 0xb7c1f282, "i2c_smbus_write_word_data" },
	{ 0xf87d3082, "i2c_smbus_read_word_data" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x8079041a, "device_remove_file" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xb2f549a8, "devm_krealloc" },
	{ 0x3f989fa7, "devm_kmalloc" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2d76397, "debugfs_create_dir" },
	{ 0xd1f43260, "debugfs_remove" },
	{ 0x4a52bd, "simple_attr_open" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xd8b3b20d, "i2c_smbus_read_block_data" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x63ff3a13, "rdev_get_dev" },
	{ 0x42201d20, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "1AA052152D20F7204A1766B");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
