#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ibcm_reject_msg, "", "");
KSYMTAB_FUNC(ib_create_cm_id, "", "");
KSYMTAB_FUNC(ib_destroy_cm_id, "", "");
KSYMTAB_FUNC(ib_cm_listen, "", "");
KSYMTAB_FUNC(ib_cm_insert_listen, "", "");
KSYMTAB_FUNC(ib_send_cm_req, "", "");
KSYMTAB_FUNC(ib_send_cm_rep, "", "");
KSYMTAB_FUNC(ib_send_cm_rtu, "", "");
KSYMTAB_FUNC(ib_send_cm_dreq, "", "");
KSYMTAB_FUNC(ib_send_cm_drep, "", "");
KSYMTAB_FUNC(ib_send_cm_rej, "", "");
KSYMTAB_FUNC(ib_send_cm_mra, "", "");
KSYMTAB_FUNC(ib_send_cm_sidr_req, "", "");
KSYMTAB_FUNC(ib_send_cm_sidr_rep, "", "");
KSYMTAB_FUNC(ib_cm_notify, "", "");
KSYMTAB_FUNC(ib_cm_init_qp_attr, "", "");

SYMBOL_CRC(ibcm_reject_msg, 0x69824a14, "");
SYMBOL_CRC(ib_create_cm_id, 0x13165d14, "");
SYMBOL_CRC(ib_destroy_cm_id, 0x9f33879d, "");
SYMBOL_CRC(ib_cm_listen, 0xcf2231d1, "");
SYMBOL_CRC(ib_cm_insert_listen, 0xda2650f2, "");
SYMBOL_CRC(ib_send_cm_req, 0x6c3f6bdc, "");
SYMBOL_CRC(ib_send_cm_rep, 0x8f0e8edd, "");
SYMBOL_CRC(ib_send_cm_rtu, 0xe560f515, "");
SYMBOL_CRC(ib_send_cm_dreq, 0x3f32b798, "");
SYMBOL_CRC(ib_send_cm_drep, 0x84994fa1, "");
SYMBOL_CRC(ib_send_cm_rej, 0x1446454f, "");
SYMBOL_CRC(ib_send_cm_mra, 0xbe952f5c, "");
SYMBOL_CRC(ib_send_cm_sidr_req, 0x1454467b, "");
SYMBOL_CRC(ib_send_cm_sidr_rep, 0x427d61b8, "");
SYMBOL_CRC(ib_cm_notify, 0x5f8e5f9e, "");
SYMBOL_CRC(ib_cm_init_qp_attr, 0x7cf937fb, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe783e261, "sysfs_emit" },
	{ 0xf538bb07, "trace_event_buffer_commit" },
	{ 0xe4041bde, "rdma_create_ah" },
	{ 0x882447d5, "ib_init_ah_attr_from_wc" },
	{ 0xdf2ebb87, "_raw_read_unlock_irqrestore" },
	{ 0x1241f6ab, "ib_find_cached_pkey" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xb1342cdb, "_raw_read_lock_irqsave" },
	{ 0xaf467a28, "ib_register_client" },
	{ 0x4b7f06f5, "ib_unregister_mad_agent" },
	{ 0xeb4f5d02, "ib_post_send_mad" },
	{ 0xf0f4b642, "ib_create_send_mad" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x7fca5d31, "perf_trace_run_bpf_submit" },
	{ 0x89f42b9c, "rdma_destroy_ah_attr" },
	{ 0xa2fe7d0f, "ib_set_client_data" },
	{ 0x5f1db49f, "ib_get_cached_pkey" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0x1dbea058, "rdma_put_gid_attr" },
	{ 0xb04a43ad, "__xa_alloc_cyclic" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x12cd47c9, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xde1034c5, "bpf_trace_run1" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x9ca5d306, "_dev_warn" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbb5cab0a, "rdma_destroy_ah_user" },
	{ 0x595f6679, "ib_free_send_mad" },
	{ 0xeb078aee, "_raw_write_unlock_irqrestore" },
	{ 0x29461f3b, "ib_port_unregister_client_groups" },
	{ 0x745a981, "xa_erase" },
	{ 0x2c1f35d4, "bpf_trace_run3" },
	{ 0x2d951c87, "rdma_move_ah_attr" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x78809527, "trace_event_buffer_reserve" },
	{ 0x2ec606d5, "rdma_find_gid" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x56470118, "__warn_printk" },
	{ 0x5b3e282f, "xa_store" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xcc7deeaf, "ib_free_recv_mad" },
	{ 0xba372e8, "ib_register_mad_agent" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x3b82625f, "kmalloc_trace" },
	{ 0x5021bd81, "_raw_write_lock_irqsave" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xe29e6f68, "ib_modify_mad" },
	{ 0xf24feee1, "ib_create_ah_from_wc" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xb7419b1, "kmalloc_caches" },
	{ 0xa6e0dde6, "ib_unregister_client" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x4dcbdd69, "ib_init_ah_attr_from_path" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xa6257a2f, "complete" },
	{ 0x4161e5c9, "trace_raw_output_prep" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xf0d326b2, "__trace_trigger_soft_disabled" },
	{ 0xdfeeb08a, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x3a2b1f5c, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x37a0cba, "kfree" },
	{ 0x84572d27, "rdma_query_gid" },
	{ 0x1a3330ac, "ib_port_register_client_groups" },
	{ 0x623a76c6, "pcpu_hot" },
	{ 0xa50f9936, "ib_modify_port" },
	{ 0x330d35cd, "bpf_trace_run2" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x42201d20, "module_layout" },
};

MODULE_INFO(depends, "ib_core");


MODULE_INFO(srcversion, "E4E2A2774A72D619A18540F");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
