#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(cx25821_sram_channels, "", "");
KSYMTAB_FUNC(cx25821_sram_channel_setup_audio, "", "");
KSYMTAB_FUNC(cx25821_sram_channel_dump_audio, "", "");
KSYMTAB_FUNC(cx25821_dev_unregister, "", "");
KSYMTAB_FUNC(cx25821_riscmem_alloc, "", "");
KSYMTAB_FUNC(cx25821_risc_databuffer_audio, "", "");
KSYMTAB_FUNC(cx25821_print_irqbits, "", "");
KSYMTAB_FUNC(cx25821_dev_get, "", "");
KSYMTAB_FUNC(cx25821_set_gpiopin_direction, "", "");

SYMBOL_CRC(cx25821_sram_channels, 0xe9050411, "");
SYMBOL_CRC(cx25821_sram_channel_setup_audio, 0x3d4c56be, "");
SYMBOL_CRC(cx25821_sram_channel_dump_audio, 0xa180a6e9, "");
SYMBOL_CRC(cx25821_dev_unregister, 0x50e6da6f, "");
SYMBOL_CRC(cx25821_riscmem_alloc, 0x9e53efa7, "");
SYMBOL_CRC(cx25821_risc_databuffer_audio, 0xe3da4d86, "");
SYMBOL_CRC(cx25821_print_irqbits, 0x44b517f5, "");
SYMBOL_CRC(cx25821_dev_get, 0xabe0ead0, "");
SYMBOL_CRC(cx25821_set_gpiopin_direction, 0x10cb38ac, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x122c3a7e, "_printk" },
	{ 0xd58f70da, "v4l2_ctrl_handler_setup" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb47cf22f, "video_devdata" },
	{ 0xb6492d05, "vb2_fop_release" },
	{ 0xa916b694, "strnlen" },
	{ 0xa3470dd, "i2c_del_adapter" },
	{ 0x6538058c, "vb2_plane_cookie" },
	{ 0x626fbd14, "vb2_ioctl_dqbuf" },
	{ 0x3f687906, "vb2_ioctl_create_bufs" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x48c8ad7, "vb2_ioctl_prepare_buf" },
	{ 0x4507b0bb, "dma_alloc_attrs" },
	{ 0xa69b88f7, "vb2_buffer_done" },
	{ 0x5526d7b8, "v4l2_ctrl_subscribe_event" },
	{ 0xde80cd09, "ioremap" },
	{ 0xc73f1ee1, "video_unregister_device" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x3ad77ee2, "vb2_ioctl_qbuf" },
	{ 0x71d03604, "vb2_fop_mmap" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x6bb3a6d1, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x9100ecc4, "vb2_fop_read" },
	{ 0xe1d85c95, "v4l2_device_register" },
	{ 0x546a5894, "i2c_add_adapter" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xdd64e639, "strscpy" },
	{ 0x385861c2, "dma_free_attrs" },
	{ 0x86b082fe, "__video_register_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x36fb4890, "vb2_ops_wait_prepare" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x91470135, "vb2_ioctl_streamon" },
	{ 0x50ad54c5, "vb2_fop_poll" },
	{ 0xbbe8577e, "v4l2_ctrl_new_std" },
	{ 0xf02d093, "v4l2_ctrl_handler_free" },
	{ 0x36a53552, "v4l2_device_unregister" },
	{ 0x6b1b70c7, "pci_disable_device" },
	{ 0x8ac9a278, "dma_set_mask" },
	{ 0x8be65513, "pci_read_config_byte" },
	{ 0x77358855, "iomem_resource" },
	{ 0x5bff0955, "param_ops_int" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x4b867c18, "video_device_release_empty" },
	{ 0xf9a482f9, "msleep" },
	{ 0xac1a5e05, "v4l2_event_unsubscribe" },
	{ 0x85bd1608, "__request_region" },
	{ 0x65498adf, "vb2_ioctl_reqbufs" },
	{ 0x68497ede, "vb2_queue_init" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x26b8661a, "vb2_dma_sg_memops" },
	{ 0x7edaca80, "video_ioctl2" },
	{ 0xf2e3fb97, "pci_enable_device" },
	{ 0x655118ad, "vb2_ioctl_streamoff" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc014e408, "vb2_ops_wait_finish" },
	{ 0xbc1bd771, "__pci_register_driver" },
	{ 0x339d3489, "v4l2_ctrl_handler_init_class" },
	{ 0xedc03953, "iounmap" },
	{ 0xb04ff96f, "param_array_ops" },
	{ 0x37a0cba, "kfree" },
	{ 0xcf9c85b6, "vb2_ioctl_querybuf" },
	{ 0xe107fbd8, "v4l2_fh_open" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x61ea923e, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x1035c7c2, "__release_region" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x42201d20, "module_layout" },
};

MODULE_INFO(depends, "videodev,videobuf2-v4l2,videobuf2-common,videobuf2-dma-sg");

MODULE_ALIAS("pci:v000014F1d00008210sv000014F1sd00000920bc*sc*i*");
MODULE_ALIAS("pci:v000014F1d00008210sv00000000sd00000000bc*sc*i*");

MODULE_INFO(srcversion, "4BBCE74D4029F4F21F52B2F");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
