#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(liquidio_set_ethtool_ops, "_gpl", "");
KSYMTAB_FUNC(lio_delete_glists, "_gpl", "");
KSYMTAB_FUNC(lio_setup_glists, "_gpl", "");
KSYMTAB_FUNC(liquidio_set_feature, "_gpl", "");
KSYMTAB_FUNC(liquidio_link_ctrl_cmd_completion, "_gpl", "");
KSYMTAB_FUNC(setup_rx_oom_poll_fn, "_gpl", "");
KSYMTAB_FUNC(cleanup_rx_oom_poll_fn, "_gpl", "");
KSYMTAB_FUNC(liquidio_setup_io_queues, "_gpl", "");
KSYMTAB_FUNC(octeon_setup_interrupt, "_gpl", "");
KSYMTAB_FUNC(liquidio_change_mtu, "_gpl", "");
KSYMTAB_FUNC(lio_wait_for_clean_oq, "_gpl", "");
KSYMTAB_FUNC(lio_fetch_stats, "_gpl", "");
KSYMTAB_FUNC(liquidio_get_speed, "_gpl", "");
KSYMTAB_FUNC(liquidio_get_fec, "_gpl", "");
KSYMTAB_FUNC(octeon_delete_instr_queue, "_gpl", "");
KSYMTAB_FUNC(lio_wait_for_instr_fetch, "_gpl", "");
KSYMTAB_FUNC(octeon_ring_doorbell_locked, "_gpl", "");
KSYMTAB_FUNC(octeon_register_reqtype_free_fn, "_gpl", "");
KSYMTAB_FUNC(lio_process_iq_request_list, "_gpl", "");
KSYMTAB_FUNC(octeon_send_command, "_gpl", "");
KSYMTAB_FUNC(octeon_prepare_soft_command, "_gpl", "");
KSYMTAB_FUNC(octeon_send_soft_command, "_gpl", "");
KSYMTAB_FUNC(octeon_setup_sc_buffer_pool, "_gpl", "");
KSYMTAB_FUNC(octeon_free_sc_done_list, "_gpl", "");
KSYMTAB_FUNC(octeon_free_sc_zombie_list, "_gpl", "");
KSYMTAB_FUNC(octeon_free_sc_buffer_pool, "_gpl", "");
KSYMTAB_FUNC(octeon_alloc_soft_command, "_gpl", "");
KSYMTAB_FUNC(octeon_free_soft_command, "_gpl", "");
KSYMTAB_FUNC(octeon_setup_response_list, "_gpl", "");
KSYMTAB_FUNC(octeon_delete_response_list, "_gpl", "");
KSYMTAB_FUNC(lio_process_ordered_list, "_gpl", "");
KSYMTAB_FUNC(octeon_init_device_list, "_gpl", "");
KSYMTAB_FUNC(lio_get_state_string, "_gpl", "");
KSYMTAB_FUNC(octeon_free_device_mem, "_gpl", "");
KSYMTAB_FUNC(octeon_allocate_device, "_gpl", "");
KSYMTAB_FUNC(octeon_register_device, "_gpl", "");
KSYMTAB_FUNC(octeon_deregister_device, "_gpl", "");
KSYMTAB_FUNC(octeon_allocate_ioq_vector, "_gpl", "");
KSYMTAB_FUNC(octeon_free_ioq_vector, "_gpl", "");
KSYMTAB_FUNC(octeon_setup_instr_queues, "_gpl", "");
KSYMTAB_FUNC(octeon_setup_output_queues, "_gpl", "");
KSYMTAB_FUNC(octeon_set_io_queues_off, "_gpl", "");
KSYMTAB_FUNC(octeon_init_dispatch_list, "_gpl", "");
KSYMTAB_FUNC(octeon_delete_dispatch_list, "_gpl", "");
KSYMTAB_FUNC(octeon_register_dispatch_fn, "_gpl", "");
KSYMTAB_FUNC(octeon_core_drv_init, "_gpl", "");
KSYMTAB_FUNC(octeon_get_tx_qsize, "_gpl", "");
KSYMTAB_FUNC(octeon_get_rx_qsize, "_gpl", "");
KSYMTAB_FUNC(octeon_get_conf, "_gpl", "");
KSYMTAB_FUNC(lio_get_device, "_gpl", "");
KSYMTAB_FUNC(lio_pci_readq, "_gpl", "");
KSYMTAB_FUNC(lio_pci_writeq, "_gpl", "");
KSYMTAB_FUNC(octeon_mem_access_ok, "_gpl", "");
KSYMTAB_FUNC(octeon_wait_for_ddr_init, "_gpl", "");
KSYMTAB_FUNC(lio_enable_irq, "_gpl", "");
KSYMTAB_FUNC(lio_setup_cn66xx_octeon_device, "_gpl", "");
KSYMTAB_FUNC(lio_setup_cn68xx_octeon_device, "_gpl", "");
KSYMTAB_FUNC(setup_cn23xx_octeon_pf_device, "_gpl", "");
KSYMTAB_FUNC(cn23xx_fw_loaded, "_gpl", "");
KSYMTAB_FUNC(cn23xx_tell_vf_its_macaddr_changed, "_gpl", "");
KSYMTAB_FUNC(cn23xx_get_vf_stats, "_gpl", "");
KSYMTAB_FUNC(cn23xx_vf_ask_pf_to_do_flr, "_gpl", "");
KSYMTAB_FUNC(cn23xx_octeon_pfvf_handshake, "_gpl", "");
KSYMTAB_FUNC(cn23xx_setup_octeon_vf_device, "_gpl", "");
KSYMTAB_FUNC(octeon_pci_read_core_mem, "_gpl", "");
KSYMTAB_FUNC(octeon_pci_write_core_mem, "_gpl", "");
KSYMTAB_FUNC(octeon_read_device_mem64, "_gpl", "");
KSYMTAB_FUNC(octeon_read_device_mem32, "_gpl", "");
KSYMTAB_FUNC(octeon_write_device_mem32, "_gpl", "");
KSYMTAB_FUNC(octeon_droq_check_hw_for_pkts, "_gpl", "");
KSYMTAB_FUNC(octeon_delete_droq, "_gpl", "");
KSYMTAB_FUNC(octeon_droq_process_packets, "_gpl", "");
KSYMTAB_FUNC(octeon_unregister_droq_ops, "_gpl", "");
KSYMTAB_FUNC(octeon_alloc_soft_command_resp, "_gpl", "");
KSYMTAB_FUNC(octnet_send_nic_data_pkt, "_gpl", "");
KSYMTAB_FUNC(octnet_send_nic_ctrl_pkt, "_gpl", "");

SYMBOL_CRC(liquidio_set_ethtool_ops, 0x26ed1f3f, "_gpl");
SYMBOL_CRC(lio_delete_glists, 0xd003be45, "_gpl");
SYMBOL_CRC(lio_setup_glists, 0x5980e523, "_gpl");
SYMBOL_CRC(liquidio_set_feature, 0x284b8c11, "_gpl");
SYMBOL_CRC(liquidio_link_ctrl_cmd_completion, 0x19cb4e69, "_gpl");
SYMBOL_CRC(setup_rx_oom_poll_fn, 0xf409b3e8, "_gpl");
SYMBOL_CRC(cleanup_rx_oom_poll_fn, 0x1456e95a, "_gpl");
SYMBOL_CRC(liquidio_setup_io_queues, 0x623c17ed, "_gpl");
SYMBOL_CRC(octeon_setup_interrupt, 0x094eab94, "_gpl");
SYMBOL_CRC(liquidio_change_mtu, 0x31d35c1e, "_gpl");
SYMBOL_CRC(lio_wait_for_clean_oq, 0x9a7d5059, "_gpl");
SYMBOL_CRC(lio_fetch_stats, 0x241a2a6c, "_gpl");
SYMBOL_CRC(liquidio_get_speed, 0x4867a253, "_gpl");
SYMBOL_CRC(liquidio_get_fec, 0x5fcb3e87, "_gpl");
SYMBOL_CRC(octeon_delete_instr_queue, 0x29175fa0, "_gpl");
SYMBOL_CRC(lio_wait_for_instr_fetch, 0x19bc3aea, "_gpl");
SYMBOL_CRC(octeon_ring_doorbell_locked, 0x276308cc, "_gpl");
SYMBOL_CRC(octeon_register_reqtype_free_fn, 0x77f01331, "_gpl");
SYMBOL_CRC(lio_process_iq_request_list, 0x638feaa2, "_gpl");
SYMBOL_CRC(octeon_send_command, 0x01d6fe20, "_gpl");
SYMBOL_CRC(octeon_prepare_soft_command, 0x1b957c25, "_gpl");
SYMBOL_CRC(octeon_send_soft_command, 0xff07fcbd, "_gpl");
SYMBOL_CRC(octeon_setup_sc_buffer_pool, 0xe6abc298, "_gpl");
SYMBOL_CRC(octeon_free_sc_done_list, 0xcd5fc340, "_gpl");
SYMBOL_CRC(octeon_free_sc_zombie_list, 0xf2d03064, "_gpl");
SYMBOL_CRC(octeon_free_sc_buffer_pool, 0xfecaed37, "_gpl");
SYMBOL_CRC(octeon_alloc_soft_command, 0xfce4a97c, "_gpl");
SYMBOL_CRC(octeon_free_soft_command, 0xe32f4770, "_gpl");
SYMBOL_CRC(octeon_setup_response_list, 0x4d2b7512, "_gpl");
SYMBOL_CRC(octeon_delete_response_list, 0x8a0bb1ec, "_gpl");
SYMBOL_CRC(lio_process_ordered_list, 0x55f6bf30, "_gpl");
SYMBOL_CRC(octeon_init_device_list, 0x6d0d28ef, "_gpl");
SYMBOL_CRC(lio_get_state_string, 0xec7f00a5, "_gpl");
SYMBOL_CRC(octeon_free_device_mem, 0xe42e05fc, "_gpl");
SYMBOL_CRC(octeon_allocate_device, 0x7272169b, "_gpl");
SYMBOL_CRC(octeon_register_device, 0x4e0d515f, "_gpl");
SYMBOL_CRC(octeon_deregister_device, 0xe74a8eee, "_gpl");
SYMBOL_CRC(octeon_allocate_ioq_vector, 0xc9d5484d, "_gpl");
SYMBOL_CRC(octeon_free_ioq_vector, 0xca14ddcc, "_gpl");
SYMBOL_CRC(octeon_setup_instr_queues, 0x59b68a91, "_gpl");
SYMBOL_CRC(octeon_setup_output_queues, 0x89c0f4c9, "_gpl");
SYMBOL_CRC(octeon_set_io_queues_off, 0xdeeadf36, "_gpl");
SYMBOL_CRC(octeon_init_dispatch_list, 0x782b39c8, "_gpl");
SYMBOL_CRC(octeon_delete_dispatch_list, 0xbc6d4710, "_gpl");
SYMBOL_CRC(octeon_register_dispatch_fn, 0x3ae50389, "_gpl");
SYMBOL_CRC(octeon_core_drv_init, 0xc6abc5b1, "_gpl");
SYMBOL_CRC(octeon_get_tx_qsize, 0x39fac94f, "_gpl");
SYMBOL_CRC(octeon_get_rx_qsize, 0xfcbba4b0, "_gpl");
SYMBOL_CRC(octeon_get_conf, 0x4f97307e, "_gpl");
SYMBOL_CRC(lio_get_device, 0x39e911fd, "_gpl");
SYMBOL_CRC(lio_pci_readq, 0x08b28590, "_gpl");
SYMBOL_CRC(lio_pci_writeq, 0x36e1972d, "_gpl");
SYMBOL_CRC(octeon_mem_access_ok, 0x60b2238b, "_gpl");
SYMBOL_CRC(octeon_wait_for_ddr_init, 0x0aaf081a, "_gpl");
SYMBOL_CRC(lio_enable_irq, 0x9dc2a414, "_gpl");
SYMBOL_CRC(lio_setup_cn66xx_octeon_device, 0x3eb65172, "_gpl");
SYMBOL_CRC(lio_setup_cn68xx_octeon_device, 0x426b891c, "_gpl");
SYMBOL_CRC(setup_cn23xx_octeon_pf_device, 0x157a1e87, "_gpl");
SYMBOL_CRC(cn23xx_fw_loaded, 0xcb875881, "_gpl");
SYMBOL_CRC(cn23xx_tell_vf_its_macaddr_changed, 0x96207a72, "_gpl");
SYMBOL_CRC(cn23xx_get_vf_stats, 0x50b89b35, "_gpl");
SYMBOL_CRC(cn23xx_vf_ask_pf_to_do_flr, 0x3087a05c, "_gpl");
SYMBOL_CRC(cn23xx_octeon_pfvf_handshake, 0x6960f675, "_gpl");
SYMBOL_CRC(cn23xx_setup_octeon_vf_device, 0x6ff25b00, "_gpl");
SYMBOL_CRC(octeon_pci_read_core_mem, 0x9ad81b57, "_gpl");
SYMBOL_CRC(octeon_pci_write_core_mem, 0xf580162e, "_gpl");
SYMBOL_CRC(octeon_read_device_mem64, 0x17bd5e0e, "_gpl");
SYMBOL_CRC(octeon_read_device_mem32, 0x73a049dc, "_gpl");
SYMBOL_CRC(octeon_write_device_mem32, 0x23e43815, "_gpl");
SYMBOL_CRC(octeon_droq_check_hw_for_pkts, 0x8a734f90, "_gpl");
SYMBOL_CRC(octeon_delete_droq, 0x5bd97b23, "_gpl");
SYMBOL_CRC(octeon_droq_process_packets, 0x7c17ca6f, "_gpl");
SYMBOL_CRC(octeon_unregister_droq_ops, 0x3bdd0dc1, "_gpl");
SYMBOL_CRC(octeon_alloc_soft_command_resp, 0x003f2589, "_gpl");
SYMBOL_CRC(octnet_send_nic_data_pkt, 0x2674aec4, "_gpl");
SYMBOL_CRC(octnet_send_nic_ctrl_pkt, 0xcf0fa45c, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x99b5a0da, "pci_enable_msix_range" },
	{ 0xa916b694, "strnlen" },
	{ 0x7c71684c, "kmalloc_node_trace" },
	{ 0x618911fc, "numa_node" },
	{ 0xcf811f28, "__free_pages" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x23cf671a, "_dev_info" },
	{ 0x1b539fdf, "napi_gro_receive" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0xa5ce22bd, "pci_enable_msi" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0x91dad032, "_dev_err" },
	{ 0x16ad6102, "skb_pull" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xb62ba832, "netif_set_real_num_tx_queues" },
	{ 0xa2740075, "netif_set_real_num_rx_queues" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4507b0bb, "dma_alloc_attrs" },
	{ 0xa308efc8, "pcie_flr" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xa00aca2a, "dql_completed" },
	{ 0xde80cd09, "ioremap" },
	{ 0xfef216eb, "_raw_spin_trylock" },
	{ 0xd007a2e7, "ethtool_op_get_link" },
	{ 0x412998b8, "netif_set_xps_queue" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x41d42d94, "netif_tx_wake_queue" },
	{ 0xfb578fc5, "memset" },
	{ 0x9ca5d306, "_dev_warn" },
	{ 0xbb57c1b6, "netif_schedule_queue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xbde1ba66, "__netdev_alloc_skb" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x7bf7b290, "_dev_notice" },
	{ 0xdd64e639, "strscpy" },
	{ 0x385861c2, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xeeb34c9e, "call_netdevice_notifiers" },
	{ 0x4d716f5e, "alloc_pages" },
	{ 0x3919cd7, "__folio_put" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x869a914d, "pci_disable_msix" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x3b82625f, "kmalloc_trace" },
	{ 0x7c4929b3, "__napi_schedule_irqoff" },
	{ 0xd98e7d86, "napi_schedule_prep" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0x90f9264e, "dev_kfree_skb_any_reason" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xedd2dfc8, "pci_release_region" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x1770449c, "pci_write_config_dword" },
	{ 0xb7419b1, "kmalloc_caches" },
	{ 0x4979de33, "netdev_info" },
	{ 0xe1fecaff, "smp_call_function_single_async" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xe914e41e, "strcpy" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x56a8fd07, "pci_request_region" },
	{ 0x23fd3028, "vmalloc_node" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xaa8f778f, "skb_put" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0xfd51f7f3, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x9e0c711d, "vzalloc_node" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x96ab9bd4, "dma_unmap_page_attrs" },
	{ 0x7aff77a3, "__cpu_present_mask" },
	{ 0xedc03953, "iounmap" },
	{ 0x96622212, "skb_add_rx_frag" },
	{ 0x3b63395f, "pci_disable_msi" },
	{ 0xdc4f7b09, "ptp_clock_index" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x623a76c6, "pcpu_hot" },
	{ 0x9c6d395e, "__put_devmap_managed_page_refs" },
	{ 0x94af0e0a, "__netif_napi_del" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x96a1a794, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x2154aa0e, "dev_addr_mod" },
	{ 0xd3c669ed, "eth_type_trans" },
	{ 0xae948ed8, "pci_read_config_dword" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x76ad7049, "dma_map_page_attrs" },
	{ 0x98f31d2b, "napi_complete_done" },
	{ 0x122c3a7e, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x161cafee, "__napi_schedule" },
	{ 0x42201d20, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "85FB493209FC0CB548B7C03");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
