#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe5a627b1, "__mdiobus_write" },
	{ 0xbbf4c6dc, "__phy_modify" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x65f02b90, "__mdiobus_read" },
	{ 0x54f6b543, "bcm_phy_read_exp" },
	{ 0x10671f9d, "bcm_phy_write_exp" },
	{ 0x8799661, "bcm_phy_get_sset_count" },
	{ 0xd814d949, "devm_gpiod_get" },
	{ 0xe61db320, "gpiod_to_irq" },
	{ 0xa0f0ddfd, "bcm_phy_wol_isr" },
	{ 0x62658796, "devm_request_threaded_irq" },
	{ 0x13bbfb01, "device_set_wakeup_capable" },
	{ 0x7db9aafd, "device_wakeup_enable" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0x46eb5458, "pm_wakeup_dev_event" },
	{ 0x93fbc7a6, "genphy_resume" },
	{ 0x5184dec4, "genphy_soft_reset" },
	{ 0xd52ef9fa, "bcm_phy_config_intr" },
	{ 0x7cd26013, "bcm_phy_handle_interrupt" },
	{ 0xb17ea817, "bcm_phy_get_strings" },
	{ 0xb902f425, "bcm_phy_led_brightness_set" },
	{ 0x855fb1f4, "genphy_suspend" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xc225391b, "phy_drivers_register" },
	{ 0x3c472a2d, "mdiobus_read" },
	{ 0xacab1165, "genphy_read_status" },
	{ 0x4bf83aff, "phy_trigger_machine" },
	{ 0xe5523a4f, "phy_error" },
	{ 0xd6441570, "bcm54xx_auxctl_read" },
	{ 0x47bde8c2, "bcm54xx_auxctl_write" },
	{ 0xa84774fe, "bcm_phy_read_shadow" },
	{ 0x67841e40, "bcm_phy_write_shadow" },
	{ 0x60efde84, "__genphy_config_aneg" },
	{ 0x8875e8c6, "genphy_c37_read_status" },
	{ 0xd78c456, "genphy_c37_config_aneg" },
	{ 0x3f989fa7, "devm_kmalloc" },
	{ 0xbdc42eb, "bcm_phy_get_wol" },
	{ 0x413267ce, "bcm_phy_set_wol" },
	{ 0x17b55b5f, "bcm_phy_get_stats" },
	{ 0x54e6c629, "phy_drivers_unregister" },
	{ 0x5d9684c, "phy_modify" },
	{ 0x7bba4e58, "mdiobus_write" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x42201d20, "module_layout" },
};

MODULE_INFO(depends, "libphy,bcm-phy-lib");

MODULE_ALIAS("mdio:0000000000100000011000000111????");
MODULE_ALIAS("mdio:0000000000100000011000001110????");
MODULE_ALIAS("mdio:0110000000001101100001001010????");
MODULE_ALIAS("mdio:0000000000100000011000001100????");
MODULE_ALIAS("mdio:0000001101100010010111100110????");
MODULE_ALIAS("mdio:0000001101100010010111010001????");
MODULE_ALIAS("mdio:0000000000100000011000001011????");
MODULE_ALIAS("mdio:0000000101000011101111001010????");
MODULE_ALIAS("mdio:0000001101100010010111010000????");
MODULE_ALIAS("mdio:0000001101100010010111001100????");
MODULE_ALIAS("mdio:0000000101000011101111001011????");
MODULE_ALIAS("mdio:0000000101000011101111010110????");
MODULE_ALIAS("mdio:0000000101000011101111010111????");
MODULE_ALIAS("mdio:0000001101100010010111011001????");
MODULE_ALIAS("mdio:0000000101000011101111000111????");
MODULE_ALIAS("mdio:0000000001000000011000011110????");
MODULE_ALIAS("mdio:0000000101000011101111000011????");
MODULE_ALIAS("mdio:0000000101000011101111001111????");
MODULE_ALIAS("mdio:0000001101100010010111110010????");
MODULE_ALIAS("mdio:0000001101100010010111100001????");
MODULE_ALIAS("mdio:0000001101100010010111001101????");

MODULE_INFO(srcversion, "33AC2F54D83C6B6BA365DC5");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
