#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cdc_ncm_change_mtu, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_bind_common, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_unbind, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_select_altsetting, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_fill_tx_frame, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_tx_fixup, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_rx_verify_nth16, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_rx_verify_nth32, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_rx_verify_ndp16, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_rx_verify_ndp32, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_rx_fixup, "_gpl", "");

SYMBOL_CRC(cdc_ncm_change_mtu, 0x6ae9b015, "_gpl");
SYMBOL_CRC(cdc_ncm_bind_common, 0xc9b6b1a6, "_gpl");
SYMBOL_CRC(cdc_ncm_unbind, 0xa4d22110, "_gpl");
SYMBOL_CRC(cdc_ncm_select_altsetting, 0x2ec8a797, "_gpl");
SYMBOL_CRC(cdc_ncm_fill_tx_frame, 0xa1b6a5fe, "_gpl");
SYMBOL_CRC(cdc_ncm_tx_fixup, 0xa3e30a20, "_gpl");
SYMBOL_CRC(cdc_ncm_rx_verify_nth16, 0x63317f66, "_gpl");
SYMBOL_CRC(cdc_ncm_rx_verify_nth32, 0x45a7a5db, "_gpl");
SYMBOL_CRC(cdc_ncm_rx_verify_ndp16, 0x84a9c0cc, "_gpl");
SYMBOL_CRC(cdc_ncm_rx_verify_ndp32, 0x3044a32e, "_gpl");
SYMBOL_CRC(cdc_ncm_rx_fixup, 0x34b76d08, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x51794d31, "usbnet_unlink_rx_urbs" },
	{ 0x8fd4e069, "usbnet_write_cmd" },
	{ 0x623a76c6, "pcpu_hot" },
	{ 0x8d96924c, "netif_tx_lock" },
	{ 0x1568fc91, "usbnet_start_xmit" },
	{ 0xa3682be7, "netif_tx_unlock" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x3c96fa2f, "hrtimer_active" },
	{ 0xd955afa6, "hrtimer_start_range_ns" },
	{ 0xe2399514, "usbnet_read_cmd" },
	{ 0xbde1ba66, "__netdev_alloc_skb" },
	{ 0xaa8f778f, "skb_put" },
	{ 0x69acdf38, "memcpy" },
	{ 0x9c965a8, "usbnet_skb_return" },
	{ 0xfb578fc5, "memset" },
	{ 0xb7419b1, "kmalloc_caches" },
	{ 0x3b82625f, "kmalloc_trace" },
	{ 0x48879f20, "hrtimer_init" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x107eedb1, "cdc_parse_cdc_header" },
	{ 0x5c8c0c2d, "usb_ifnum_to_if" },
	{ 0x2bae31c4, "usb_driver_claim_interface" },
	{ 0x69b4edde, "usb_set_interface" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x7cbb5595, "usbnet_get_ethernet_addr" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x91dad032, "_dev_err" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x2f09a5a7, "__alloc_skb" },
	{ 0xa24c01ab, "usbnet_manage_power" },
	{ 0x6d63933b, "usbnet_cdc_update_filter" },
	{ 0x29be965b, "usbnet_open" },
	{ 0x18934c5b, "usbnet_stop" },
	{ 0x8c681e16, "usbnet_set_rx_mode" },
	{ 0x73350727, "eth_mac_addr" },
	{ 0xeb9377c2, "eth_validate_addr" },
	{ 0x339bdcbe, "usbnet_tx_timeout" },
	{ 0xdb8d6c4e, "dev_get_tstats64" },
	{ 0x9451cc3e, "usbnet_get_drvinfo" },
	{ 0x453c684d, "usbnet_get_msglevel" },
	{ 0x57ddf200, "usbnet_set_msglevel" },
	{ 0x42798347, "usbnet_nway_reset" },
	{ 0xf756acc6, "usbnet_get_link" },
	{ 0xb3aff7ed, "ethtool_op_get_ts_info" },
	{ 0xaab3085e, "usbnet_get_link_ksettings_internal" },
	{ 0x5f07ae1c, "usbnet_probe" },
	{ 0xd7b63e3c, "usbnet_disconnect" },
	{ 0x1f91b28e, "usbnet_suspend" },
	{ 0xeaef6b4b, "usbnet_resume" },
	{ 0x71e58fdb, "param_ops_bool" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x96a1a794, "__dynamic_dev_dbg" },
	{ 0x9ca5d306, "_dev_warn" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x90f9264e, "dev_kfree_skb_any_reason" },
	{ 0x37a0cba, "kfree" },
	{ 0x4a666d56, "hrtimer_cancel" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x5080a848, "usb_driver_release_interface" },
	{ 0x3008986, "usb_altnum_to_altsetting" },
	{ 0xa744e276, "__dynamic_netdev_dbg" },
	{ 0xaa748fa6, "usb_register_driver" },
	{ 0x5dc9dfa4, "usb_deregister" },
	{ 0x8a5bda22, "usbnet_link_change" },
	{ 0x23cf671a, "_dev_info" },
	{ 0xf3c8c7c2, "usbnet_update_max_qlen" },
	{ 0x42201d20, "module_layout" },
};

MODULE_INFO(depends, "usbnet,usbcore,cdc_ether");

MODULE_ALIAS("usb:v0BDBp*d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v1BC7p0036d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v413Cp81BBd*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v413Cp81BCd*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v413Cp*d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v0930p*d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v12D1p*d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v1519p0443d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v1546p1010d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v17E9p*d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*ic02isc0Dip00in*");

MODULE_INFO(srcversion, "A65C089EA6CC70961D7B748");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
