#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mt76x0_chip_onoff, "_gpl", "");
KSYMTAB_FUNC(mt76x0_mac_stop, "_gpl", "");
KSYMTAB_FUNC(mt76x0_init_hardware, "_gpl", "");
KSYMTAB_FUNC(mt76x0_register_device, "_gpl", "");
KSYMTAB_FUNC(mt76x0_set_sar_specs, "_gpl", "");
KSYMTAB_FUNC(mt76x0_config, "_gpl", "");
KSYMTAB_FUNC(mt76x0_phy_calibrate, "_gpl", "");

SYMBOL_CRC(mt76x0_chip_onoff, 0xbd4334bc, "_gpl");
SYMBOL_CRC(mt76x0_mac_stop, 0x5f625c8e, "_gpl");
SYMBOL_CRC(mt76x0_init_hardware, 0x8bea0f71, "_gpl");
SYMBOL_CRC(mt76x0_register_device, 0x2670a701, "_gpl");
SYMBOL_CRC(mt76x0_set_sar_specs, 0xd2d60f4d, "_gpl");
SYMBOL_CRC(mt76x0_config, 0x815803ef, "_gpl");
SYMBOL_CRC(mt76x0_phy_calibrate, 0xc2b725db, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8541939c, "mt76x02_mac_shared_key_setup" },
	{ 0x7615f430, "mt76x02_ext_pa_enabled" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xdd778258, "mt76x02_get_efuse_data" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x23cf671a, "_dev_info" },
	{ 0x6b8a4c8e, "mt76x02_get_rx_gain" },
	{ 0x75fef85d, "mt76x02_add_rate_power_offset" },
	{ 0x15095924, "ieee80211_queue_delayed_work" },
	{ 0xe3813926, "mt76_eeprom_init" },
	{ 0x91dad032, "_dev_err" },
	{ 0xa7ee9f08, "mt76x02_mac_setaddr" },
	{ 0x79189e0d, "mt76_register_device" },
	{ 0x5a2b2497, "mt76x02_phy_set_bw" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x52b70c2c, "mt76x02_phy_set_band" },
	{ 0x38548be5, "mt76_set_channel" },
	{ 0xecf24eaf, "mt76x02_init_device" },
	{ 0x8c1e54d0, "ieee80211_wake_queues" },
	{ 0x2872de1a, "mt76x02_eeprom_parse_hw_cap" },
	{ 0x4c882120, "mt76x02_phy_set_rxpath" },
	{ 0xb9e2a53e, "mt76x02_edcca_init" },
	{ 0x8ba84863, "mt76_eeprom_override" },
	{ 0x6304785d, "mt76x02_get_lna_gain" },
	{ 0x7e3ef792, "mt76x02_init_debugfs" },
	{ 0x9ca5d306, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x92824b4b, "ieee80211_stop_queues" },
	{ 0xcfadca94, "mt76x02_mac_cc_reset" },
	{ 0x11fc9d33, "mt76x02_init_agc_gain" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x513bd2d0, "mt76_txq_schedule_all" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x1c4bb961, "____mt76_poll_msec" },
	{ 0x46ed9edf, "mt76x02_dfs_init_params" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc309e51a, "mt76x02_config_mac_addr_list" },
	{ 0x8a698f9c, "mt76_get_sar_power" },
	{ 0xa949a556, "mt76x02_eeprom_copy" },
	{ 0x2ce3ef56, "mt76x02_mcu_calibrate" },
	{ 0xcfb97092, "mt76x02_mcu_function_select" },
	{ 0x1db3364f, "mt76x02_phy_set_txpower" },
	{ 0xad5d3ba8, "mt76x02_get_max_rate_power" },
	{ 0x92cfdc4, "mt76x02_mac_wcid_setup" },
	{ 0xeed3c163, "__mt76_poll" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0x824fe2f9, "mt76x02_phy_set_txdac" },
	{ 0x93c479bc, "mt76x02_limit_rate_power" },
	{ 0xaaea7dfe, "mt76_get_min_avg_rssi" },
	{ 0x5bd84fd5, "mt76x02_rates" },
	{ 0xf9a482f9, "msleep" },
	{ 0x84c2318f, "mt76_init_sar_power" },
	{ 0x3dc125e6, "mt76x02_phy_adjust_vga_gain" },
	{ 0x63ef2152, "mt76x02_phy_dfs_adjust_agc" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x731c2423, "cfg80211_chandef_valid" },
	{ 0x96a1a794, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x42201d20, "module_layout" },
};

MODULE_INFO(depends, "mt76x02-lib,mac80211,mt76,cfg80211");


MODULE_INFO(srcversion, "CE2DD35AF09A8753CBEF0D2");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
