#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x549faf94, "mt76x2_mcu_set_channel" },
	{ 0x53afe93e, "mt76x02_dma_disable" },
	{ 0x8e4304f9, "mt76x02_mcu_set_radio_state" },
	{ 0xc1f08fa9, "mt76_wake_tx_queue" },
	{ 0x12cc840e, "mt76x02e_init_beacon_config" },
	{ 0xe05fe0f4, "mt76_get_antenna" },
	{ 0x623a76c6, "pcpu_hot" },
	{ 0xfc783b4c, "mt76_set_stream_caps" },
	{ 0x6b5ea002, "mt76x2_apply_gain_adj" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xa05ff909, "pci_set_power_state" },
	{ 0x32c7c1a9, "mt76x02_sta_ps" },
	{ 0xfa7b7b65, "mt76x2_set_sar_specs" },
	{ 0xb7161b6a, "mt76x02_sta_rate_tbl_update" },
	{ 0x302a8927, "kthread_park" },
	{ 0x13e84657, "mt76_dma_cleanup" },
	{ 0x61ea923e, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5f911fe7, "mt76x02_reconfig_complete" },
	{ 0x5e821227, "mt76_alloc_device" },
	{ 0x7c893d63, "wake_up_process" },
	{ 0x8541939c, "mt76x02_mac_shared_key_setup" },
	{ 0x7615f430, "mt76x02_ext_pa_enabled" },
	{ 0x13a4ffc9, "mt76x02_set_coverage_class" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xd005989e, "mt76x2_mac_stop" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x34569b88, "mt76x02_set_tx_ackto" },
	{ 0x1e046c8f, "mt76x02_update_channel" },
	{ 0x161cafee, "__napi_schedule" },
	{ 0x105ec804, "mt76x2_configure_tx_delay" },
	{ 0x8faf7aab, "mt76_pci_disable_aspm" },
	{ 0x23cf671a, "_dev_info" },
	{ 0x1f6aa605, "mt76x02_configure_filter" },
	{ 0xdf23f414, "mt76_free_device" },
	{ 0xff05a2b4, "mt76x02_queue_rx_skb" },
	{ 0x1a36b85f, "kthread_unpark" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x4a45ed41, "pcim_iomap_regions" },
	{ 0x15095924, "ieee80211_queue_delayed_work" },
	{ 0x91dad032, "_dev_err" },
	{ 0x5d9d2a37, "mt76x02_rx_poll_complete" },
	{ 0xa7ee9f08, "mt76x02_mac_setaddr" },
	{ 0x79189e0d, "mt76_register_device" },
	{ 0xcc55d963, "mt76_set_tim" },
	{ 0x152c443c, "mt76x02_sw_scan_complete" },
	{ 0x5a2b2497, "mt76x02_phy_set_bw" },
	{ 0x91d5b9ee, "mt76x02_irq_handler" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x52b70c2c, "mt76x02_phy_set_band" },
	{ 0x38548be5, "mt76_set_channel" },
	{ 0xecf24eaf, "mt76x02_init_device" },
	{ 0x6a8d2b55, "napi_enable" },
	{ 0x569a0354, "mt76x02_tx" },
	{ 0x6015e9fc, "mt76_mmio_init" },
	{ 0x8c1e54d0, "ieee80211_wake_queues" },
	{ 0x75e26d6a, "mt76x02_sta_remove" },
	{ 0xb9e2a53e, "mt76x02_edcca_init" },
	{ 0x408d184b, "mt76x2_eeprom_init" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x3279201e, "mt76x02_sta_add" },
	{ 0xa028029d, "mt76_unregister_device" },
	{ 0x802f0e61, "mt76x2_mcu_load_cr" },
	{ 0x439ebc90, "pci_restore_state" },
	{ 0xc51da432, "mt76x2_init_txpower" },
	{ 0x7e3ef792, "mt76x02_init_debugfs" },
	{ 0xc2711ac1, "mt76_get_survey" },
	{ 0x6bb3a6d1, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x1dbf293f, "mt76x2_mcu_init_gain" },
	{ 0x98bdfdaa, "mt76x02_set_rts_threshold" },
	{ 0x834a1a31, "mt76x02_tx_complete_skb" },
	{ 0x87ffbe5d, "mt76_sta_state" },
	{ 0xc4a358, "mt76x02_mcu_msg_send" },
	{ 0x60460073, "mt76x2_phy_tssi_compensate" },
	{ 0x92824b4b, "ieee80211_stop_queues" },
	{ 0xcfadca94, "mt76x02_mac_cc_reset" },
	{ 0x3c36c6bd, "mt76x02_bss_info_changed" },
	{ 0x11fc9d33, "mt76x02_init_agc_gain" },
	{ 0x66f689f, "mt76x2_phy_update_channel_gain" },
	{ 0x3c778365, "pci_enable_wake" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x513bd2d0, "mt76_txq_schedule_all" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xa93ba0d, "mt76x02_add_interface" },
	{ 0x1c4bb961, "____mt76_poll_msec" },
	{ 0x46ed9edf, "mt76x02_dfs_init_params" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc309e51a, "mt76x02_config_mac_addr_list" },
	{ 0x8a698f9c, "mt76_get_sar_power" },
	{ 0x1fb2dd0b, "mt76x02_tx_prepare_skb" },
	{ 0x86224ed7, "mt76x02_mcu_cleanup" },
	{ 0x6212cfe1, "mt76x02_ampdu_action" },
	{ 0x2ce3ef56, "mt76x02_mcu_calibrate" },
	{ 0x4df64e57, "mt76x02_conf_tx" },
	{ 0xcfb97092, "mt76x02_mcu_function_select" },
	{ 0x8ac9a278, "dma_set_mask" },
	{ 0x897ba9d6, "mt76_sw_scan" },
	{ 0xd7893060, "mt76_sta_pre_rcu_remove" },
	{ 0x9716f303, "pcim_iomap_table" },
	{ 0x2311a632, "mt76x2_get_temp_comp" },
	{ 0x92cfdc4, "mt76x02_mac_wcid_setup" },
	{ 0xd98e7d86, "napi_schedule_prep" },
	{ 0xcf221bba, "napi_disable" },
	{ 0xeed3c163, "__mt76_poll" },
	{ 0x6e0f48ed, "mt76x2_read_rx_gain" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0x38ae3f77, "pcim_enable_device" },
	{ 0xf2bde0bf, "mt76x2_phy_set_txpower_regs" },
	{ 0xa72d90ee, "mt76x2_phy_set_txpower" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x5bd84fd5, "mt76x02_rates" },
	{ 0x833b7b5e, "mt76x02_mac_start" },
	{ 0xd5a5419a, "mt76x02_remove_interface" },
	{ 0xc8395e8c, "mt76x02_dma_init" },
	{ 0x2679b78b, "pci_save_state" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x62658796, "devm_request_threaded_irq" },
	{ 0x2abd53bb, "pci_choose_state" },
	{ 0xce0ad9c4, "mt76x02_set_ethtool_fwver" },
	{ 0x9043541, "mt76x02_tx_set_txpwr_auto" },
	{ 0xbeb33a3b, "mt76x02_set_key" },
	{ 0xca113536, "mt76x02_mcu_parse_response" },
	{ 0xb1637b76, "mt76_release_buffered_frames" },
	{ 0x72c23e2e, "request_firmware" },
	{ 0x47e71fdf, "mt76_get_txpower" },
	{ 0xbc1bd771, "__pci_register_driver" },
	{ 0x15c10eab, "mt76_write_mac_initvals" },
	{ 0x2351381d, "mt76x2_reset_wlan" },
	{ 0x42201d20, "module_layout" },
};

MODULE_INFO(depends, "mt76x2-common,mt76x02-lib,mt76,mac80211");

MODULE_ALIAS("pci:v000014C3d00007662sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014C3d00007612sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014C3d00007602sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "F93EEC31EDE1078C32498C0");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
