#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(wlcore_set_key, "_gpl", "");
KSYMTAB_FUNC(wlcore_alloc_hw, "_gpl", "");
KSYMTAB_FUNC(wlcore_free_hw, "_gpl", "");
KSYMTAB_FUNC(wlcore_probe, "_gpl", "");
KSYMTAB_FUNC(wlcore_remove, "_gpl", "");
KSYMTAB_DATA(wl12xx_debug_level, "_gpl", "");
KSYMTAB_FUNC(wl1271_cmd_send, "_gpl", "");
KSYMTAB_FUNC(wlcore_cmd_wait_for_event_or_timeout, "_gpl", "");
KSYMTAB_FUNC(wlcore_get_native_channel_type, "_gpl", "");
KSYMTAB_FUNC(wl1271_cmd_test, "_gpl", "");
KSYMTAB_FUNC(wl1271_cmd_configure, "_gpl", "");
KSYMTAB_FUNC(wl1271_cmd_data_path, "_gpl", "");
KSYMTAB_FUNC(wl12xx_cmd_build_probe_req, "_gpl", "");
KSYMTAB_FUNC(wlcore_cmd_generic_cfg, "_gpl", "");
KSYMTAB_FUNC(wlcore_disable_interrupts, "_gpl", "");
KSYMTAB_FUNC(wlcore_disable_interrupts_nosync, "_gpl", "");
KSYMTAB_FUNC(wlcore_enable_interrupts, "_gpl", "");
KSYMTAB_FUNC(wlcore_synchronize_interrupts, "_gpl", "");
KSYMTAB_FUNC(wlcore_translate_addr, "_gpl", "");
KSYMTAB_FUNC(wlcore_set_partition, "_gpl", "");
KSYMTAB_FUNC(wlcore_event_fw_logger, "_gpl", "");
KSYMTAB_FUNC(wlcore_event_rssi_trigger, "_gpl", "");
KSYMTAB_FUNC(wlcore_event_soft_gemini_sense, "_gpl", "");
KSYMTAB_FUNC(wlcore_event_sched_scan_completed, "_gpl", "");
KSYMTAB_FUNC(wlcore_event_ba_rx_constraint, "_gpl", "");
KSYMTAB_FUNC(wlcore_event_channel_switch, "_gpl", "");
KSYMTAB_FUNC(wlcore_event_dummy_packet, "_gpl", "");
KSYMTAB_FUNC(wlcore_event_max_tx_failure, "_gpl", "");
KSYMTAB_FUNC(wlcore_event_inactive_sta, "_gpl", "");
KSYMTAB_FUNC(wlcore_event_roc_complete, "_gpl", "");
KSYMTAB_FUNC(wlcore_event_beacon_loss, "_gpl", "");
KSYMTAB_FUNC(wl1271_free_tx_id, "", "");
KSYMTAB_FUNC(wl12xx_is_dummy_packet, "", "");
KSYMTAB_FUNC(wlcore_calc_packet_alignment, "", "");
KSYMTAB_FUNC(wlcore_tx_complete, "", "");
KSYMTAB_FUNC(wl1271_tx_flush, "_gpl", "");
KSYMTAB_FUNC(wl1271_tx_min_rate_get, "_gpl", "");
KSYMTAB_FUNC(wl1271_acx_sleep_auth, "_gpl", "");
KSYMTAB_FUNC(wl12xx_acx_mem_cfg, "_gpl", "");
KSYMTAB_FUNC(wl1271_acx_init_mem_config, "_gpl", "");
KSYMTAB_FUNC(wl1271_acx_pm_config, "_gpl", "");
KSYMTAB_FUNC(wl1271_acx_set_ht_capabilities, "_gpl", "");
KSYMTAB_FUNC(wlcore_boot_upload_firmware, "_gpl", "");
KSYMTAB_FUNC(wlcore_boot_upload_nvs, "_gpl", "");
KSYMTAB_FUNC(wlcore_boot_run_firmware, "_gpl", "");
KSYMTAB_FUNC(wl1271_format_buffer, "_gpl", "");
KSYMTAB_FUNC(wl1271_debugfs_update_stats, "_gpl", "");
KSYMTAB_FUNC(wlcore_set_scan_chan_params, "_gpl", "");
KSYMTAB_FUNC(wlcore_scan_sched_scan_ssid_list, "_gpl", "");
KSYMTAB_FUNC(wlcore_scan_sched_scan_results, "_gpl", "");

SYMBOL_CRC(wlcore_set_key, 0xbe417157, "_gpl");
SYMBOL_CRC(wlcore_alloc_hw, 0x3f925245, "_gpl");
SYMBOL_CRC(wlcore_free_hw, 0x440ded76, "_gpl");
SYMBOL_CRC(wlcore_probe, 0xe67e521a, "_gpl");
SYMBOL_CRC(wlcore_remove, 0x03664170, "_gpl");
SYMBOL_CRC(wl12xx_debug_level, 0x06d3b27e, "_gpl");
SYMBOL_CRC(wl1271_cmd_send, 0x88998a2f, "_gpl");
SYMBOL_CRC(wlcore_cmd_wait_for_event_or_timeout, 0xffbe8985, "_gpl");
SYMBOL_CRC(wlcore_get_native_channel_type, 0x20351125, "_gpl");
SYMBOL_CRC(wl1271_cmd_test, 0xe0ddd58b, "_gpl");
SYMBOL_CRC(wl1271_cmd_configure, 0x24a2c1d8, "_gpl");
SYMBOL_CRC(wl1271_cmd_data_path, 0x99d38267, "_gpl");
SYMBOL_CRC(wl12xx_cmd_build_probe_req, 0x38094ee5, "_gpl");
SYMBOL_CRC(wlcore_cmd_generic_cfg, 0xb72aef34, "_gpl");
SYMBOL_CRC(wlcore_disable_interrupts, 0x9cb2fc9c, "_gpl");
SYMBOL_CRC(wlcore_disable_interrupts_nosync, 0xea9a4e07, "_gpl");
SYMBOL_CRC(wlcore_enable_interrupts, 0x3a3a492d, "_gpl");
SYMBOL_CRC(wlcore_synchronize_interrupts, 0x48bcaec3, "_gpl");
SYMBOL_CRC(wlcore_translate_addr, 0x4ba9e5ab, "_gpl");
SYMBOL_CRC(wlcore_set_partition, 0x1f42c882, "_gpl");
SYMBOL_CRC(wlcore_event_fw_logger, 0xd8fc73f8, "_gpl");
SYMBOL_CRC(wlcore_event_rssi_trigger, 0xb80bf049, "_gpl");
SYMBOL_CRC(wlcore_event_soft_gemini_sense, 0x6874f10c, "_gpl");
SYMBOL_CRC(wlcore_event_sched_scan_completed, 0x8f5dab91, "_gpl");
SYMBOL_CRC(wlcore_event_ba_rx_constraint, 0x5017d923, "_gpl");
SYMBOL_CRC(wlcore_event_channel_switch, 0xdce27742, "_gpl");
SYMBOL_CRC(wlcore_event_dummy_packet, 0x0f463da9, "_gpl");
SYMBOL_CRC(wlcore_event_max_tx_failure, 0xf090fef7, "_gpl");
SYMBOL_CRC(wlcore_event_inactive_sta, 0x82b05918, "_gpl");
SYMBOL_CRC(wlcore_event_roc_complete, 0xca3c10f2, "_gpl");
SYMBOL_CRC(wlcore_event_beacon_loss, 0x449e3a7c, "_gpl");
SYMBOL_CRC(wl1271_free_tx_id, 0x6bde6b51, "");
SYMBOL_CRC(wl12xx_is_dummy_packet, 0xc687aee6, "");
SYMBOL_CRC(wlcore_calc_packet_alignment, 0xe3e5e73f, "");
SYMBOL_CRC(wlcore_tx_complete, 0x0db6f81d, "");
SYMBOL_CRC(wl1271_tx_flush, 0xc8cb9d93, "_gpl");
SYMBOL_CRC(wl1271_tx_min_rate_get, 0x735f2051, "_gpl");
SYMBOL_CRC(wl1271_acx_sleep_auth, 0xaedcbad5, "_gpl");
SYMBOL_CRC(wl12xx_acx_mem_cfg, 0xaa577fcf, "_gpl");
SYMBOL_CRC(wl1271_acx_init_mem_config, 0x230ec12c, "_gpl");
SYMBOL_CRC(wl1271_acx_pm_config, 0xb33fb28e, "_gpl");
SYMBOL_CRC(wl1271_acx_set_ht_capabilities, 0x3db37550, "_gpl");
SYMBOL_CRC(wlcore_boot_upload_firmware, 0xbca463ad, "_gpl");
SYMBOL_CRC(wlcore_boot_upload_nvs, 0x8e547e0c, "_gpl");
SYMBOL_CRC(wlcore_boot_run_firmware, 0xe3ce070e, "_gpl");
SYMBOL_CRC(wl1271_format_buffer, 0x85498cd1, "_gpl");
SYMBOL_CRC(wl1271_debugfs_update_stats, 0xa42eefde, "_gpl");
SYMBOL_CRC(wlcore_set_scan_chan_params, 0xadc4035c, "_gpl");
SYMBOL_CRC(wlcore_scan_sched_scan_ssid_list, 0x60f8428d, "_gpl");
SYMBOL_CRC(wlcore_scan_sched_scan_results, 0xfd19bdc2, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xf7d31de9, "kstrtoul_from_user" },
	{ 0x7a749ccf, "skb_queue_tail" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x8bdd6c5b, "device_wakeup_disable" },
	{ 0x9d6cba30, "cfg80211_find_elem_match" },
	{ 0xf9815ea5, "device_create_file" },
	{ 0xf3fee197, "wiphy_to_ieee80211_hw" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x15095924, "ieee80211_queue_delayed_work" },
	{ 0x740ff56e, "ieee80211_proberesp_get" },
	{ 0x7db9aafd, "device_wakeup_enable" },
	{ 0xd6bed705, "request_firmware_nowait" },
	{ 0xcb4830c5, "simple_open" },
	{ 0x16ad6102, "skb_pull" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x995bfcba, "platform_get_resource" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xac9df26a, "ieee80211_remain_on_channel_expired" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x7b72f0c, "skb_push" },
	{ 0xd1f43260, "debugfs_remove" },
	{ 0x1859bb80, "no_seek_end_llseek" },
	{ 0x8c1e54d0, "ieee80211_wake_queues" },
	{ 0x80907395, "ieee80211_report_low_ack" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xfef216eb, "_raw_spin_trylock" },
	{ 0xcd18098b, "ieee80211_free_txskb" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x25f412d6, "ieee80211_alloc_hw_nm" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xb6c21481, "default_llseek" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0xfb578fc5, "memset" },
	{ 0x9ca5d306, "_dev_warn" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x69b18f43, "rfc1042_header" },
	{ 0xcdbc8a3e, "param_ops_charp" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xff08c564, "ieee80211_stop_queue" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0xbde1ba66, "__netdev_alloc_skb" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x8a536487, "ieee80211_ready_on_channel" },
	{ 0x92824b4b, "ieee80211_stop_queues" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xbf3e2f5f, "skb_trim" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x6e3984, "ieee80211_cqm_beacon_loss_notify" },
	{ 0xc35f87d3, "pv_ops" },
	{ 0xdd64e639, "strscpy" },
	{ 0x7ccc2e3b, "debugfs_create_file" },
	{ 0x999e8297, "vfree" },
	{ 0xca63fa33, "ieee80211_sched_scan_results" },
	{ 0xc0100a6f, "__pm_runtime_resume" },
	{ 0xe5cb5f07, "ieee80211_scan_completed" },
	{ 0x7ee0e3eb, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x2a59f682, "dev_pm_clear_wake_irq" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xf750e3a, "pm_runtime_force_resume" },
	{ 0x442cecf, "ieee80211_unregister_hw" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0x4a37c479, "ieee80211_beacon_get_tim" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0xec413858, "ieee80211_cqm_rssi_notify" },
	{ 0x3b82625f, "kmalloc_trace" },
	{ 0xd0eeff18, "__pm_runtime_suspend" },
	{ 0x27bbf221, "disable_irq_nosync" },
	{ 0xfb875f80, "ieee80211_queue_work" },
	{ 0x86aee4f7, "__pm_runtime_use_autosuspend" },
	{ 0xced5f625, "ieee80211_sta_ps_transition" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x5bff0955, "param_ops_int" },
	{ 0xc2343e78, "__pm_runtime_disable" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0xd2d76397, "debugfs_create_dir" },
	{ 0xed06a305, "generic_file_llseek" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x60062f60, "pm_runtime_force_suspend" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0xf09b5d9a, "get_zeroed_page" },
	{ 0x447bd7f7, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xb7419b1, "kmalloc_caches" },
	{ 0x5ea01e60, "device_remove_bin_file" },
	{ 0x8079041a, "device_remove_file" },
	{ 0xe737336a, "ieee80211_csa_finish" },
	{ 0x3cb6afe5, "skb_queue_head" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x7cf4d2a, "ieee80211_rx_napi" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xaa0c318b, "vscnprintf" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x4eb1db40, "ieee80211_connection_loss" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x13bbfb01, "device_set_wakeup_capable" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x6fef28ce, "ieee80211_iterate_interfaces" },
	{ 0xf17a8082, "ieee80211_sched_scan_stopped" },
	{ 0x59769fb, "param_ops_uint" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x21020a5e, "ieee80211_chswitch_done" },
	{ 0xaa8f778f, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x311f231d, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0xdbdcea34, "skb_dequeue" },
	{ 0x600c0852, "pm_runtime_set_autosuspend_delay" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x5bd022db, "ieee80211_free_hw" },
	{ 0xda760087, "ieee80211_probereq_get" },
	{ 0x72c23e2e, "request_firmware" },
	{ 0x96848186, "scnprintf" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x3eba0695, "ieee80211_ap_probereq_get" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x4273dbe1, "ieee80211_nullfunc_get" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x623a76c6, "pcpu_hot" },
	{ 0x582fa3e7, "ieee80211_pspoll_get" },
	{ 0x916445fc, "ieee80211_register_hw" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x9b711c69, "ieee80211_restart_hw" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xd27ad230, "ieee80211_get_hdrlen_from_skb" },
	{ 0xa48e5ba2, "dev_pm_set_dedicated_wake_irq" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x988559a5, "ieee80211_stop_rx_ba_session" },
	{ 0x71eceae7, "ieee80211_wake_queue" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xbb58ec76, "device_create_bin_file" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x45464864, "ieee80211_tx_status_skb" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x4758768b, "ieee80211_find_sta" },
	{ 0x256793fe, "ieee80211_handle_wake_tx_queue" },
	{ 0x122c3a7e, "_printk" },
	{ 0x46eb5458, "pm_wakeup_dev_event" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0x79b82a71, "cfg80211_find_vendor_elem" },
	{ 0x60f81b89, "pm_runtime_enable" },
	{ 0xa916b694, "strnlen" },
	{ 0x42201d20, "module_layout" },
};

MODULE_INFO(depends, "cfg80211,mac80211");


MODULE_INFO(srcversion, "F147D33DC36DF8B06422F6E");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
