#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(st21nfca_hci_probe, "", "");
KSYMTAB_FUNC(st21nfca_hci_remove, "", "");
KSYMTAB_FUNC(st21nfca_tm_send_dep_res, "", "");
KSYMTAB_FUNC(st21nfca_dep_event_received, "", "");
KSYMTAB_FUNC(st21nfca_im_send_atr_req, "", "");
KSYMTAB_FUNC(st21nfca_im_send_dep_req, "", "");
KSYMTAB_FUNC(st21nfca_dep_init, "", "");
KSYMTAB_FUNC(st21nfca_dep_deinit, "", "");
KSYMTAB_FUNC(st21nfca_hci_discover_se, "", "");
KSYMTAB_FUNC(st21nfca_hci_enable_se, "", "");
KSYMTAB_FUNC(st21nfca_hci_disable_se, "", "");
KSYMTAB_FUNC(st21nfca_hci_se_io, "", "");
KSYMTAB_FUNC(st21nfca_connectivity_event_received, "", "");
KSYMTAB_FUNC(st21nfca_apdu_reader_event_received, "", "");
KSYMTAB_FUNC(st21nfca_se_init, "", "");
KSYMTAB_FUNC(st21nfca_se_deinit, "", "");
KSYMTAB_FUNC(st21nfca_hci_loopback_event_received, "", "");
KSYMTAB_FUNC(st21nfca_vendor_cmds_init, "", "");

SYMBOL_CRC(st21nfca_hci_probe, 0x8e4d7173, "");
SYMBOL_CRC(st21nfca_hci_remove, 0x919e0b07, "");
SYMBOL_CRC(st21nfca_tm_send_dep_res, 0x83af74f5, "");
SYMBOL_CRC(st21nfca_dep_event_received, 0x2c025f75, "");
SYMBOL_CRC(st21nfca_im_send_atr_req, 0xab380c75, "");
SYMBOL_CRC(st21nfca_im_send_dep_req, 0x7ecb50b8, "");
SYMBOL_CRC(st21nfca_dep_init, 0x83e14711, "");
SYMBOL_CRC(st21nfca_dep_deinit, 0x8d0bcb9e, "");
SYMBOL_CRC(st21nfca_hci_discover_se, 0xd50e86f9, "");
SYMBOL_CRC(st21nfca_hci_enable_se, 0x5c6b3f17, "");
SYMBOL_CRC(st21nfca_hci_disable_se, 0xa91e6023, "");
SYMBOL_CRC(st21nfca_hci_se_io, 0x9921fcd6, "");
SYMBOL_CRC(st21nfca_connectivity_event_received, 0x46eb4095, "");
SYMBOL_CRC(st21nfca_apdu_reader_event_received, 0x908b7b28, "");
SYMBOL_CRC(st21nfca_se_init, 0x21ccecc0, "");
SYMBOL_CRC(st21nfca_se_deinit, 0x542ce78d, "");
SYMBOL_CRC(st21nfca_hci_loopback_event_received, 0xb8631ecd, "");
SYMBOL_CRC(st21nfca_vendor_cmds_init, 0x021529be, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe4d6f41f, "nfc_hci_free_device" },
	{ 0xb84afef9, "nfc_se_transaction" },
	{ 0x86a71230, "nfc_get_local_general_bytes" },
	{ 0x32668ed, "nfc_hci_register_device" },
	{ 0x94289319, "nfc_set_remote_general_bytes" },
	{ 0x91dad032, "_dev_err" },
	{ 0x16ad6102, "skb_pull" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x64f8effc, "kfree_skb_reason" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x7b72f0c, "skb_push" },
	{ 0xd5a43273, "nla_put" },
	{ 0xd394c375, "nfc_hci_send_cmd" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0x860c63d, "nfc_hci_get_clientdata" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x9f8c2eb1, "nfc_tm_activated" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xfd77858f, "nfc_hci_allocate_device" },
	{ 0xbf3e2f5f, "skb_trim" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x1c2328c0, "nfc_se_connectivity" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x6c49b208, "nfc_vendor_cmd_reply" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe4c12675, "nfc_hci_set_param" },
	{ 0x6386411, "nfc_dep_link_is_up" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x3b82625f, "kmalloc_trace" },
	{ 0xffed1960, "nfc_hci_send_event" },
	{ 0xe5329ed5, "nfc_hci_disconnect_all_gates" },
	{ 0x6d510a58, "nfc_hci_disconnect_gate" },
	{ 0xb7419b1, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xaad63620, "nfc_hci_set_clientdata" },
	{ 0x3f989fa7, "devm_kmalloc" },
	{ 0x171348f0, "__nfc_alloc_vendor_cmd_reply_skb" },
	{ 0xaa8f778f, "skb_put" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xabccbd3a, "nfc_hci_get_param" },
	{ 0x11407aa, "nfc_hci_send_cmd_async" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xcf38f3dd, "nfc_add_se" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x96848186, "scnprintf" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xbb51e1d9, "nfc_llc_stop" },
	{ 0x2dd93d59, "nfc_hci_connect_gate" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x60c127f5, "nfc_tm_data_received" },
	{ 0xd3f2e836, "nfc_remove_se" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x122c3a7e, "_printk" },
	{ 0x225f40b, "nfc_hci_unregister_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xdd231c55, "nfc_hci_sak_to_protocol" },
	{ 0x2f09a5a7, "__alloc_skb" },
	{ 0xa7308acb, "nfc_llc_start" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x42201d20, "module_layout" },
};

MODULE_INFO(depends, "hci,nfc");


MODULE_INFO(srcversion, "5EBB7B3E4FC40AA7D0FC977");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
