#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(bt_sock_reclassify_lock, "", "");
KSYMTAB_FUNC(bt_sock_register, "", "");
KSYMTAB_FUNC(bt_sock_unregister, "", "");
KSYMTAB_FUNC(bt_sock_alloc, "", "");
KSYMTAB_FUNC(bt_sock_link, "", "");
KSYMTAB_FUNC(bt_sock_unlink, "", "");
KSYMTAB_FUNC(bt_accept_enqueue, "", "");
KSYMTAB_FUNC(bt_accept_unlink, "", "");
KSYMTAB_FUNC(bt_accept_dequeue, "", "");
KSYMTAB_FUNC(bt_sock_recvmsg, "", "");
KSYMTAB_FUNC(bt_sock_stream_recvmsg, "", "");
KSYMTAB_FUNC(bt_sock_poll, "", "");
KSYMTAB_FUNC(bt_sock_ioctl, "", "");
KSYMTAB_FUNC(bt_sock_wait_state, "", "");
KSYMTAB_FUNC(bt_sock_wait_ready, "", "");
KSYMTAB_FUNC(bt_procfs_init, "", "");
KSYMTAB_FUNC(bt_procfs_cleanup, "", "");
KSYMTAB_DATA(bt_debugfs, "_gpl", "");
KSYMTAB_FUNC(hci_alloc_dev_priv, "", "");
KSYMTAB_FUNC(hci_free_dev, "", "");
KSYMTAB_FUNC(hci_register_dev, "", "");
KSYMTAB_FUNC(hci_unregister_dev, "", "");
KSYMTAB_FUNC(hci_release_dev, "", "");
KSYMTAB_FUNC(hci_suspend_dev, "", "");
KSYMTAB_FUNC(hci_resume_dev, "", "");
KSYMTAB_FUNC(hci_reset_dev, "", "");
KSYMTAB_FUNC(hci_recv_frame, "", "");
KSYMTAB_FUNC(hci_recv_diag, "", "");
KSYMTAB_FUNC(hci_set_hw_info, "", "");
KSYMTAB_FUNC(hci_set_fw_info, "", "");
KSYMTAB_FUNC(hci_register_cb, "", "");
KSYMTAB_FUNC(hci_unregister_cb, "", "");
KSYMTAB_FUNC(__hci_cmd_send, "", "");
KSYMTAB_FUNC(hci_get_route, "", "");
KSYMTAB_FUNC(hci_conn_security, "", "");
KSYMTAB_FUNC(hci_conn_check_secure, "", "");
KSYMTAB_FUNC(hci_conn_switch_role, "", "");
KSYMTAB_FUNC(hci_mgmt_chan_register, "", "");
KSYMTAB_FUNC(hci_mgmt_chan_unregister, "", "");
KSYMTAB_FUNC(l2cap_add_psm, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_create, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_put, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_set_defaults, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_del, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_list, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_close, "", "");
KSYMTAB_FUNC(l2cap_register_user, "", "");
KSYMTAB_FUNC(l2cap_unregister_user, "", "");
KSYMTAB_FUNC(l2cap_conn_get, "", "");
KSYMTAB_FUNC(l2cap_conn_put, "", "");
KSYMTAB_FUNC(l2cap_chan_send, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_connect, "_gpl", "");
KSYMTAB_FUNC(l2cap_is_socket, "", "");
KSYMTAB_FUNC(baswap, "", "");
KSYMTAB_FUNC(bt_to_errno, "", "");
KSYMTAB_FUNC(bt_status, "", "");
KSYMTAB_FUNC(bt_info, "", "");
KSYMTAB_FUNC(bt_warn, "", "");
KSYMTAB_FUNC(bt_err, "", "");
KSYMTAB_FUNC(bt_warn_ratelimited, "", "");
KSYMTAB_FUNC(bt_err_ratelimited, "", "");
KSYMTAB_FUNC(__hci_cmd_sync_sk, "", "");
KSYMTAB_FUNC(__hci_cmd_sync, "", "");
KSYMTAB_FUNC(hci_cmd_sync, "", "");
KSYMTAB_FUNC(__hci_cmd_sync_ev, "", "");
KSYMTAB_FUNC(__hci_cmd_sync_status_sk, "", "");
KSYMTAB_FUNC(__hci_cmd_sync_status, "", "");
KSYMTAB_FUNC(hci_cmd_sync_cancel, "", "");
KSYMTAB_FUNC(hci_cmd_sync_cancel_sync, "", "");
KSYMTAB_FUNC(hci_cmd_sync_submit, "", "");
KSYMTAB_FUNC(hci_cmd_sync_queue, "", "");
KSYMTAB_FUNC(hci_cmd_sync_queue_once, "", "");
KSYMTAB_FUNC(hci_cmd_sync_lookup_entry, "", "");
KSYMTAB_FUNC(hci_cmd_sync_cancel_entry, "", "");
KSYMTAB_FUNC(hci_cmd_sync_dequeue_once, "", "");
KSYMTAB_FUNC(hci_cmd_sync_dequeue, "", "");
KSYMTAB_FUNC(hci_devcd_rx, "", "");
KSYMTAB_FUNC(hci_devcd_timeout, "", "");
KSYMTAB_FUNC(hci_devcd_register, "", "");
KSYMTAB_FUNC(hci_devcd_init, "", "");
KSYMTAB_FUNC(hci_devcd_append, "", "");
KSYMTAB_FUNC(hci_devcd_append_pattern, "", "");
KSYMTAB_FUNC(hci_devcd_complete, "", "");
KSYMTAB_FUNC(hci_devcd_abort, "", "");

SYMBOL_CRC(bt_sock_reclassify_lock, 0xc037d51f, "");
SYMBOL_CRC(bt_sock_register, 0xd6f7b355, "");
SYMBOL_CRC(bt_sock_unregister, 0x8fea24bd, "");
SYMBOL_CRC(bt_sock_alloc, 0x09a13060, "");
SYMBOL_CRC(bt_sock_link, 0xb6d75c60, "");
SYMBOL_CRC(bt_sock_unlink, 0x0c5c79de, "");
SYMBOL_CRC(bt_accept_enqueue, 0x5914fce4, "");
SYMBOL_CRC(bt_accept_unlink, 0xa36bd57f, "");
SYMBOL_CRC(bt_accept_dequeue, 0x5b1f314d, "");
SYMBOL_CRC(bt_sock_recvmsg, 0xeeae9dc1, "");
SYMBOL_CRC(bt_sock_stream_recvmsg, 0xe6cac99a, "");
SYMBOL_CRC(bt_sock_poll, 0x17db7463, "");
SYMBOL_CRC(bt_sock_ioctl, 0xf1978fe5, "");
SYMBOL_CRC(bt_sock_wait_state, 0xb9b0308e, "");
SYMBOL_CRC(bt_sock_wait_ready, 0x8704cb18, "");
SYMBOL_CRC(bt_procfs_init, 0xaca49bb3, "");
SYMBOL_CRC(bt_procfs_cleanup, 0xa894736c, "");
SYMBOL_CRC(bt_debugfs, 0x226b15bd, "_gpl");
SYMBOL_CRC(hci_alloc_dev_priv, 0x1f49b323, "");
SYMBOL_CRC(hci_free_dev, 0x23faf17c, "");
SYMBOL_CRC(hci_register_dev, 0x1a6209ae, "");
SYMBOL_CRC(hci_unregister_dev, 0xb3a75d70, "");
SYMBOL_CRC(hci_release_dev, 0xaa478cc1, "");
SYMBOL_CRC(hci_suspend_dev, 0x3ad0e78b, "");
SYMBOL_CRC(hci_resume_dev, 0x3e00f9ec, "");
SYMBOL_CRC(hci_reset_dev, 0x722aa256, "");
SYMBOL_CRC(hci_recv_frame, 0xb43227f3, "");
SYMBOL_CRC(hci_recv_diag, 0x61602990, "");
SYMBOL_CRC(hci_set_hw_info, 0xa2bbeade, "");
SYMBOL_CRC(hci_set_fw_info, 0x3cb6250c, "");
SYMBOL_CRC(hci_register_cb, 0x7e05d87c, "");
SYMBOL_CRC(hci_unregister_cb, 0x7d771681, "");
SYMBOL_CRC(__hci_cmd_send, 0x58a382ea, "");
SYMBOL_CRC(hci_get_route, 0x4e2a02a6, "");
SYMBOL_CRC(hci_conn_security, 0x209a5bf0, "");
SYMBOL_CRC(hci_conn_check_secure, 0x2736c266, "");
SYMBOL_CRC(hci_conn_switch_role, 0xb0af3e54, "");
SYMBOL_CRC(hci_mgmt_chan_register, 0x1c3decc1, "");
SYMBOL_CRC(hci_mgmt_chan_unregister, 0xeeb31281, "");
SYMBOL_CRC(l2cap_add_psm, 0xd0520b51, "_gpl");
SYMBOL_CRC(l2cap_chan_create, 0x1ae68227, "_gpl");
SYMBOL_CRC(l2cap_chan_put, 0x5045d799, "_gpl");
SYMBOL_CRC(l2cap_chan_set_defaults, 0xe7a64df4, "_gpl");
SYMBOL_CRC(l2cap_chan_del, 0xff864555, "_gpl");
SYMBOL_CRC(l2cap_chan_list, 0x2b9da0ee, "_gpl");
SYMBOL_CRC(l2cap_chan_close, 0x47737275, "");
SYMBOL_CRC(l2cap_register_user, 0xd6538746, "");
SYMBOL_CRC(l2cap_unregister_user, 0x00a0b15d, "");
SYMBOL_CRC(l2cap_conn_get, 0x0516ab7b, "");
SYMBOL_CRC(l2cap_conn_put, 0xdd989dac, "");
SYMBOL_CRC(l2cap_chan_send, 0x80ed352b, "_gpl");
SYMBOL_CRC(l2cap_chan_connect, 0xfc5a9ce2, "_gpl");
SYMBOL_CRC(l2cap_is_socket, 0x0a25ce41, "");
SYMBOL_CRC(baswap, 0x7b5ce5c3, "");
SYMBOL_CRC(bt_to_errno, 0x7aad008b, "");
SYMBOL_CRC(bt_status, 0x7bd9427a, "");
SYMBOL_CRC(bt_info, 0x0718b8b7, "");
SYMBOL_CRC(bt_warn, 0x214e4265, "");
SYMBOL_CRC(bt_err, 0x7b8c32f1, "");
SYMBOL_CRC(bt_warn_ratelimited, 0xddacccf6, "");
SYMBOL_CRC(bt_err_ratelimited, 0xd7613212, "");
SYMBOL_CRC(__hci_cmd_sync_sk, 0x90196d1e, "");
SYMBOL_CRC(__hci_cmd_sync, 0x739823aa, "");
SYMBOL_CRC(hci_cmd_sync, 0x4a6290b8, "");
SYMBOL_CRC(__hci_cmd_sync_ev, 0x40a4fb49, "");
SYMBOL_CRC(__hci_cmd_sync_status_sk, 0x37d3cf98, "");
SYMBOL_CRC(__hci_cmd_sync_status, 0x021f3d45, "");
SYMBOL_CRC(hci_cmd_sync_cancel, 0x7a5dca21, "");
SYMBOL_CRC(hci_cmd_sync_cancel_sync, 0x3a432970, "");
SYMBOL_CRC(hci_cmd_sync_submit, 0x19768ff9, "");
SYMBOL_CRC(hci_cmd_sync_queue, 0xc2a92bef, "");
SYMBOL_CRC(hci_cmd_sync_queue_once, 0x619a9658, "");
SYMBOL_CRC(hci_cmd_sync_lookup_entry, 0xc460cbdd, "");
SYMBOL_CRC(hci_cmd_sync_cancel_entry, 0x86872c4f, "");
SYMBOL_CRC(hci_cmd_sync_dequeue_once, 0x24ee77d9, "");
SYMBOL_CRC(hci_cmd_sync_dequeue, 0x2eb90c46, "");
SYMBOL_CRC(hci_devcd_rx, 0xa36d67be, "");
SYMBOL_CRC(hci_devcd_timeout, 0xa60137a1, "");
SYMBOL_CRC(hci_devcd_register, 0xafd2d0d8, "");
SYMBOL_CRC(hci_devcd_init, 0x77368e81, "");
SYMBOL_CRC(hci_devcd_append, 0xcbd3eb43, "");
SYMBOL_CRC(hci_devcd_append_pattern, 0x808dc2a8, "");
SYMBOL_CRC(hci_devcd_complete, 0xaa9f5801, "");
SYMBOL_CRC(hci_devcd_abort, 0x3d9ddee6, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7475be8e, "crypto_ecdh_key_len" },
	{ 0x78b887ed, "vsprintf" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0x20978fb9, "idr_find" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x3f989fa7, "devm_kmalloc" },
	{ 0x83eb21c, "rfkill_unregister" },
	{ 0xaa8f778f, "skb_put" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xa38602cd, "drain_workqueue" },
	{ 0xe21000fb, "dev_set_name" },
	{ 0xf834259c, "scm_detach_fds" },
	{ 0x926148f8, "crypto_shash_tfm_digest" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x8f9c199c, "__get_user_2" },
	{ 0x54a86095, "device_unregister" },
	{ 0xdbdcea34, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x5a4896a8, "__put_user_2" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0x7c4911be, "led_trigger_register_simple" },
	{ 0x96848186, "scnprintf" },
	{ 0xc0763484, "rfkill_blocked" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x7681946c, "unregister_pm_notifier" },
	{ 0xde293f9e, "add_wait_queue_exclusive" },
	{ 0xcad41ef4, "device_initialize" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x69acdf38, "memcpy" },
	{ 0xdb68bbad, "rfkill_destroy" },
	{ 0x37a0cba, "kfree" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x623a76c6, "pcpu_hot" },
	{ 0x3a40fbad, "seq_lseek" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0x1458a125, "sock_no_connect" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xffa0a2c7, "dev_kfree_skb_irq_reason" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0x697ed5f0, "memcpy_and_pad" },
	{ 0xd1b80a85, "led_trigger_unregister_simple" },
	{ 0xe2964344, "__wake_up" },
	{ 0x2e849edd, "__module_get" },
	{ 0x148653, "vsnprintf" },
	{ 0xe0513723, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x558b281d, "aes_expandkey" },
	{ 0x8ca7f5a3, "__pskb_copy_fclone" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x8963dccc, "__put_cred" },
	{ 0x72e9fc9b, "put_cmsg" },
	{ 0x23e974d, "skb_queue_purge_reason" },
	{ 0xf0205b95, "crypto_destroy_tfm" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xb5e73116, "flush_delayed_work" },
	{ 0x122c3a7e, "_printk" },
	{ 0x369f1002, "crypto_alloc_kpp" },
	{ 0x6b853d06, "ns_to_kernel_old_timeval" },
	{ 0x5bbe6027, "proto_unregister" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xe867f8d1, "sock_register" },
	{ 0x370e69ce, "datagram_poll" },
	{ 0x360f2f45, "__sock_recv_cmsgs" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xf0e604d3, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x2f09a5a7, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xf44d53da, "security_secid_to_secctx" },
	{ 0x204da6bb, "proto_register" },
	{ 0x16e297c3, "bit_wait" },
	{ 0xed61f6b3, "security_release_secctx" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0xc6cbbc89, "capable" },
	{ 0x7a749ccf, "skb_queue_tail" },
	{ 0x10eda758, "module_put" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xeb4688e0, "__sock_recv_timestamp" },
	{ 0x130b85ea, "sock_no_shutdown" },
	{ 0xcdc8b515, "sk_filter_trim_cap" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x70832133, "devm_kfree" },
	{ 0xa8e458b, "crypto_req_done" },
	{ 0xd781e532, "init_net" },
	{ 0x71482f82, "crypto_shash_setkey" },
	{ 0x16ad6102, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xe477d6e1, "device_add" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x8100735e, "init_uts_ns" },
	{ 0x75ba143a, "sk_free" },
	{ 0xa7fe9bbc, "device_move" },
	{ 0x64f8effc, "kfree_skb_reason" },
	{ 0x5c70bcd9, "sock_no_accept" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xe68efe41, "_raw_write_lock" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x7b72f0c, "skb_push" },
	{ 0xc3aaf0a9, "__put_user_1" },
	{ 0x4195a9a2, "sock_no_listen" },
	{ 0xd1f43260, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0x9cc4f70a, "register_pm_notifier" },
	{ 0x866076d9, "seq_putc" },
	{ 0xbd6841d4, "crc16" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xf717678a, "iov_iter_kvec" },
	{ 0xffb7c514, "ida_free" },
	{ 0x3dfc897c, "seq_hlist_start_head" },
	{ 0x2d389e3a, "class_unregister" },
	{ 0xdd4d55b6, "_raw_read_unlock" },
	{ 0x40235c98, "_raw_write_unlock" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xb1518e15, "cancel_work" },
	{ 0x52df60af, "lock_sock_nested" },
	{ 0xf97b7c05, "device_find_child" },
	{ 0x8fc562b1, "dev_coredumpv" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xf7c00f04, "skb_copy_datagram_iter" },
	{ 0xc084cc85, "rfkill_alloc" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xb230d2ec, "crypto_ecdh_encode_key" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xdb476088, "sk_alloc" },
	{ 0x8dd807a3, "device_del" },
	{ 0xc08c167d, "__sock_queue_rcv_skb" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0xdaebd1d7, "__sock_recv_wifi_status" },
	{ 0xa58594f4, "from_kuid" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x220da467, "sock_no_socketpair" },
	{ 0xfb578fc5, "memset" },
	{ 0x25974000, "wait_for_completion" },
	{ 0xfa59e604, "__get_task_comm" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd66b50ae, "sock_no_mmap" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xe06141e9, "security_sk_clone" },
	{ 0x164c0d99, "__pskb_pull_tail" },
	{ 0x61150cd9, "__scm_destroy" },
	{ 0x5b1e8a5f, "from_kgid_munged" },
	{ 0x5a44f8cb, "__crypto_memneq" },
	{ 0xbf3e2f5f, "skb_trim" },
	{ 0xf474fdcb, "kfree_const" },
	{ 0xccc4daea, "skb_unlink" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x1ef37629, "devm_kasprintf" },
	{ 0xb372c097, "seq_read" },
	{ 0xdd64e639, "strscpy" },
	{ 0xd25ade20, "sock_i_ino" },
	{ 0x7ccc2e3b, "debugfs_create_file" },
	{ 0xc8174972, "devm_led_trigger_register" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x999e8297, "vfree" },
	{ 0xff282521, "rfkill_register" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xd71fca5f, "sk_capable" },
	{ 0x1632bc21, "kvasprintf_const" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x71e58fdb, "param_ops_bool" },
	{ 0x75bda77a, "seq_hlist_next" },
	{ 0xa8b7e69e, "skb_recv_datagram" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x2244b87c, "sock_alloc_send_pskb" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x9d753bc4, "remove_proc_entry" },
	{ 0x6d5f5b91, "radix_tree_tagged" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x7f9ff45d, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x25546723, "skb_copy" },
	{ 0x67b9dda9, "skb_clone" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x344d82d3, "_copy_from_iter" },
	{ 0xfe8c61f0, "_raw_read_lock" },
	{ 0xd2f6c83c, "skb_pull_data" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x1cb72a15, "seq_puts" },
	{ 0xf2680993, "sock_gettstamp" },
	{ 0xaf3e7c3c, "single_release" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xb4f0a332, "pid_vnr" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xd5fd2fc4, "from_kuid_munged" },
	{ 0x3b82625f, "kmalloc_trace" },
	{ 0xc627cca9, "led_trigger_event" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0x312a93a7, "iov_iter_revert" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x437b816f, "proc_create_seq_private" },
	{ 0x67b80948, "single_open" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x525235d4, "crypto_alloc_shash" },
	{ 0xd2d76397, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x14eeef33, "fwnode_property_read_u8_array" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x71f52fa3, "put_pid" },
	{ 0x4f38947f, "class_register" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xe850afef, "sock_init_data" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x6f6f902e, "__dev_fwnode" },
	{ 0xb7419b1, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xea041e1f, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3cb6afe5, "skb_queue_head" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x77e9eb37, "aes_encrypt" },
	{ 0xda10ec3, "security_sock_graft" },
	{ 0x5dc2994e, "skb_free_datagram" },
	{ 0xb3a41be3, "sock_queue_rcv_skb_reason" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xaf456a19, "try_module_get" },
	{ 0xbc889625, "sock_i_uid" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x42201d20, "module_layout" },
};

MODULE_INFO(depends, "ecdh_generic,rfkill");


MODULE_INFO(srcversion, "B6F7CBB9922AF3036A3C3AC");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
