#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ip_vs_conn_in_get_proto, "_gpl", "");
KSYMTAB_FUNC(ip_vs_conn_out_get_proto, "_gpl", "");
KSYMTAB_FUNC(register_ip_vs_scheduler, "", "");
KSYMTAB_FUNC(unregister_ip_vs_scheduler, "", "");
KSYMTAB_FUNC(ip_vs_proto_name, "", "");
KSYMTAB_FUNC(ip_vs_conn_new, "", "");
KSYMTAB_FUNC(ip_vs_conn_in_get, "", "");
KSYMTAB_FUNC(ip_vs_conn_out_get, "", "");
KSYMTAB_FUNC(ip_vs_tcp_conn_listen, "", "");
KSYMTAB_FUNC(ip_vs_conn_put, "", "");
KSYMTAB_FUNC(ip_vs_new_conn_out, "", "");
KSYMTAB_FUNC(ip_vs_scheduler_err, "", "");
KSYMTAB_FUNC(register_ip_vs_app, "", "");
KSYMTAB_FUNC(unregister_ip_vs_app, "", "");
KSYMTAB_FUNC(register_ip_vs_app_inc, "", "");
KSYMTAB_FUNC(ip_vs_proto_get, "", "");
KSYMTAB_FUNC(ip_vs_proto_data_get, "", "");
KSYMTAB_FUNC(register_ip_vs_pe, "_gpl", "");
KSYMTAB_FUNC(unregister_ip_vs_pe, "_gpl", "");
KSYMTAB_FUNC(ip_vs_nfct_expect_related, "", "");

SYMBOL_CRC(ip_vs_conn_in_get_proto, 0x2e7b52da, "_gpl");
SYMBOL_CRC(ip_vs_conn_out_get_proto, 0xacbc4744, "_gpl");
SYMBOL_CRC(register_ip_vs_scheduler, 0x31aa79e0, "");
SYMBOL_CRC(unregister_ip_vs_scheduler, 0x00e159d8, "");
SYMBOL_CRC(ip_vs_proto_name, 0xd831a1a2, "");
SYMBOL_CRC(ip_vs_conn_new, 0xddb749aa, "");
SYMBOL_CRC(ip_vs_conn_in_get, 0x5db6d151, "");
SYMBOL_CRC(ip_vs_conn_out_get, 0x3c971b79, "");
SYMBOL_CRC(ip_vs_tcp_conn_listen, 0x4a874431, "");
SYMBOL_CRC(ip_vs_conn_put, 0x6c65b0e2, "");
SYMBOL_CRC(ip_vs_new_conn_out, 0x92111464, "");
SYMBOL_CRC(ip_vs_scheduler_err, 0x3a64b61e, "");
SYMBOL_CRC(register_ip_vs_app, 0xc5d8ff87, "");
SYMBOL_CRC(unregister_ip_vs_app, 0xc6eba84a, "");
SYMBOL_CRC(register_ip_vs_app_inc, 0x409f7f2e, "");
SYMBOL_CRC(ip_vs_proto_get, 0x54a463ae, "");
SYMBOL_CRC(ip_vs_proto_data_get, 0x54773112, "");
SYMBOL_CRC(register_ip_vs_pe, 0x7c74c7a9, "_gpl");
SYMBOL_CRC(unregister_ip_vs_pe, 0x9beb3428, "_gpl");
SYMBOL_CRC(ip_vs_nfct_expect_related, 0xb962d72f, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc6fb7e81, "nf_ct_expect_related_report" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0x56609e95, "ip_route_me_harder" },
	{ 0x64f8effc, "kfree_skb_reason" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x7b72f0c, "skb_push" },
	{ 0x77b372c9, "kmem_cache_free" },
	{ 0x613bf8a3, "set_cpus_allowed_ptr" },
	{ 0x866076d9, "seq_putc" },
	{ 0xd5a43273, "nla_put" },
	{ 0x9092defd, "proc_doulongvec_minmax" },
	{ 0x8618b3, "nf_ct_expect_alloc" },
	{ 0x7e0a5cfa, "skb_ensure_writable" },
	{ 0xf717678a, "iov_iter_kvec" },
	{ 0x29d9b65b, "ip_mc_join_group" },
	{ 0xd561f393, "nf_ct_expect_put" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xbb890fdd, "ns_capable" },
	{ 0x611cff6c, "nf_unregister_net_hooks" },
	{ 0x13584dda, "inet_select_addr" },
	{ 0x93cd804c, "unregister_pernet_device" },
	{ 0x52df60af, "lock_sock_nested" },
	{ 0xb24fc538, "inet_addr_type" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x944375db, "_totalram_pages" },
	{ 0xe4219131, "kthread_stop" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xf9ef5ea7, "__nf_conntrack_confirm" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xb4edc080, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x48bada3c, "kernel_connect" },
	{ 0x4776f832, "skb_checksum" },
	{ 0xfb578fc5, "memset" },
	{ 0xf5848101, "ip_defrag" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x164c0d99, "__pskb_pull_tail" },
	{ 0x25e2db23, "nf_ct_delete" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0x131db64a, "system_long_wq" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xbf3e2f5f, "skb_trim" },
	{ 0x3ee3e233, "nf_hook_slow" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xb86f74c5, "free_cpumask_var" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xfaa0891c, "kthread_create_on_node" },
	{ 0x40c7247c, "si_meminfo" },
	{ 0xd83898d5, "nf_hooks_needed" },
	{ 0x27dafa38, "nf_ct_deliver_cached_events" },
	{ 0x7ebe749d, "skb_realloc_headroom" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xb4ca2b72, "ipv6_find_hdr" },
	{ 0xb15b4109, "crc32c" },
	{ 0xdd64e639, "strscpy" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xc905c1ed, "__icmp_send" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xce0a3be7, "ipv4_mtu" },
	{ 0x16dc89ba, "skb_set_owner_w" },
	{ 0x8da1f34a, "__skb_checksum" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x5338d0fa, "sock_create_kern" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x202af3c6, "init_user_ns" },
	{ 0xda533c38, "nf_ct_expect_init" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x9d753bc4, "remove_proc_entry" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x7f9ff45d, "seq_printf" },
	{ 0x466b269b, "sock_recvmsg" },
	{ 0x5089f45f, "ip_send_check" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xf86714ec, "proc_create_net_single" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x44771a31, "ipv4_update_pmtu" },
	{ 0x50a1f6e2, "nf_defrag_ipv6_enable" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xc2208c39, "dst_release" },
	{ 0x5fbcb8ab, "sock_release" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xf94536c2, "proc_dointvec" },
	{ 0x1cb72a15, "seq_puts" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0xb805d2b3, "unregister_net_sysctl_table" },
	{ 0x7c5ae102, "ip_local_out" },
	{ 0x3ad3652c, "genl_unregister_family" },
	{ 0x3b82625f, "kmalloc_trace" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x754d539c, "strlen" },
	{ 0xc97a169, "udp6_set_csum" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x5bff0955, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x9ccb3c00, "genl_register_family" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xec98b5be, "kernel_sendmsg" },
	{ 0x349e950e, "nf_ct_netns_put" },
	{ 0x79dfdd1f, "register_pernet_device" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0xb7419b1, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x4aadfab3, "kmem_cache_destroy" },
	{ 0xea041e1f, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2801a22f, "proc_dointvec_minmax" },
	{ 0x26afd2c4, "nf_ct_ext_add" },
	{ 0x1b015d25, "bitmap_parselist" },
	{ 0x738cd7ad, "nf_conntrack_find_get" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0xaf456a19, "try_module_get" },
	{ 0x26c15620, "__ip_select_ident" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xa28bc1f2, "icmp6_send" },
	{ 0x27fa66e1, "nr_free_buffer_pages" },
	{ 0x2104cfc9, "skb_copy_bits" },
	{ 0x1d2cc527, "xfrm_lookup" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xe2bbfa56, "proc_dointvec_jiffies" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xae9852a0, "housekeeping_cpumask" },
	{ 0x311f231d, "consume_skb" },
	{ 0x1cde2de9, "ip6_local_out" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x1e0a0c24, "mod_timer_pending" },
	{ 0x1188e0d5, "ip_output" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xffc93b54, "nf_register_sockopt" },
	{ 0xb7f54816, "nla_put_64bit" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xb3b1050, "nf_ct_netns_get" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xfa316703, "kernel_bind" },
	{ 0x683f55f9, "set_user_nice" },
	{ 0x94909a69, "genlmsg_put" },
	{ 0x2b7f0edc, "udp_set_csum" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xe23b37f, "alloc_cpumask_var_node" },
	{ 0x96fc7c3, "ip6_output" },
	{ 0x66696a40, "ip6_route_me_harder" },
	{ 0x623a76c6, "pcpu_hot" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x2e849edd, "__module_get" },
	{ 0x4364a4c2, "ip_route_output_flow" },
	{ 0xde0b6d2b, "kmem_cache_create" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x9c80ef70, "iptunnel_handle_offloads" },
	{ 0xac3201b0, "udp_flow_hashrnd" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xa1d83eb4, "__dev_get_by_name" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0x4f08d72b, "proc_create_net_data" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xdc03ee8e, "pskb_expand_head" },
	{ 0x5eff9dd3, "register_pernet_subsys" },
	{ 0x7c893d63, "wake_up_process" },
	{ 0x9ae47436, "_find_last_bit" },
	{ 0x61d3bfe4, "register_net_sysctl_sz" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x122c3a7e, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xc934f6f6, "nf_unregister_sockopt" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0x4f3296c7, "nf_register_net_hooks" },
	{ 0xf1d22271, "ip6_route_output_flags" },
	{ 0xa916b694, "strnlen" },
	{ 0x2f09a5a7, "__alloc_skb" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xdd9009fd, "kmem_cache_alloc" },
	{ 0xe9882b60, "ipv6_sock_mc_join" },
	{ 0x10eda758, "module_put" },
	{ 0x437eb1df, "ipv6_mod_enabled" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xfac8865f, "sysctl_wmem_max" },
	{ 0xb05fc310, "sysctl_rmem_max" },
	{ 0x7ba31354, "ipv6_dev_get_saddr" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x1e608be5, "__skb_get_hash" },
	{ 0xd781e532, "init_net" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x5e4ecb1c, "ip6_mtu" },
	{ 0xc6f3b3fc, "refcount_dec_if_one" },
	{ 0x408d633f, "netlink_unicast" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x42201d20, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack,libcrc32c,nf_defrag_ipv6");


MODULE_INFO(srcversion, "D4CF0C8010C11BDDCE730FC");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
