#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(taprio_offload_get, "_gpl", "");
KSYMTAB_FUNC(taprio_offload_free, "_gpl", "");

SYMBOL_CRC(taprio_offload_get, 0xa1b21d70, "_gpl");
SYMBOL_CRC(taprio_offload_free, 0xe17db4ea, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2104cfc9, "skb_copy_bits" },
	{ 0xcedf46ef, "netif_skb_features" },
	{ 0xd0a3f30e, "__skb_gso_segment" },
	{ 0x311f231d, "consume_skb" },
	{ 0x362f6d6c, "qdisc_tree_reduce_backlog" },
	{ 0xb7419b1, "kmalloc_caches" },
	{ 0x3b82625f, "kmalloc_trace" },
	{ 0xf9a482f9, "msleep" },
	{ 0x3667a476, "netdev_reset_tc" },
	{ 0x2f4880df, "static_key_slow_dec" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x1b10f512, "mqprio_validate_qopt" },
	{ 0x3df722b2, "netdev_set_num_tc" },
	{ 0x24a095a3, "netdev_set_tc_queue" },
	{ 0x54e2516b, "qdisc_offload_query_caps" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x87ff00da, "mqprio_qopt_reconstruct" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xa59d46b5, "mqprio_fp_to_offload" },
	{ 0x3c96fa2f, "hrtimer_active" },
	{ 0x48879f20, "hrtimer_init" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd955afa6, "hrtimer_start_range_ns" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x67088717, "pfifo_qdisc_ops" },
	{ 0x217d5687, "qdisc_create_dflt" },
	{ 0xdef47655, "qdisc_hash_add" },
	{ 0x2c834418, "static_key_slow_inc" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x9f4b4da3, "__netif_schedule" },
	{ 0xb7f54816, "nla_put_64bit" },
	{ 0xd5a43273, "nla_put" },
	{ 0xbf3e2f5f, "skb_trim" },
	{ 0x80ef62ef, "gnet_stats_copy_basic" },
	{ 0x545f43b0, "gnet_stats_copy_queue" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x37a0cba, "kfree" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x5b5e955f, "register_qdisc" },
	{ 0xddfb4602, "__ethtool_get_link_ksettings" },
	{ 0xa744e276, "__dynamic_netdev_dbg" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x6d6fec1f, "ktime_mono_to_any" },
	{ 0x4a666d56, "hrtimer_cancel" },
	{ 0x8f7c32f6, "qdisc_reset" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x56470118, "__warn_printk" },
	{ 0xcb68e280, "unregister_qdisc" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x6d5ce34, "ethtool_dev_mm_supported" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xd608f49f, "dev_activate" },
	{ 0x3079d156, "dev_graft_qdisc" },
	{ 0xa9767647, "qdisc_put" },
	{ 0xc22af57d, "dev_deactivate" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc7613670, "__qdisc_calculate_pkt_len" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x42201d20, "module_layout" },
};

MODULE_INFO(depends, "sch_mqprio_lib");


MODULE_INFO(srcversion, "58B68D5FA653A4D558AF2DC");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
