#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cs35l41_hda_probe, "_gpl", "SND_HDA_SCODEC_CS35L41");
KSYMTAB_FUNC(cs35l41_hda_remove, "_gpl", "SND_HDA_SCODEC_CS35L41");
KSYMTAB_DATA(cs35l41_hda_pm_ops, "_gpl", "SND_HDA_SCODEC_CS35L41");

SYMBOL_CRC(cs35l41_hda_probe, 0x5926cf64, "_gpl");
SYMBOL_CRC(cs35l41_hda_remove, 0x48fdf3cd, "_gpl");
SYMBOL_CRC(cs35l41_hda_pm_ops, 0xe4a43fde, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x42da99be, "__pm_runtime_set_status" },
	{ 0xbe053303, "snd_ctl_new1" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xf0e604d3, "put_device" },
	{ 0x60f81b89, "pm_runtime_enable" },
	{ 0xa916b694, "strnlen" },
	{ 0x689ae831, "fwnode_gpiod_get_index" },
	{ 0xa6eeae46, "device_property_read_u32_array" },
	{ 0x23cf671a, "_dev_info" },
	{ 0xcc6a729f, "snd_ctl_enum_info" },
	{ 0x51085e3, "lock_system_sleep" },
	{ 0x893c5ddb, "unlock_system_sleep" },
	{ 0x76932651, "snd_ctl_boolean_mono_info" },
	{ 0xae5a04bb, "acpi_evaluate_dsm" },
	{ 0xfddeb056, "efi" },
	{ 0xfc31a0b1, "devm_acpi_dev_add_driver_gpios" },
	{ 0x70832133, "devm_kfree" },
	{ 0x91dad032, "_dev_err" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xaab4f631, "cs_dsp_halo_init" },
	{ 0xf0ee19ad, "cs_dsp_power_down" },
	{ 0xaafdc258, "strcasecmp" },
	{ 0x2e4a2439, "device_link_remove" },
	{ 0x88a7bd78, "cs35l41_test_key_unlock" },
	{ 0xc5345b03, "hda_cs_dsp_add_controls" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x521ecde, "cs35l41_test_key_lock" },
	{ 0x72ec47d8, "cs_dsp_remove" },
	{ 0x11089ac7, "_ctype" },
	{ 0x389e86c7, "cs35l41_safe_reset" },
	{ 0x9ca5d306, "_dev_warn" },
	{ 0x6524b2c8, "acpi_get_first_physical_node" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x876d75c5, "cs_dsp_power_up" },
	{ 0x89e1ec9d, "acpi_get_subsystem_id" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xd5143693, "hda_cs_dsp_write_ctl" },
	{ 0xa9857ce9, "cs35l41_otp_unpack" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x1ef37629, "devm_kasprintf" },
	{ 0xda515371, "devm_regmap_add_irq_chip" },
	{ 0xdd64e639, "strscpy" },
	{ 0xcece2a30, "cs35l41_exit_hibernate" },
	{ 0x6ed9537d, "spi_setup" },
	{ 0x999e8297, "vfree" },
	{ 0x8d4cc83, "regmap_read" },
	{ 0xe06e4cdd, "cs_dsp_run" },
	{ 0xc0100a6f, "__pm_runtime_resume" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xb62c74f2, "cs35l41_set_cspl_mbox_cmd" },
	{ 0x71e58fdb, "param_ops_bool" },
	{ 0xb89b6e6b, "guid_parse" },
	{ 0xf0739e92, "cs35l41_write_fs_errata" },
	{ 0xf750e3a, "pm_runtime_force_resume" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x455d8df1, "cs35l41_configure_cs_dsp" },
	{ 0x59280f7d, "_dev_crit" },
	{ 0xae1d6ca0, "regmap_update_bits_base" },
	{ 0xc2bed36, "dev_err_probe" },
	{ 0x9cddc1dd, "regmap_multi_reg_write" },
	{ 0xdd18a993, "acpi_check_dsm" },
	{ 0xd0eeff18, "__pm_runtime_suspend" },
	{ 0x947f7c0f, "component_add" },
	{ 0x86aee4f7, "__pm_runtime_use_autosuspend" },
	{ 0xea5bedd1, "cs35l41_set_channels" },
	{ 0xc2343e78, "__pm_runtime_disable" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x66d19df1, "device_link_add" },
	{ 0x60062f60, "pm_runtime_force_suspend" },
	{ 0x2b707546, "hda_cs_dsp_fw_ids" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xe92ff6ad, "cs35l41_gpio_config" },
	{ 0xdd0bc46, "acpi_dev_get_first_match_dev" },
	{ 0xd88c17af, "gpiod_get_value_cansleep" },
	{ 0xb14839, "cs35l41_global_enable" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xe3d4b9fd, "regcache_cache_only" },
	{ 0xa821dc98, "is_acpi_device_node" },
	{ 0x97e2abc9, "gpiod_put" },
	{ 0x6f9b664c, "regcache_sync" },
	{ 0x962a15a, "regmap_write" },
	{ 0x62658796, "devm_request_threaded_irq" },
	{ 0x3f989fa7, "devm_kmalloc" },
	{ 0x324dfbc7, "firmware_request_nowarn" },
	{ 0x55784228, "regmap_irq_get_virq" },
	{ 0x3536656e, "snd_ctl_add" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x71cef07c, "gpiod_count" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x6c3bb19d, "cs_dsp_stop" },
	{ 0x600c0852, "pm_runtime_set_autosuspend_delay" },
	{ 0x76dd622, "cs35l41_register_errata_patch" },
	{ 0xaeae3264, "gpiod_set_value_cansleep" },
	{ 0x68ea859c, "hda_cs_dsp_control_remove" },
	{ 0x96848186, "scnprintf" },
	{ 0x2b5346c, "gpiod_get_index" },
	{ 0x31b86821, "component_del" },
	{ 0x37a0cba, "kfree" },
	{ 0xb9b3046a, "regcache_mark_dirty" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xf2200856, "cs35l41_init_boost" },
	{ 0x92017ca1, "cs35l41_enter_hibernate" },
	{ 0xe0513723, "get_device" },
	{ 0x96a1a794, "__dynamic_dev_dbg" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x9465ccc0, "hda_cs_dsp_read_ctl" },
	{ 0x42201d20, "module_layout" },
};

MODULE_INFO(depends, "snd,cs_dsp,snd-soc-cs35l41-lib,snd-hda-cs-dsp-ctls");


MODULE_INFO(srcversion, "45FA46FC00F074A6B35032B");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
