#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cs35l56_system_suspend, "_gpl", "");
KSYMTAB_FUNC(cs35l56_system_suspend_late, "_gpl", "");
KSYMTAB_FUNC(cs35l56_system_suspend_no_irq, "_gpl", "");
KSYMTAB_FUNC(cs35l56_system_resume_no_irq, "_gpl", "");
KSYMTAB_FUNC(cs35l56_system_resume_early, "_gpl", "");
KSYMTAB_FUNC(cs35l56_system_resume, "_gpl", "");
KSYMTAB_FUNC(cs35l56_common_probe, "_gpl", "SND_SOC_CS35L56_CORE");
KSYMTAB_FUNC(cs35l56_init, "_gpl", "SND_SOC_CS35L56_CORE");
KSYMTAB_FUNC(cs35l56_remove, "_gpl", "SND_SOC_CS35L56_CORE");
KSYMTAB_DATA(cs35l56_pm_ops_i2c_spi, "_gpl", "SND_SOC_CS35L56_CORE");

SYMBOL_CRC(cs35l56_system_suspend, 0x65012f7f, "_gpl");
SYMBOL_CRC(cs35l56_system_suspend_late, 0x92fedaf2, "_gpl");
SYMBOL_CRC(cs35l56_system_suspend_no_irq, 0x32b3dc73, "_gpl");
SYMBOL_CRC(cs35l56_system_resume_no_irq, 0x7831b598, "_gpl");
SYMBOL_CRC(cs35l56_system_resume_early, 0xc6e03e6b, "_gpl");
SYMBOL_CRC(cs35l56_system_resume, 0x7eaa2d25, "_gpl");
SYMBOL_CRC(cs35l56_common_probe, 0xfa4001af, "_gpl");
SYMBOL_CRC(cs35l56_init, 0xe475f7a6, "_gpl");
SYMBOL_CRC(cs35l56_remove, 0x663cdc97, "_gpl");
SYMBOL_CRC(cs35l56_pm_ops_i2c_spi, 0x29aeea7f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x37a0cba, "kfree" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xb9b3046a, "regcache_mark_dirty" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x7e2b91d8, "devm_gpiod_get_optional" },
	{ 0x96a1a794, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x42da99be, "__pm_runtime_set_status" },
	{ 0x5f775a5a, "devm_snd_soc_register_component" },
	{ 0x4101020c, "devm_kstrdup" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x11da2d98, "sdw_write_no_pm" },
	{ 0xf980bce3, "devm_free_irq" },
	{ 0x60f81b89, "pm_runtime_enable" },
	{ 0x689ae831, "fwnode_gpiod_get_index" },
	{ 0x56b521e0, "regulator_bulk_disable" },
	{ 0x23cf671a, "_dev_info" },
	{ 0x563b85d1, "acpi_dev_remove_driver_gpios" },
	{ 0x4dbc2d66, "snd_soc_info_volsw" },
	{ 0x4b9e4935, "cs35l56_init_cs_dsp" },
	{ 0xdffcb1e9, "wm_adsp_power_down" },
	{ 0x63696d23, "regcache_drop_region" },
	{ 0x91dad032, "_dev_err" },
	{ 0xd6150388, "debugfs_create_bool" },
	{ 0x481b4aef, "wm_adsp_event" },
	{ 0x5c2529e, "cs35l56_tx_input_values" },
	{ 0x64e759e4, "cs35l56_tx_input_texts" },
	{ 0x404f3a25, "device_property_read_string" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x38d88fe2, "cs35l56_runtime_suspend_common" },
	{ 0x87403117, "sdw_read_no_pm" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xa6ba0d5a, "cs35l56_mbox_send" },
	{ 0x3c3a2323, "cs35l56_hw_init" },
	{ 0x9ca5d306, "_dev_warn" },
	{ 0x27cfe2d8, "wm_adsp2_component_probe" },
	{ 0x63d90c49, "cs35l56_read_prot_status" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe6edea7b, "snd_soc_dapm_kcontrol_dapm" },
	{ 0x637b5ba7, "cs35l56_system_reset" },
	{ 0x92c616a, "snd_soc_info_enum_double" },
	{ 0x5d64b3d8, "regulator_bulk_enable" },
	{ 0x2f376848, "devm_regulator_bulk_get" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xdbf6e8ca, "wm_adsp2_component_remove" },
	{ 0x776858ef, "cs35l56_wait_for_firmware_boot" },
	{ 0x1ef37629, "devm_kasprintf" },
	{ 0xaf376c5, "snd_soc_get_volsw" },
	{ 0xf323b208, "cs35l56_set_patch" },
	{ 0xad591ce8, "cs35l56_wait_control_port_ready" },
	{ 0xf20efec9, "fwnode_property_present" },
	{ 0x625b9cdf, "cs35l56_is_fw_reload_needed" },
	{ 0x8d4cc83, "regmap_read" },
	{ 0x11ff7914, "snd_soc_put_volsw" },
	{ 0xc0100a6f, "__pm_runtime_resume" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xcfa0d0f0, "device_get_named_child_node" },
	{ 0xf750e3a, "pm_runtime_force_resume" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xcf66792e, "regmap_bulk_read" },
	{ 0xfe603687, "sdw_stream_remove_slave" },
	{ 0x4edf504f, "cs35l56_runtime_resume_common" },
	{ 0xdd11c026, "dapm_regulator_event" },
	{ 0x103b293a, "cs35l56_get_speaker_id" },
	{ 0xae1d6ca0, "regmap_update_bits_base" },
	{ 0x1876f686, "acpi_dev_get_property" },
	{ 0xc2bed36, "dev_err_probe" },
	{ 0xd0eeff18, "__pm_runtime_suspend" },
	{ 0xcd5438ad, "cs35l56_fill_supply_names" },
	{ 0x1c5ab4e, "__devm_add_action" },
	{ 0xef22d493, "snd_soc_dapm_get_enum_double" },
	{ 0x86aee4f7, "__pm_runtime_use_autosuspend" },
	{ 0x352d0bc7, "wm_halo_init" },
	{ 0xc2343e78, "__pm_runtime_disable" },
	{ 0xc7afc2f9, "cs35l56_firmware_shutdown" },
	{ 0xa42b469f, "sdw_stream_add_slave" },
	{ 0x60062f60, "pm_runtime_force_suspend" },
	{ 0x74bddbc7, "wm_adsp_power_up" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0x5cb57811, "snd_soc_dapm_put_enum_double" },
	{ 0xd88c17af, "gpiod_get_value_cansleep" },
	{ 0xe3d4b9fd, "regcache_cache_only" },
	{ 0xa821dc98, "is_acpi_device_node" },
	{ 0x97e2abc9, "gpiod_put" },
	{ 0x6f9b664c, "regcache_sync" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x962a15a, "regmap_write" },
	{ 0x863e68bd, "snd_soc_dapm_mux_update_power" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x810124fe, "cs35l56_wait_min_reset_pulse" },
	{ 0x88762c92, "cs35l56_get_bclk_freq_id" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x600c0852, "pm_runtime_set_autosuspend_delay" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xaeae3264, "gpiod_set_value_cansleep" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x2b0bd950, "acpi_dev_add_driver_gpios" },
	{ 0xa610e04, "snd_soc_card_get_kcontrol_locked" },
	{ 0x5ef8d432, "cs35l56_force_sync_asp1_registers_from_cache" },
	{ 0x42201d20, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-core,soundwire-bus,snd-soc-cs35l56-shared,snd-soc-wm-adsp,snd-pcm");


MODULE_INFO(srcversion, "EC0678B3ACD4CBD18FFD483");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
