#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cs42l42_readable_register, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_volatile_register, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_DATA(cs42l42_page_range, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_DATA(cs42l42_regmap, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_DATA(cs42l42_soc_component, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_pll_config, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_src_config, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_mute_stream, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_DATA(cs42l42_dai, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_irq_thread, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_suspend, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_resume, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_resume_restore, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_common_probe, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_init, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_common_remove, "_gpl", "SND_SOC_CS42L42_CORE");

SYMBOL_CRC(cs42l42_readable_register, 0x19dd7d56, "_gpl");
SYMBOL_CRC(cs42l42_volatile_register, 0x10f83414, "_gpl");
SYMBOL_CRC(cs42l42_page_range, 0xc053efa9, "_gpl");
SYMBOL_CRC(cs42l42_regmap, 0x0132f01c, "_gpl");
SYMBOL_CRC(cs42l42_soc_component, 0xda28e79d, "_gpl");
SYMBOL_CRC(cs42l42_pll_config, 0x55889f37, "_gpl");
SYMBOL_CRC(cs42l42_src_config, 0xc6b2386f, "_gpl");
SYMBOL_CRC(cs42l42_mute_stream, 0x14dede8a, "_gpl");
SYMBOL_CRC(cs42l42_dai, 0x30309978, "_gpl");
SYMBOL_CRC(cs42l42_irq_thread, 0xae4be5c4, "_gpl");
SYMBOL_CRC(cs42l42_suspend, 0xd96f67ff, "_gpl");
SYMBOL_CRC(cs42l42_resume, 0x7661b794, "_gpl");
SYMBOL_CRC(cs42l42_resume_restore, 0xa1d57371, "_gpl");
SYMBOL_CRC(cs42l42_common_probe, 0x6b4094e2, "_gpl");
SYMBOL_CRC(cs42l42_init, 0x5f4bad99, "_gpl");
SYMBOL_CRC(cs42l42_common_remove, 0xcc2f8792, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x480cdea0, "snd_soc_jack_report" },
	{ 0xaeae3264, "gpiod_set_value_cansleep" },
	{ 0xa1c53809, "snd_pcm_hw_constraint_minmax" },
	{ 0x82f51cc, "regcache_sync_region" },
	{ 0x961a27c7, "snd_soc_put_enum_double" },
	{ 0xb9b3046a, "regcache_mark_dirty" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x7e2b91d8, "devm_gpiod_get_optional" },
	{ 0x96a1a794, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5f775a5a, "devm_snd_soc_register_component" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x56b521e0, "regulator_bulk_disable" },
	{ 0xa6eeae46, "device_property_read_u32_array" },
	{ 0x978d8cb5, "snd_soc_get_enum_double" },
	{ 0x23cf671a, "_dev_info" },
	{ 0x4dbc2d66, "snd_soc_info_volsw" },
	{ 0x63696d23, "regcache_drop_region" },
	{ 0x91dad032, "_dev_err" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x9ca5d306, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x92c616a, "snd_soc_info_enum_double" },
	{ 0x5d64b3d8, "regulator_bulk_enable" },
	{ 0x2f376848, "devm_regulator_bulk_get" },
	{ 0xaf376c5, "snd_soc_get_volsw" },
	{ 0x8d4cc83, "regmap_read" },
	{ 0x11ff7914, "snd_soc_put_volsw" },
	{ 0x8611eef9, "snd_soc_component_update_bits" },
	{ 0xc0100a6f, "__pm_runtime_resume" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xcf66792e, "regmap_bulk_read" },
	{ 0xae1d6ca0, "regmap_update_bits_base" },
	{ 0xc2bed36, "dev_err_probe" },
	{ 0x9cddc1dd, "regmap_multi_reg_write" },
	{ 0xd0eeff18, "__pm_runtime_suspend" },
	{ 0x4fa1782d, "snd_soc_tdm_params_to_bclk" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x6b377aea, "device_property_present" },
	{ 0xe3d4b9fd, "regcache_cache_only" },
	{ 0x6f9b664c, "regcache_sync" },
	{ 0x962a15a, "regmap_write" },
	{ 0x42201d20, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-core,snd-pcm");


MODULE_INFO(srcversion, "CEDA7796E285E32048592C3");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
