#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb3bcd288, "input_register_device" },
	{ 0x780895d1, "usb_reset_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa916b694, "strnlen" },
	{ 0x5dfa444e, "usb_submit_urb" },
	{ 0x88e02477, "snd_card_new" },
	{ 0xe086a0e7, "usb_urb_ep_type_check" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x6a9356ba, "snd_card_set_id" },
	{ 0x91dad032, "_dev_err" },
	{ 0x69b4edde, "usb_set_interface" },
	{ 0xe9bb9d95, "snd_pcm_set_ops" },
	{ 0x5dc9dfa4, "usb_deregister" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xc6fad9cd, "usb_string" },
	{ 0xe75302db, "snd_pcm_set_managed_buffer_all" },
	{ 0x9ca5d306, "_dev_warn" },
	{ 0xcdbc8a3e, "param_ops_charp" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xddd70fd, "input_event" },
	{ 0x87784014, "input_set_abs_params" },
	{ 0xa8edeb9b, "snd_rawmidi_new" },
	{ 0xa5289b42, "snd_card_disconnect" },
	{ 0xdd64e639, "strscpy" },
	{ 0x20b2ace8, "snd_rawmidi_set_ops" },
	{ 0x71e58fdb, "param_ops_bool" },
	{ 0x2dec38f, "usb_kill_urb" },
	{ 0x6ebf456d, "usb_init_urb" },
	{ 0x12c5b681, "snd_pcm_period_elapsed" },
	{ 0x3b82625f, "kmalloc_trace" },
	{ 0x5bff0955, "param_ops_int" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xb7419b1, "kmalloc_caches" },
	{ 0xa475504b, "input_allocate_device" },
	{ 0x3b3f512f, "usb_alloc_urb" },
	{ 0xaae2256a, "snd_rawmidi_receive" },
	{ 0xbd2c71d6, "usb_free_urb" },
	{ 0xbbdd3e30, "snd_pcm_hw_limit_rates" },
	{ 0xef0364a9, "snd_rawmidi_transmit" },
	{ 0x3536656e, "snd_ctl_add" },
	{ 0xf620dd46, "snd_pcm_new" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x8bb6e4ee, "snd_card_register" },
	{ 0x61d8c71d, "snd_card_free" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xaa748fa6, "usb_register_driver" },
	{ 0x96848186, "scnprintf" },
	{ 0xb04ff96f, "param_array_ops" },
	{ 0x7a5d5a65, "input_unregister_device" },
	{ 0x37a0cba, "kfree" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x96a1a794, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x799361d6, "input_free_device" },
	{ 0xbe053303, "snd_ctl_new1" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xd8996976, "usb_bulk_msg" },
	{ 0x42201d20, "module_layout" },
};

MODULE_INFO(depends, "usbcore,snd,snd-pcm,snd-rawmidi");

MODULE_ALIAS("usb:v17CCp1969d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp1940d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp4711d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp4712d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp0815d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp1978d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp1915d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp0D8Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp0839d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp041Cd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp2305d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCpBAFFd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp041Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp0808d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "D5AA2B49B509894EBFF12B1");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
